2018-10-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.58.0

2018-10-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.56.1

2018-10-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Add tools/gen_scripts/generate_all.sh

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update .gitignore

	The Visual Studio build files are now in MSVC_NMake, not MSVC_201x.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update build instructions in README.win32

	Let people know how Visual Studio builds are now done via NMake
	Makefiles, and the various build options available.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Remove Visual Studio 2015 projects

	Remove them as they have been superseded by the NMake Makefiles.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Add NMake Makefiles

	This adds a set of NMake Makefiles that can be used to build glibmm with
	Visual Studio 2015 or later (2013 is not supported as it does not have
	enough C++-11 support).  These NMake Makefiles are now dist'ed instead
	of the Visual Studio 2015 projects as it is intended that the NMake
	Makefiles will replace the Visual Studio projects, for maintenance
	reasons.

	Note that for the C++11 versions of glibmm, we name the DLLs and LIBs in
	the form of <library>-vc140-2_4.[dll|lib] or
	<library>-vc140-d-2_4.[dll|lib] since for both Visual Studio 2015 and
	2017 builds as they both link to the Visual Studio v140 C/C++ runtimes.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Split out automake-specific items from filelist.am's

	This will prepare the filelist.am's to be also usable with the NMake
	Makefiles, so that they can be shared with the autotools build files.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	builds: Rename MSVC_Net2015 as MSVC_NMake

	This is to prepare the transition the Visual Studio build files into
	NMake Makefiles.

2018-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tools/test_scripts/testheaders.sh: Fix a directory test

2018-10-07  Daniel Boles  <dboles@src.gnome.org>

	AsyncResult: Fix grammar error, <tt>ify enumerator

	This was not a grammar error before C++ification! But let’s fix it
	anyway, and give the enumeration name some nice formatting as well.

2018-08-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid compiler warnings from function pointer conversions

	gcc8 -Wextra prints a warning when a single reinterpret_cast is used for
	conversion between different types of function pointers. The previous fix
	with a union in Glib::bitwise_equivalent_cast<>() is not standard C++.
	Rename the function to Glib::function_pointer_cast<>(), and use two
	reinterpret_casts as recommended in gcc's documentation.

	* glib/src/optiongroup.ccg: Use a reinterpret_cast to convert from
	a function pointer to void*. That's possible now. It's "conditionally
	supported", starting with C++11.

	See https://github.com/libsigcplusplus/libsigcplusplus/issues/8

2018-08-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Ensure we build variantdbusstring.cc

	...this was an added source file that ought to be included.  Also ensure
	that the corresponding header gets "installed".

2018-08-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Require Visual Studio 2015

	It was since 2.50.1 when we actually needed C++-11 features beyond what
	Visual Studio 2013 supports, so bump the required Visual Studio version
	to 2015, so that things will continue to build.

2018-07-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	configure.ac: Require glib-2.0 >= 2.55.1

	and update the bug report address in AC_INIT.

	Fixes #29

2018-07-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid compiler warnings from function pointer conversions

	gcc8 -Wextra prints a warning when reinterpret_cast is used for conversion
	between different types of function pointers. Avoid that by adding
	Glib::bitwise_equivalent_cast<>() with a union with members of
	the two types of function pointers.

	* glib/src/optiongroup.ccg: Use Glib::bitwise_equivalent_cast<>() to convert
	from a function pointer to void*.

	See https://github.com/libsigcplusplus/libsigcplusplus/issues/1

2018-07-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Revert "Avoid compiler warnings from function pointer conversions"

	This reverts commit 5d953603f30f0452cb9da35e3083a3fc145c3f57.

	This can be done in a better way by keeping the union in a template function.

2018-07-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid compiler warnings from function pointer conversions

	gcc8 -Wextra prints a warning when reinterpret_cast is used for conversion
	between different types of function pointers. Avoid that by instead using
	a union with members of the two types of function pointers.

	See https://github.com/libsigcplusplus/libsigcplusplus/issues/1

2018-07-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::MainContext: g_main_context_wait() is deprecated

	* glib/glibmm/main.cc: Add G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS.
	* glib/glibmm/main.h: Update the description of MainContext::wait().

2018-07-02  Daniel Boles  <dboles@src.gnome.org>

	SocketClient: Take copy in RefPtrs for signal args

	Without doing so, the C++ arguments take ownership of the C GObjects
	passed to the handler, so both go out of scope on exiting the handler.

	https://gitlab.gnome.org/GNOME/glibmm/issues/28

2018-05-20  Daniel Boles  <dboles@src.gnome.org>

	AsyncResult: Bin obsolete docs re: initing GThread

	As the GLib Threads documentation states:

	“Since version 2.32, the GLib threading system is automatically
	initialized at the start of your program, and all thread-creation
	functions and synchronization primitives are available right away.”

2018-04-26  Clemens Lang  <cal@macports.org>

	ustring: Fix wchar conversion on macOS with libc++

	libc++ internally represents std::wstrings in UCS-4 just like libstdc++,
	but does not set the __STDC_ISO_10646__ define. This caused the code to
	fall back to calling iconv with the WCHAR_T source character set, which
	does not correctly convert these strings and leads to errors, for
	example in inkscape on startup.

	See https://trac.macports.org/ticket/56214 for an instance of such
	a problem.

	Re-use the UCS4 to UTF8 conversion code when libc++ is detected, which
	solves this. Bug 795338

2018-03-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.56.0

2018-03-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DesktopAppInfo: Add get_locale_string()

2018-03-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application: Add set_option_context_*()

	Add set_option_context_parameter_string(), set_option_context_summary(),
	set_option_context_description().

2018-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application: Add property_resource_base_path_string()

	property_resource_base_path() has the wrong return type, bool instead of
	std::string. It can't be fixed without breaking API/ABI. For now, deprecate
	property_resource_base_path() and add hand-coded
	property_resource_base_path_string() with the correct type. Bug 787496

2018-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::RefPtr: Add get()

	Analogous to std::shared_ptr::get(). Bug 495762

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Module: Remove obsolete _IGNORE() directives

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::AppInfo: Change some parameter names

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DataInputStream: Deprecate read_until() and friends

	Deprecate read_until(), read_until_async() and read_until_finish().
	The corresponding glib functions have been deprecated.

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsClientConnection: Deprecate set/get/property_use_ssl3()

	The corresponding glib functions have been deprecated.

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib, Gio: Regenerate docs.xml and .defs files

	* tools/extra_defs_gen/generate_defs_gio.cc: Add an initial call to
	get_defs(G_TYPE_APPLICATION) to make sure the first call to get_defs()
	requests info on a GObject, not a GInterface.

2018-03-02  Pavlo Solntsev  <pavlo.solntsev@gmail.com>

	member.m4: Add _MEMBER_SET_STR, setter for strings

	Introduce a macro to generate appropriate setter for a structure which
	has gchar* as a member. Bug 793778

2018-02-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DataInputStream: Disable deprecation warnings from glib

	g_data_input_stream_read_until(), _read_until_async() and _read_until_finish()
	have been deprecated in glib/gio. They can't be deprecated in the stable
	glibmm-2-54 branch now. This patch makes it possible to build glibmm-2.54.x
	against the newest glib.

2018-01-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::TimeoutSource: Use monotonic time consistently

	* glib/glibmm/main.[cc|h]: Use Source::get_time() consistently.
	Remove a misleading sentence from the documentation of
	Source::get_current_time(). Bug 792524

2018-01-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsClientConnection: Disable deprecation warnings from glib

	g_tls_client_connection_[set|get]_use_ssl3() and the use-ssl3 property
	have been deprecated in glib/gio. They can't be deprecated in the stable
	glibmm-2-54 branch now. This patch makes it possible to build glibmm-2.54.x
	against the newest glib.

2018-01-15  Daniel Boles  <dboles@src.gnome.org>

	Variant: Slightly elaborate Variant<Variant> docs

	Point out get_n_children() for checking nullable status, and copy the
	doc for Variant<VariantBase> to Variant< Variant<T> >.

	https://bugzilla.gnome.org/show_bug.cgi?id=778219

2017-12-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Threads::Private: Fix gobj()

	Bug 791711

2017-11-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::VariantBase::cast_dynamic(): Remove noexcept(false)

	noexcept(false) has the same meaning as no noexcept specification, but
	Doxygen adds "noexcept" instead of "noexcept(false)" in the detailed
	description of the method, which is confusing. Bug 789329

2017-10-23  Daniel Boles  <dboles@src.gnome.org>

	Variant: Fix typo: unclosed monospace tag

2017-10-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc, _WRAP_METHOD_DOCS_ONLY: Optionally suppress @return section

	Add an optional 'voidreturn' parameter that can be specified if the wrapped
	C function returns a value, but the corresponding C++ method returns void.
	Bug 787978

2017-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Action: Add exception specs to errthrow

2017-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::KeyFile, OptionContext, Regex: Add exception specs to errthrow

2017-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: _WRAP_METHOD: Accept optional list of exceptions in errthrow

	In _WRAP_METHOD[_DOCS_ONLY], the errthrow parameter can now contain an
	optional list of exceptions with default value Glib::Error.
	Corresponding @throws Doxygen commands are included in the documentation,
	if the documentation does not contain other @throws commands (e.g.
	from *_docs_override.xml). Bug 787979

2017-09-24  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DataInputStream: Fix the documentation of read_line_utf8()

	Hand-code the documentation of read_line_utf8() and read_line_finish_utf8().
	Use Glib::convert_return_gchar_ptr_to_stdstring() to set the output
	parameter. It handles the case when the char* is NULL.
	Minor fixes in the documentation of several other methods.

2017-09-24  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Suppress the @return section if return type is void

	If the wrapped C function returns a value, but the corresponding C++ method
	returns void, _WRAP_METHOD() suppresses the @return section in the
	documentation. Bug 787978

2017-09-20  Murray Cumming  <murrayc@murrayc.com>

	tests: Avoid unused function warnings from G_DECLARE_INTERFACE()

2017-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tests/glibmm_variant: Use C++14 features conditionally

	* glib/src/variant.hg: Add (void) to intentionally unused variables,
	thus avoiding warnings when the test case is built with clang++.
	* tests/glibmm_variant/main.cc: Use std::get<Number>(std::tuple)
	(not std::get<Type>()) when compiling with only C++11 support.
	Bug 787648

2017-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Variant: Avoid warnings from clang++

	Bug 787648

2017-09-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.54.1

2017-09-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Variant<std::tuple>: Don't use std::index_sequence from C++14

	std::index_sequence and std::index_sequence_for are new in C++14,
	but this version of glibmm requires only C++11.
	The code that replaces std::index_sequence has been provided by
	Jonathan Wakely <zilla@kayari.org>. Bug 787648

2017-09-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Convert all property documentation to C++

	Bug 787698

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application docs: Add a note to property_resource_base_path()

	The type of property_resource_base_path() shall be std::string (is bool).
	Fixing this would break API and ABI. A fix has to wait until the next
	API/ABI break. For now, add a note to the documentation. Bug 787496

2017-09-13  Murray Cumming  <murrayc@murrayc.com>

	2.54.0

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::ActionGroup, Settings: Add detail_name to some _WRAP_SIGNAL()s

	* gio/src/actiongroup.hg: signal_action_added(), signal_action_removed(),
	signal_action_enabled_changed() and signal_action_state_changed() accept
	an 'action_name' parameter.
	* gio/src/settings.hg: signal_writable_changed() accepts a 'key' parameter.

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Regenerate gio_signals.defs and gio_signals.defs.patch

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	generate_extra_defs.cc: Write signal flags to .defs files

	Bug 785895

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Write signal flags to generated documentation

	Bug 785895

2017-09-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Warn for unmatched deprecations in signals and properties

	Warn if a signal or a property is deprecated in the _WRAP_* macro,
	but not in the .defs file. (Warnings if a signal or a property is
	deprecated in the .defs file, but not in the _WRAP_* macro have been
	added previously.)

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Variant: Improved support for D-Bus object paths and signatures

	* glib/glibmm/filelist.am: Add variantdbusstring.h and variantdbusstring.cc.
	* glib/glibmm/variantdbusstring.[cc|h]: New files. String classes meant
	only for Variants with D-Bus object paths or D-Bus signatures.
	* glib/src/variant.[ccg|hg]: Add specializations for
	Variant<Glib::DBusObjectPathString>, Variant<Glib::DBusSignatureString>
	and Variant<std::vector<Glib::DBusObjectPathString>>.
	* glib/src/varianttype.[ccg|hg]: Add VARIANT_TYPE_OBJECT_PATH_ARRAY.
	* tests/glibmm_variant/main.cc: Add test_object_path().

	Make it possible to create a composite Variant containing variant type
	o (D-Bus object path) or g (D-Bus signature). Bug 785700

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tests/glibmm_variant: Add test of Variant<std::tuple>

	Bug 777791

2017-09-08  Alexander Rössler  <alexander.roessler@zuehlke.com>

	Glib::Variant: Add template specialization for std::tuple

	Bug 777791

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Regenerate glib_signals.defs and gio_signals.defs

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	generate_extra_defs.cc: Write default values of properties to .defs files

	Bug 785895

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Write default values of properties to generated documentation

	Bug 785895

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Accept curly braces in default values in _WRAP macros

	In C++11 default values of function arguments can contain curly braces,
	such as const Glib::RefPtr<SomeClass>& x = {}. Bug 783216 comment 13

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Remove obsolete TODO comments

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Fix _WRAP_ENUM for enumerators with apostrophes

	* tools/enum.pl: Handle enumerator values like 'B', 1u << 2, (gint)(1u << 31).
	Suppress repeated long warnings.
	* tools/pm/Output.pm: Handle enumerator values like 'B'. (1u << 2 and
	(gint)(1u << 31) require no fix.)

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib, Gio: docs_override.xml: Add substitute_enumerator_name elements

	Don't modify names of preprocessor macros.

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Add new elements types for the docs_override.xml files

	* tools/pm/DocsParser.pm: Add handling of substitute_type_name and
	substitute_enumerator_name elements in docs_override.xml files.
	This is a small part of the fix for enum class and enums inside classes,
	discussed in bug 86864, which is implemented in full in the next ABI-
	reaking version of glibmm. This particular part does not break ABI,
	it just improves the generated documentation.

2017-09-04  Murray Cumming  <murrayc@murrayc.com>

	2.52.1

2017-09-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::VariantIter: Fix typos in copyright notice

2017-08-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Update the Free Software Foundation address in copyright notices

	Bug 786824

2017-08-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gio/src/filelist.am: Really include all .hg files in giomm_files_hg

	Due to an extra blank some files were not processed by gmmproc.

2017-08-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio: Exclude DesktopAppInfo from wrap_init.cc on MacOS

	Modify the conditional inclusion of desktopappinfo.h in giomm.h and
	wrap_init.cc. It shall not be included when running under MacOS. This should
	have been fixed by commit fe99895f8d3b61409c416f1244a29f2aa3478f96.
	Bug 781947

2017-08-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gio/src/filelist.am: Always include all .hg files in giomm_files_hg

	Commit 0bc35fb4fa28ee8564fecab4e21011dc42e74ed1 fixed giomm_files_hg,
	but in the wrong way. giomm_files_hg shall always include all .hg files,
	regardless of which ones are used on the present platform.

2017-07-30  Daniel Boles  <dboles.src@gmail.com>

	miscutils: Update docs of get_*_name() from GLib

	plus some minor tweaks that don't quite seem worth changing upstream.

	This adds some useful extra context for get_(prg|user|real)name().

2017-06-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsDatabase: Fix memory leak in a vfunc

	create_certificate_handle_vfunc() shall delete the returned character array
	after it has been copied to a Glib::ustring, or else it leaks memory.
	Bug 783360

2017-06-23  Murray Cumming  <murrayc@murrayc.com>

	2.52.0

2017-05-31  Daniel Boles  <dboles.src@gmail.com>

	RefPtr: Clarify comment about undefined behaviour

	Dereferencing a null pointer does not necessarily cause a segfault:
	it is undefined behaviour, which means anything, or nothing, may happen.
	Avoid setting an expectation that a segfault will reliably occur here.

2017-05-31  Daniel Boles  <dboles.src@gmail.com>

	ActionMap: Revert accidental changes to Slot decls

	I cherry-picked a commit from master that should only have updated
	documentation, but because the way of declaring slots has been changed
	in libsigc++, it ended up changing them here too. That was unintentional

2017-05-29  Daniel Boles  <dboles@src.gnome.org>

	Variant: Use own get_n_children() instead of C API

	This looks much less ugly.

2017-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::UnixSocketAddress::create(): Remove a default value

	Remove the default value of the 'type' parameter. As there is another
	create() with one parameter, the default value makes a call to
	create("pathname") ambiguous. Bug 782592

2017-05-12  Vyacheslav Yurkov  <uvv.mail@gmail.com>

	Gio::DBus::Proxy: Wrap call() and call_sync() methods. Bug 781818

2017-05-08  Murray Cumming  <murrayc@murrayc.com>

	2.51.7

2017-05-08  Murray Cumming  <murrayc@murrayc.com>

	gio/src/filelist.am: Really use desktopappinfo.hg to fix the build.

	This fixes a build breakage, when building from a fresh checkout,
	introduced by commit dd671f29ff9a005776ebd9e7cf20fdc5e44c14b8 .

2017-05-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::VariantType: Deprecate first() and next(). Add get_item_types()

	Bug 775741

2017-05-05  Daniel Boles  <dboles@src.gnome.org>

	ActionMap: Improve add_action_with_parameter docs

	• Clarify why the old overload has been deprecated: it simply does not
	work for the desired result because the parameter_type was not passed

	• Elaborate on the purpose of the parameter_type in the new overload.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	ActionMap: Really fix add_action_with_parameter()

	I replaced the old line that both created an Action without a parameter
	and added it, only with a line that creates an Action with a
	parameter... but did not add it. Of course, we need to do that, too.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  U-eagle\daniel.boles  <daniel.boles@eagle-ws29.eagle.local>

	Gio::SimpleAction: Move set_state to original pos

	If I’d realised there was a specific commit that protected this, I would
	have reverted it, rather than doing it manually in my previous commit.

	Completes reversion of commit b7431bca6ccbd9f918b5ef73bae65a1c7828e7e0 –
	“Gio::SimpleAction: Make set_state() protected.”

	https://bugzilla.gnome.org/show_bug.cgi?id=777953

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::SimpleAction: Make set_state() public

	This is needed to apply the requested state in a custom handler for
	signal_change_state(). It was protected on an assumption that when the C
	doc for g_simple_action_set_state() said “This should only be called by
	the implementor of the action”, it meant the implementor of a subclass.

	But the C docs for signal change-state are clear that it means the
	implementor of the signal handler. Without such a user being able to
	call set_state(), they can’t apply the new state, unless they subclass
	SimpleAction, which is a lot to require for such a simple case as this.

	https://bugzilla.gnome.org/show_bug.cgi?id=777953

2017-05-04  Murray Cumming  <murrayc@murrayc.com>

	ActionMap: Add back add_action_with_parameter() without parameter_type.

	To avoid breaking ABI due to this commit that added a parameter:
	https://git.gnome.org/browse/glibmm/commit/?h=glibmm-2-52&id=19ea8885ef17743c7c6e436e770b3b3835ca5016
	Bug #774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	ActionMap—Reorder add_action_with_parameter’s args

	This matches e.g. simpleaction.hg and is what I originally intended.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: trivially move an _IGNORE

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: Improve declaration order/spacing

	This puts several things in more logical places and adds a couple of
	line breaks that make it easier to see the key sections in the header.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: Fix add_action_with_parameter()

	It was not registering the parameter type for the action on create, so
	when activating the action later and passing a parameter, an assertion
	failed about the expected and passed parameter types/counts not matching
	and the parameter was not usable.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	SettingsSchemaKey: Add missing value/range methods

	https://bugzilla.gnome.org/show_bug.cgi?id=774903

2017-04-30  John Ralls  <jralls@ceridwen.us>

	Bug 781947 - Build fails on MacOS because glib doesn't have gdesktopinfo.

	Disable building desktopapinfo.cpp with the same test used in glib.

2017-04-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Object: Suppress deprecation warning for g_object_newv()

	g_object_newv() is deprecated in favor of g_object_new_with_properties(),
	which is new in glib 2.54.

2017-04-04  Murray Cumming  <murrayc@murrayc.com>

	C++11: Variant: Replace more throw(std::bad_cast) with noexcept(false).

	This is necessary for C++17 which completely removes dynamic
	exception specifications.
	See https://bugzilla.redhat.com/show_bug.cgi?id=1438766

2017-04-04  Murray Cumming  <murrayc@murrayc.com>

	C++11: Variant: Replace throw(std::bad_cast) with noexcept(false).

	This is necessary for C++17 which completely removes dynamic
	exception specifications.
	See https://bugzilla.redhat.com/show_bug.cgi?id=1438766

2017-03-22  Murray Cumming  <murrayc@murrayc.com>

	2.51.6

	This is the first 2.51.* version of glibmm-2.4.
	There were previously some 2.51 versions of glibmm-2.52, which
	installed in parallel with glibmm-2.4,
	but there will not be any stable version of glibmm-2.52.
	There might instead be a stable version of glibmm-2.54 eventually.

2017-03-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application::get_default(): Add refreturn

	Bug 779936

2017-02-14  Daniel Boles  <dboles@src.gnome.org>

	SimpleAction—doc—Erase wrong line & duplicate word

	In case anyone is as easily confused as me…

	https://bugzilla.gnome.org/show_bug.cgi?id=778575

2017-02-13  Daniel Boles  <dboles@src.gnome.org>

	Glib::Variant—Improve documentation of get_maybe()

	Clarify what is set and returned, and use lower case “nothing” to match
	how that must be written in GVariant text format, à la GSettings, etc.

	https://bugzilla.gnome.org/show_bug.cgi?id=778219

2017-02-13  Daniel Boles  <dboles@src.gnome.org>

	Glib::Variant—Explain how to create “maybe” types

	It’s not exactly intuitive why the *_maybe() methods are kept in
	ContainerBase, nor that Variant<VariantBase> inherits from the former
	and is the way to get a maybe-typed Variant in glibmm. Let’s fix that!

	https://bugzilla.gnome.org/show_bug.cgi?id=778219

2017-02-13  Daniel Boles  <dboles@src.gnome.org>

	Glib::Variant—Cosmetically tweak braces & newlines

	Donʼt use braces for single-line blocks, and do if the other side of an
	if/else already did. Also, get rid of a couple of extraneous newlines.

	https://bugzilla.gnome.org/show_bug.cgi?id=778219

2017-02-05  Daniel Boles  <dboles@src.gnome.org>

	Glib::Variant: Fix a copy-pasted typo in func docs

2017-02-02  Daniel Boles  <dboles@src.gnome.org>

	Gio::Action: Remove unneeded #includes in ccg

	https://bugzilla.gnome.org/show_bug.cgi?id=777953

2017-02-02  Daniel Boles  <dboles@src.gnome.org>

	Gio::Action: #include <glibmm/variant.h> in hg

	Currently, it is included indirectly, via 3 other headers. This is
	brittle. Without that, users of action.h would have to manually include
	variant.h to use methods returning the forward-declared VariantBase,
	which isn’t very helpful. Plus, the header uses types like Variant<>
	templates and VariantContainerBase, which were never forward-declared.

	Including it directly makes the dependency more obvious and less brittle
	and spares us from having to write a bunch more forward-declarations.

	https://bugzilla.gnome.org/show_bug.cgi?id=777953

2017-01-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio builds: "Install" the .pdb files

	Since we generate the .pdb files during the build, we should copy them to
	make debugging glibmm on Windows easier.

2016-12-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::ActionMap: Fix some trivial documentation bugs

2016-12-26  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: Add function to ActivateSlot doc

	It's used in add_action_with_bool() too.

2016-12-26  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: Clarify doc of ActivateWithParameterSlot

	This brings it in line with the existing doc comment for ActivateSlot.

2016-12-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Dispatcher: Don't cast a HANDLE to an int on Windows

	* glib/glibmm/dispatcher.cc: When a Windows HANDLE must be cast, cast it
	to Glib::PollFD::fd_t instead of int. Bug 772074

2016-12-12  Marcin Kolny  <marcin.kolny@gmail.com>

	PollFD: autodeduce type of fd field

	* glib/glibmm/main.[h|cc]: file descriptor to poll can be either of gint,
	or gint64 type, depending on the platform. glibmm should follow this
	rule as well.

	https://bugzilla.gnome.org/show_bug.cgi?id=772074

2016-12-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::DBus::Proxy: Fix memory leak in get_cached_property_names()

	Bug 775210

2016-11-30  djb  <db0451@gmail.com>

	Gio::Settings: Make set_enum() + set_flags() usable

	The _WRAP_METHOD calls had the names typo'd as get_enum() + get_flags().
	Keep and deprecate the misnamed methods.

	https://bugzilla.gnome.org/show_bug.cgi?id=774647

2016-11-19  Marcin Kolny  <marcin.kolny@gmail.com>

	Gio::SettingsSchemaSource: do an extra reference() for returning value

	* gio/src/settingsschemasource.hg: method get_default() returns
	transfer-none value, what means that we need to increase refcount
	before wrapping the pointer by RefPtr class.

	https://bugzilla.gnome.org/show_bug.cgi?id=774593

2016-11-08  Murray Cumming  <murrayc@murrayc.com>

	ustring: Add cbegin() and cend().

	As in std::string since C++11.

2016-11-05  Marcin Kolny  <marcin.kolny@gmail.com>

	Gio::Settings: fix type of 'key' parameter of writable-change-event signal

	https://bugzilla.gnome.org/show_bug.cgi?id=773977

2016-11-05  Murray Cumming  <murrayc@murrayc.com>

	Examples: Avoid a warning about unused code.

	This useful warning seems to be new in g++ 6:

	thread/dispatcher2.cc:88:1: error: ‘{anonymous}::ThreadTimer::~ThreadTimer()’ defined but not used [-Werror=unused-function]
	ThreadTimer::~ThreadTimer()

2016-09-20  Murray Cumming  <murrayc@murrayc.com>

	2.49.7

2016-09-13  Murray Cumming  <murrayc@murrayc.com>

	2.49.7

2016-09-13  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: set_uiint(): Deprecate for set_uint().

	This was a typo.

2016-09-13  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Add get/set_uint64().

2016-09-13  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Add get/set_int64().

2016-09-13  Murray Cumming  <murrayc@murrayc.com>

	Gio::Drive: Add is_removable().

2016-09-11  Murray Cumming  <murrayc@murrayc.com>

	Gio::AppInfo: Add launch_default_for_uri_async().

	Using the fairly new, and nifty, slot/slot_callback arguments for
	_WRAP_METHOD().

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application::get_busy(): return the bool.

	This should not break ABI and this could not have been used anyway.
	Bug #770304

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *docs.xml files.

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate glib .defs.

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gio .defs.

2016-09-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::OptionGroup: Improve the documentation of add_entry()

2016-08-26  Murray Cumming  <murrayc@murrayc.com>

	giomm: Add include for settingsschemasource.h

2016-08-19  Murray Cumming  <murrayc@murrayc.com>

	2.49.5

2016-08-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::OptionContext: Wrap g_option_context_parse_strv()

	* gio/src/applicationcommandline.hg: Fix the documentation of get_arguments(),
	now that g_option_context_parse_strv() has been wrapped.
	* glib/src/optioncontext.hg: Wrap g_option_context_parse_strv() as
	parse(char**& argv). Fix the documentation of get_help(bool).

2016-08-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add DocsParser::remove_c_memory_handling_info()

	When C documentation is converted to C++ documentation, remove sentences
	that contain g_free, g_strfreev, g_list_free or g_slist_free.
	https://mail.gnome.org/archives/gtkmm-list/2016-August/msg00017.html

2016-08-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add missing objects to glib/gio_extra_objects.defs

	Doesn't change the generated code, but some gmmproc warnings are avoided.

2016-08-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Remove DocsParser::non_object_method_name()

	This function was superseded by gtk_extra_objects.defs 6 years ago.
	The substitution gtk_drag_source => Gtk::DragSource is lost with this
	patch, but that substitution was wrong. There is no Gtk::DragSource
	class or namespace.

2016-08-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::SocketService: Update the class documentation

	* gio/src/socketservice.hg: The documentation of GSocketService has been
	slightly modified. Modify the documentation of Gio::SocketService accordingly.
	Fix the indentation.
	Noticed in connection with bug #766151, but not a bug fix.

2016-07-28  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: swap() implementations: Use std::swap().

	Because this simplifies the code.

2016-07-21  Murray Cumming  <murrayc@murrayc.com>

	2.49.4

2016-07-17  Sebastian Geiger  <sbastig@gmx.net>

	docs: Make Doxygen silent

	https://bugzilla.gnome.org/show_bug.cgi?id=768797

2016-07-14  Sebastian Geiger  <sbastig@gmx.net>

	Build: Fix silent builds

	Silent builds were introduced in commit
	fa03634b5963af18340258a67063f3a527c4e471
	but they were not really enabled. Passing
	yes to AM_SILENT_RULES fixes this issue.

	See https://wiki.gnome.org/Initiatives/GnomeGoals/NicerBuilds
	for more information.

	https://bugzilla.gnome.org/show_bug.cgi?id=768797

2016-07-05  Murray Cumming  <murrayc@murrayc.com>

	connection_add_exception_handler(): Use list<slot> instead of signal.

	Because libsigc++ 2.10 deprecates signal::slots() and libsigc++ 3.0
	now has no signal<>::slots() method. Using a signal for the list of
	slots seems rather non-obvious anyway.

2016-06-27  Murray Cumming  <murrayc@murrayc.com>

	2.49.2

2016-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio build files: Update projects

	Make sure the added sources are included in the builds, and in the list of
	headers to be installed.

2016-06-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Make h2def.py recognize some GDK_PIXBUF macros

	gdk-pixbuf has added macros such as GDK_PIXBUF_DEPRECATED* and
	GDK_PIXBUF_AVAILABLE* in the header files. h2def.py must recognize those
	macros in order to successfully decode the function declarations.

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::InputStream, OutputStream: Make some of the new methods const

	* gio/src/inputstream.hg: is_closed() and has_pending() shall be const.
	* gio/src/outputstream.hg: is_closed(), is_closing() and has_pending()
	shall be const. Bug #572471

2016-06-02  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Gio::FilterOutputStream: Fix property_base_stream()

	Change return type from RefPtr<InputStream> to the correct RefPtr<OutputStream>.
	This change does not break ABI, but it breaks API. That should be acceptable.
	The property has probably been useless with the wrong declared return type.
	Part of a large patch, split by Kjell Ahlstedt. Bug #572471

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Wrap some constructors and methods in giomm streams

	Also, add TODO comments about adding vfuncs at ABI break.
	* gio/src/bufferedinputstream.hg: TODO: Add fill_vfunc().
	* gio/src/filterinputstream.[hg|ccg]: Add ctor.
	* gio/src/filteroutputstream.[hg|ccg]: Add ctor.
	* gio/src/inputstream.hg: Add ctor, is_closed(), has_pending(),
	set_pending(), clear_pending(). TODO: Add read_vfunc(), skip_vfunc(),
	close_vfunc().
	* gio/src/memoryoutputstream.[hg|ccg]: Add ctor and create().
	* gio/src/outputstream.hg: Add ctor, is_closed(), is_closing(), has_pending(),
	set_pending(), clear_pending(). TODO: Add write_vfunc(), splice_vfunc(),
	flush_vfunc(), close_vfunc().
	An updated version of a patch by Krzysztof Kosiński <tweenk.pl@gmail.com>
	Bug #572471

2016-06-02  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Update gio_vfuncs.defs

	Add vfuncs for GFileInputStream, GFileOutputStream, GInputStream,
	GOutputStream. Move the vfuncs for GPermission and GListModel to their correct
	position in alphabetic order.
	Part of a large patch, split by Kjell Ahlstedt. Bug #572471

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Pollable[Input|Output]Stream: Return -1 on error in vfuncs

	* gio/src/pollableinputstream.hg: read_nonblocking_vfunc_callback():
	Return -1 if the C++ vfunc throws an exception.
	* gio/src/pollableoutputstream.hg: write_nonblocking_vfunc_callback():
	Return -1 if the C++ vfunc throws an exception.
	This is what the glib/gio functions expect, and the behaviour suggested in
	bug 572471 for similar vfuncs in other stream classes.

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add optional argument err_return_value in _WRAP_VFUNC

	* tools/m4/vfunc.m4:
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Add the optional argument err_return_value in
	_WRAP_VFUNC. This return value, if specified, applies only when the C++ vfunc
	throws an exception, which is propagated to the C callback function.

2016-05-29  Murray Cumming  <murrayc@murrayc.com>

	2.49.1

2016-05-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Discard unused m4 sections

	tools/m4/base.m4: At the end of the _END macro, discard all remaining sections.
	m4_divert(-1) + m4_undivert() was probably meant to do just that, but it does
	nothing. m4_divert(-1) + m4_undivert, without parentheses, discards all
	remaining sections. Bug #756593

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

	Remove trailing whitespace.

2016-05-09  Murray Cumming  <murrayc@murrayc.com>

	Gio::SocketAddress: Hand-code create() because the C func does lots.

	We can only genereate constructors (that are then called by generated
	create() methods) when the C function just sets its properties, as per
	the convention with GObject APIs. This C function does far more.

	Bug #766150 (Vladimir)

2016-04-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add tests/giomm_listmodel

	Similar to glib/gio/tests/glistmodel.c
	Bug #755307

2016-04-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gio::ListModel, ListStoreBase and ListStore<>

	Based on work by Murray Cumming <murrayc@murrayc.com>
	and Marcin Kolny <marcin.kolny@gmail.com>
	Bug #755307

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	ustring: Add {} with a while().

	To make this code slightly clearer.

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

	Use _DEPRECATE_IFDEF_START/END in .hg/ccg files.

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

	VariantBase: Add explicit operator bool().

	Deprecating the operator const void*, which is no longer necessary
	with C++11.

	There doesn't seem to be any ambiguity, but let's see.

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

	FileAtrributeInfoList, Checksum, Module: Make operator bool explicit.

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

	RefPtr: Make operator bool() explicit.

	As in shared_ptr<>, for instance.

	See https://bugzilla.gnome.org/show_bug.cgi?id=626858#c4

2016-04-05  Marcin Kolny  <marcin.kolny@gmail.com>

	Gio::DBus::Proxy: allow using GDBusProxy* conversion outside DBus namespace

	* gio/src/dbusproxy.hg: fix _WRAP_METHOD usage
	* tools/m4/convert_gio.m4: update converstion definition - use
	Gio::DBus::Proxy instead of Proxy.

2016-04-05  Marcin Kolny  <marcin.kolny@gmail.com>

	h2def.py: strip G_DECLARE_FINAL_TYPE macro call

2016-04-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add 'deprecated' option in _WRAP_ENUM and _WRAP_GERROR

	* tools/m4/enum.m4:
	* tools/m4/gerror.m4: Surround code and documentation by #ifndef
	xxx_DISABLE_DEPRECATED, if it's deprecated.
	* tools/pm/DocsParser.pm: lookup_enum_documentation(): Move the parsing of
	options to WrapParser. Add deprecation docs, if any.
	* tools/pm/Enum.pm: build_element_list(): Move the parsing of options to
	WrapParser.
	* tools/pm/Output.pm: output_wrap_enum(), output_wrap_enum_docs_only(),
	output_wrap_gerror(): Handle deprecation docs.
	* tools/pm/WrapParser.pm: Parse options in the new on_wrap_any_enum() function.

2016-04-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix some Doxygen warnings

	* glib/glibmm/property.h: More code within #ifndef DOXYGEN_SHOULD_SKIP_THIS.
	* glib/src/bytearray.hg: Change parameter name index_ to index.
	* tools/pm/DocsParser.pm: When the C parameter name does not coincide with
	the C++ name, change to the C++ name in the documentation also when the C
	name ends with an underscore.

2016-04-01  Marcin Kolny  <marcin.kolny@gmail.com>

	gmmproc: _CLASS_GOBJECT(): allow provide custom move  operations.

	If class contains movable fields, custom move constructor and move
	assignment operator should be provided. Use macro _CUSTOM_MOVE_OPERATIONS
	for NOT generating default move operations.

	https://bugzilla.gnome.org/show_bug.cgi?id=756593

2016-04-01  Marcin Kolny  <marcin.kolny@gmail.com>

	Glib::Property: allow to set property nick, blurb and flags.

	* .gitignore: add paramflags generated files to ignore list.
	* glib/glibmm.h: add paramflags header to include list.
	* glib/glibmm/property.{cc|}h: add constructors allowing set nick,
	blurb. Add getters for this values.
	and flags of property.
	* glib/glibmm/value.{cc|h}:
	* glib/src/filelist.am: add paramflags to a build.
	* glib/src/enums.{ccg|hg}: add GParamFlags enum wrapper.
	* glib/glibmm/value_basictypes.{cc|h}.m4: add
	overloaded create_param_spec() for setting additional property
	parameters.

	This patch fixes bug #755256

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	C++11: .hg\.ccg files: Replace more typedefs with using.

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	Examples: Use libsigc++ 2.9/10 and its slot/signal<R(Args...)> syntax.

	The older libsigc++ syntax is deprecated.

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	2.48.1

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	C++11: gmmproc: Use using instead of typedef.

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	C++11: .h/.cc files: Replace typedefs with using.

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	C++11: .hg/.ccg files: Replace typedefs with using.

2016-03-31  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Actually mention 2.48.0

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Move thread_local check into a GLIBMM_CXX_* macro, like other checks.

	Bug #759791

2016-03-28  Tom Schoonjans  <Tom.Schoonjans@diamond.ac.uk>

	Build: Use Threads::Private hen thread_local keyword is not supported.

	This fix is necessary for compilation of glibmm on OS X, as the clang
	compiler that currently ships with XCode currently does not support this
	keyword. Bug #759791

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	2.48.0

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs.xml files.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gio .defs.

2016-03-18  Murray Cumming  <murrayc@murrayc.com>

	2.47.92

2016-03-11  Murray Cumming  <murrayc@murrayc.com>

	Require the latest libsigc++-2.0.

	In case we really need the std::ref() support in libsigc++ 2.7.2.

2016-03-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix "make check" after sigc::mem_fun(pointer,func) was deprecated

2016-03-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	generate_extra_defs: Check for deprecated signals and properties

	tools/extra_defs_gen/generate_extra_defs.cc: Mark deprecated signals and
	properties as such in the generated .defs file.

2016-03-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Check if signals and properties are deprecated appropriately

	* tools/pm/GtkDefs.pm:
	* tools/pm/Property.pm: Search for (deprecated #t) in the *_signals.defs file.
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Warn if a signal, property or child property is
	deprecated in the .defs file, but not in the _WRAP_* macro, and the whole
	file is not deprecated (no _IS_DEPRECATED).

2016-03-08  Murray Cumming  <murrayc@murrayc.com>

	Use std::ref instead of sigc::ref.

	As required by the latest (not yet released) libsigc++.

2016-03-08  Murray Cumming  <murrayc@murrayc.com>

	Fix a tiny typo in a comment.

2016-03-08  Murray Cumming  <murrayc@murrayc.com>

	Correct bad uses of sigc::bind<1>.

	sigc::bind<1>() is meant to bind a value for the second argument,
	which makes no sense for a method with 1 parameter.
	sigc::bind() seems fine.

	I found this while working in the sigc3 branch, using libsigc++-3.0,
	which is less forgiving of this error.

2016-03-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Look for includes in include/gio-win32-2.0

	At some point gio.h is going to include headers from this location, so
	make sure we look for headers from here.

2016-03-01  Murray Cumming  <murrayc@murrayc.com>

	2.47.6

2016-02-29  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs.xml files.

2016-02-29  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gio .defs.

2016-02-27  Murray Cumming  <murrayc@murrayc.com>

	manual refactor target: Error if clang-format is not available.

2016-02-27  Murray Cumming  <murrayc@murrayc.com>

	Rearrange some multiline comments.

	Putting the comment before the code, instead of to the right,
	because clang-format can not (and could not) know which comments
	are meant to be aligned. I prefer this anyway.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on the .ccg files.

	This seems to work.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on the include-all headers.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Re-run clang-format on some files.

	I need to make a subsequent commit to fix the now-unaligned
	trailing comments.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	clang-format: unset AlignTrailingComments.

	Because it sometimes wrongly things that comments on two lines
	are related.

	This now wrongly unaligns some blocks of trailing comments,
	but I would rather just not have them.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on glib .cc files.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on glib .h files.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on gio .cc files.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on gio .h files.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	clang-format: Disable SortIncludes.

	Because this can break builds.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on gendef.cc

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on tools/

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on tests.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on the examples.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Run clang-format on the *_p.h files.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Makefile.am: Added a manual reformat target, to use clang-format.

2016-02-26  Murray Cumming  <murrayc@murrayc.com>

	Added a format file for clang-format.

	For automatic reformatting of the source code.

2016-02-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Fix errthrow in _WRAP_VFUNC

	* tools/m4/vfunc.m4: Propagate a Glib::Error exception to GError** error.
	Don't throw an exception in the callback function, called from C code.
	Bug #762437

2016-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::SocketConnectable: Add to_string()

2016-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Icon: Add serialize(), deserialize() and documentation of create()

2016-02-11  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _MEMBER_GET: Remove extra spaces, indenting and trailing.

	By changing
	) dnl
	to
	)dnl

2016-02-10  Murray Cumming  <murrayc@murrayc.com>

	Gio::FileInfo::list_attributes(): Make name_space optional.

	Because I noticed that this has just been documented as being allowed
	to be null:
	https://git.gnome.org/browse/glib/commit/?id=a4ed89bf75190631087596be22f9eb10dc6e53ef

2016-02-06  Murray Cumming  <murrayc@murrayc.com>

	Use MM_AX_CXX_COMPILE_STDCXX() instead of MM_AX_CXX_COMPILE_STDCXX_11().

	This makes it easier to try C++14 sometimes and eventually really switch
	to it.

2016-02-05  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use emplace_back() instead of push_back().

2016-02-05  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use initializer list instead of push_back() for initial single item.

2016-02-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	DBus::Connection: Pass an empty bus name as nullptr

	* gio/src/dbusconnection.[hg|ccg]: Some string parameters in some C functions
	accept nullptr, others don't.
	call(), call_sync(): bus_name: Pass nullptr for an empty string.
	emit_signal(): Only destination_bus_name can be nullptr.
	Other string parameters: Pass c_str().
	The bug in call() and call_sync() was noticed by Gerlof Fokkema on gtkmm-list.
	The bug in emit_signal() is an overreaction to bug 645072. All string
	parameters were changed to pass nullptr, but only destination_bus_name
	should have been changed.

2016-02-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add NULL option to _WRAP_METHOD

	* tools/pm/Function.pm:
	* tools/pm/Output.pm: Accept {NULL} or {!NULL} after the name of a string
	parameter in _WRAP_METHOD. It specifies how to translate an empty string to
	a C string. {NULL}: nullptr, {!NULL}: pointer to an empty string.
	Both {NULL} and {!NULL} can be useful, because the default translation is
	different for mandatory and optional ({?}) parameters.

2016-02-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add some connect() overloads that move the sigc::slot

	* glib/glibmm/dispatcher.[cc|h]: Add Dispatcher::connect(&&).
	* glib/glibmm/objectbase.[cc|h]: Add ObjectBase::connect_property_changed(&&)
	and ObjectBase::connect_property_changed_with_return(&&).
	* glib/glibmm/propertyproxy_base.[cc|h]: Add PropertyProxyConnectionNode(&&)
	ctor, PropertyProxyConnectionNode::connect_changed() and
	SignalProxyProperty::connect(&&).
	* glib/glibmm/signalproxy.[cc|h]: Add SignalProxyNormal::connect_impl_(&&),
	SignalProxy::connect(&&), SignalProxy::connect_notify(&&),
	SignalProxyDetailed::connect_impl_(&&), SignalProxyDetailedAnyType::connect(&&)
	and SignalProxyDetailedAnyType::connect_notify(&&).
	* glib/glibmm/signalproxy_connectionnode.[cc|h]:
	Add SignalProxyConnectionNode(&&) ctor

2016-01-26  Aurelien Jacobs  <aurel@gnuage.org>

	Fix definition of VARIANT_TYPE_DICT_ENTRY to match header declaration

	Bug #761046

2016-01-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::PropertyBase: Make custom properties more flexible

	* glib/glibmm/property.[h|cc]: Relax the requirements on Property<>.
	Now custom properties don't have to be direct data menbers of the containing
	type. Instead, all objects of a class must instantiate the same properties
	in the same order. This patch is an improved version of a patch supplied by
	Povilas Kanapickas <povilas@radix.lt>. Bug #731484.

2016-01-21  Marcin Kolny  <marcin.kolny@gmail.com>

	Glib::SignalProxy: use variadic templates

	* .gitignore: signalproxy.h file is no more generated, so it has been
	removed from ignored list.
	* gio/src/application.{ccg|hg}: don't use old-style SignalProxy class.
	* glib/glibmm/filelist.am: add signalproxy.h file to distributed files
	list.
	* gio/glibmm/signalproxy.h: add implementation of SignalProxy and
	SignalProxyDetailedAnyType.
	* glib/src/filelist.am:
	* glib/src/signalproxy.h.m4: signalproxy.h is not generated, thus
	remove m4 file.
	* tools/m4/signal.m4: use new SignalProxy class instead of
	SignalProxy*.

2016-01-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use Glib::c_str_or_nullptr()

	Use Glib::c_str_or_nullptr(s) instead of s.empty() ? nullptr : s.c_str().

2016-01-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::c_str_or_nullptr()

	* glib/glibmm/utility.h: Add Glib::c_str_or_nullptr().
	Code such as "s.empty() ? nullptr : s.c_str()" can be replaced by
	Glib::c_str_or_nullptr(s) when C functions are called, where s is
	a std::string or a Glib::ustring.
	A very small part of a fix of bug #755245.

2016-01-20  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Threads example: Fix build on Visual Studio

	We need to include <memory> for unique_* on Visual Studio, and for Visual
	Studio 2013 builds, we need to ensure that glibmmconfig.h is included so
	that noexcept is supported.

	https://bugzilla.gnome.org/show_bug.cgi?id=760612

2016-01-20  Chun-wei Fan  <fanchunwei@src.gnome.org>

	glibmmconfig.h.in: Fix Visual Studio 2013 builds

	The thread_local keyword is only supported natively on Visual Studio 2015,
	so we need to use the Microsoft-specific extension __declspec(thread) for
	supporting thread_local in Visual Studio 2013 builds.

	Also re-organize the Visual Studio 2013-specific parts a bit so that it is
	clearer to people.

	https://bugzilla.gnome.org/show_bug.cgi?id=760612

2016-01-18  Murray Cumming  <murrayc@murrayc.com>

	utility: Correct the deprecation ifndef.

	And correct the documentation.

2016-01-18  Aurelien Jacobs  <aurel@gnuage.org>

	Glib::ustring fix gcc 6 warning in public header

	Avoid a warning when compiling with gcc 6 with -Wmisleading-indentation.
	Bug #760641.

2016-01-18  Murray Cumming  <murrayc@murrayc.com>

	fix the build

	I was editing the generated files. Silly me.

2016-01-18  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .docs.xml files.

2016-01-18  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs files.

2016-01-18  Murray Cumming  <murrayc@murrayc.com>

	Replace ScopedPtr with make_unique_ptr_gfree().

	Using std::unique_ptr. ScopedPtr is now deprecated.
	Bug #760223

2016-01-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::ustring: Add move operators

	Bug #760282

2016-01-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	h2def.py: Accept parameter names beginning with const

	h2def.py misunderstood function declarations where the name of a parameter
	begins with const, e.g. ClutterBindConstraint *constraint.
	https://mail.gnome.org/archives/gtkmm-list/2016-January/msg00004.html

2016-01-07  Murray Cumming  <murrayc@murrayc.com>

	Put deprecation ifdefs around GLIBMM_INITIALIZE_STRUCT.

	It is already deprecated.

2015-12-24  Murray Cumming  <murrayc@murrayc.com>

	C++11: Replace virtual keyword with override keyword on destructors.

	This ensures that the base class is really virtual.

2015-12-24  Murray Cumming  <murrayc@murrayc.com>

	example: Remove unnecessary virtual keywords on destructors.

2015-12-24  Murray Cumming  <murrayc@murrayc.com>

	C++11: gmmproc: GObject/GInterface: Use override on destructor.

	Don't repeat the virtual declaration from Glib::ObjectBase's destructor.
	Instead use override to show that we expect the base destructor to
	be virtual.

2015-12-18  Murray Cumming  <murrayc@murrayc.com>

	2.47.4

2015-12-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::ustring: Don't allow comparison to 0

	* glib/glibmm/ustring.h: Don't allow comparison of a ustring to an integer.
	Bug #572978.

2015-12-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	examples/network: Improve the time-out functionality

	* examples/network/socket-client.cc:
	* examples/network/socket-server.cc: Store the thread pointer in a
	std::unique_ptr. Then the thread is always joined and deleted. Stop the thread
	immediately in case of error, or if the user requests end of transmission.

2015-12-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the build with --disable-deprecated-api

	* examples/thread/threadpool.cc: If --disable-deprecated-api, just print a
	message and exit.
	* gio/src/<several>.hg: Add _CONFIGINCLUDE(giommconfig.h).
	* gio/src/menuitem.ccg: Add a missing _DEPRECATE_IFDEF_START/_END pair.
	* glib/glibmm/sarray.h:
	* glib/glibmm/threadpool.[cc|h]: #include <glibmmconfig.h> before
	ifndef GLIBMM_DISABLE_DEPRECATED.
	* glib/src/filelist.am: Remove glibmm_files_deprecated_hg. List deprecated
	files in glibmm_files_any_hg.

	The config file must be included before #ifndef xxx_DISABLE_DEPRECATED both
	in the .h file and in the .cc file, or else deprecated API is not properly
	disabled by --disable-deprecated-api.

2015-12-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _CONFIGINCLUDE() + _IS_DEPRECATED = #include in .cc file

	* tools/m4/base.m4: If both _CONFIGINCLUDE() and _IS_DEPRECATED are used
	in the .hg file, then #include <xxxconfig.h> is included before
	ifndef xxx_DISABLE_DEPRECATED in the generated .cc file. This is useful if
	the mm module is configured with --disable-deprecated-api, because
	xxx_DISABLE_DEPRECATED is defined in the config file. The .cc file can be
	compiled, but does not generate any executable code. No need to exclude it
	from the build by tampering with the filelist.am file.

2015-12-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::ActionMap: Fix the ref count in lookup_action_vfunc()

	* gio/src/actionmap.hg: Add refreturn in _WRAP_VFUNC(lookup_action).
	Bug #758813.

2015-12-01  T Sailor  <t.sailer@alumni.ethz.ch>

	Dispatcher: #include <mutex> in Windows builds.

	Bug #758894

2015-11-30  Murray Cumming  <murrayc@murrayc.com>

	Threads: Mark the doxygen module as deprecated.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Destructor: Use noexcept in the implementation too.

	Bug #758798 (Émeric MASCHINO)

2015-11-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	glibmm/main: More declarations within #ifndef GLIBMM_DISABLE_DEPRECATED

	* glib/glibmm/main.h: Include 'namespace Threads' declarations only if
	GLIBMM_DISABLE_DEPRECATED is not defined.
	* glib/glibmm/main.cc: Inlude glibmm/threads.h only if
	GLIBMM_DISABLE_DEPRECATED is not defined.
	Use G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS instead of undefining
	G_DISABLE_DEPRECATED.

2015-11-28  Murray Cumming  <murrayc@murrayc.com>

	2.47.3.1

2015-11-28  Murray Cumming  <murrayc@murrayc.com>

	Dispatcher: Actually delete thread_specific_instance_.

	As suggested by Kjell here:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c17

2015-11-28  Murray Cumming  <murrayc@murrayc.com>

	Use thread_local instead of Glib::Threads::Private.

	See https://bugzilla.gnome.org/show_bug.cgi?id=757674#c15

2015-11-28  Murray Cumming  <murrayc@murrayc.com>

	2.47.3

2015-11-28  Murray Cumming  <murrayc@murrayc.com>

	Threads: Add @deprecated to more API.

2015-11-28  Murray Cumming  <murrayc@murrayc.com>

	Threads::Private: Suggest use of thread_local.

2015-11-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use std::unique_lock::unlock() instead of release()

	* glib/blibmm/main.cc:
	* gio/src/application.ccg: Glib::Threads::Mutex::Lock::release() should have
	been replaced by std::unique_lock::unlock(). std::unique_lock::release() does
	not unlock the mutex. Bug #757674.

2015-11-27  Murray Cumming  <murrayc@murrayc.com>

	Remove now-unnecessary includes of glibmm/threads.h.

2015-11-27  Murray Cumming  <murrayc@murrayc.com>

	Dispatcher: Use std::mutex instead of Glib::Threads::Mutex.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Deprecated Glib::ThreadPool.

	Because we should encourage the use of 2 different thread APIs at
	the same time. Maybe std::async() does what a thread pool would do?
	If so, we should improve the deprecation documentation.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Glib::Main: Use std::mutex instead of Glib::Threads::Mutex.

	And std::unique_lock instead of Glib::Threads::Mutex::Lock.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Use std::mutex instead of Glib::Threads::Mutex.

	And std::unique_lock instead of Glib::Threads::Mutex::Lock.
	Some of these could probably be replaced by std::lock_guard, in
	a smaller scope, instead of using release(), but this is a simpler
	replacement.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	ObjectBase: Change extra_object_base_data_mutex to a std::mutex.

	Instead of a (now deprecated) Glib::Threads::Mutex*.
	As discussed here:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c12

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Glib::MainContext: Deprecate wait(cond, mutex).

	Because it uses the deprecated Threads API in its API, and doesn't
	seem generally useful.
	As suggested here:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c11

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	glibmm_mainloop test: Allocate a thread on the stack.

	As suggested by Kjell Ahlstedt:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c10

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	examples/tests: Use simpler std::thread constructor.

	Instead of using a lambda. As suggested by Kjell Ahlstedt:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c10

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	thread example: Use std::unique_ptr<> with std::thread.

	As suggested by Andrew Potter:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c9

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	resolver example: Use std::mutex instead of G_LOCK_DEFINE_STATIC.

	As noticed by Kjell Ahlstedt:
	https://bugzilla.gnome.org/show_bug.cgi?id=757674#c10

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	tests/glibmm_mainloop: Use the std::thread API instead of Glib::Threads.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Network examples: Use std::thread instead of Glib::Threads::Thread.

	Bug #757674

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	examples: dispatcher: Use std::thread and friends.

	Instead of deprecated Glib::Threads::*.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	thread example: Use std::thread, etc, instead of deprecated Glib::Threads::*.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	threadpool example: Use std::mutex instead of Glib::Threads::Mutex.

	And std::lock_guard<> instead of Glib::Threads::Mutex::Lock.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Threads: Deprecate in favour of the C++11/C++14 concurrency API.

	Such as std::thread, std::mutex, std::lock_guard, std::condition_variable.

2015-11-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Tests: More nullptr instead of 0

2015-11-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio: More nullptr instead of 0

2015-11-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib: More nullptr instead of 0

2015-11-23  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files.

2015-11-23  Murray Cumming  <murrayc@murrayc.com>

	Regenerate Glib defs.

2015-11-23  Murray Cumming  <murrayc@murrayc.com>

	Regenerate GIO .defs.

2015-11-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Use nullptr instead of 0,NULL,zero in some comments

	* tools/pm/DocsParser.pm: Replace NULL by nullptr, when C comments are
	converted to C++ comments. In many cases "an empty string" would be a better
	replacement text, but it's difficult to automatically decide when "nullptr"
	is not correct.
	* tools/pm/Output.pm: Use nullptr where appropriate in comments.

2015-11-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Fix a test in Output.pm::get_ctor_properties()

	* tools/pm/Output.pm: A test whether a parameter is optional was messed up
	in such a way that it was always true. The test is just a precaution.
	In all normal cases the result of a correct test is also true. Probably
	the error has not affected the code generation from any correct .hg file.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	2.46.2

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Examples: Use nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Gio: Use of nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus: Use nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Glib: More nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	More use of nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Yet more nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	RefPtr: Use nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	More use of nullptr instead of 0.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Mention nullptr instead of NULL in documentation and some comments.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	More use of nullptr instead of 0 or NULL.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Use nullptr instead of 0.

2015-11-19  Murray Cumming  <murrayc@murrayc.com>

	Replace static_cast<char*>(0) with nullptr.

2015-11-19  Murray Cumming  <murrayc@murrayc.com>

	Revert "Use -Wzero-as-null-pointer-constant with --enable-warnings=fatal"

	This reverts commit 1755af6e6dc62157737c18e3ed8f5beb4b06e25a.
	Because it breaks the build do the (correct in C) use of NULL for null
	pointers in the glib headers.
	See https://bugzilla.gnome.org/show_bug.cgi?id=757979#c1

2015-11-19  Murray Cumming  <murrayc@murrayc.com>

	Use nullptr intead of 0 in some generated code.

2015-11-19  Murray Cumming  <murrayc@murrayc.com>

	Use nullptr instead of 0.

2015-11-12  Murray Cumming  <murrayc@murrayc.com>

	Use -Wzero-as-null-pointer-constant with --enable-warnings=fatal

	But see mm-common bug #757979 .

2015-11-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the build with --disable-deprecated-api

	* glib/glibmm/containers.h: Inlude glibmm/wrap.h, which is not included via
	sarray.h, when SArray is deprecated.

2015-11-06  Murray Cumming  <murrayc@murrayc.com>

	StreamIOChannel: Use the override keyword.

2015-10-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ObjectBase, Object, Interface: Fix move constructors and move assignments

	* glib/glibmm/interface.cc: Don't call ObjectBase's move assignment operator
	from Interface's move assignment operator.
	* glib/glibmm/object.cc: Perform of job of sigc::trackable's move constructor
	in Object's move constructor.
	* glib/glibmm/objectbase.cc: Move constructor: Set gobject_ = nullptr.
	Fix the assignment of cpp_destruction_in_progress_.
	Move assignment: Add self-assignment guard. Avoid the risk of accidentally
	deleting *this. Let a call to initialize_move() do most of the job.
	* tests/glibmm_interface_move/main.cc:
	* tests/glibmm_object_move/main.cc:
	* tests/glibmm_objectbase_move/main.cc: Really test move assignment.
	Test that the wrapped C object has been moved, and not copied.
	Bug #756962.

2015-10-26  Murray Cumming  <murrayc@murrayc.com>

	C++11: Gio::*Source: Use the override keyword.

2015-10-26  Murray Cumming  <murrayc@murrayc.com>

	C++11: Glib::Error::what(): Use the override keyword.

2015-10-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Revert "Add Glib::c_str_or_null()"

	This reverts commit bf69428947398356c86c43e2be4f26dce03583dc.

	Let's wait with this commit until there is a better reason
	to branch glibmm-2-46. Didn't notice that master is a stable
	branch right now.

2015-10-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::c_str_or_null()

	* glib/glibmm/utility.h: Add Glib::c_str_or_null().
	Code such as "s.empty() ? nullptr : s.c_str()" can be replaced by
	Glib::c_str_or_null(s) when C functions are called, where s is a std::string
	or a Glib::ustring. A very small part of a fix of bug #755245.

2015-09-25  Murray Cumming  <murrayc@murrayc.com>

	Tiny whitespace fix.

2015-09-25  Murray Cumming  <murrayc@murrayc.com>

	NEWS: List what's new in 2.46.

2015-09-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the build with --enable-warnings=fatal

	* glib/glibmm/objectbase.cc: Cast pointers to void* in call to g_warning().

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

	2.46.1

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_GOBJECT(): Move = deleted stuff to public.

	It doesn't seem useful as private. The other classes already do this
	correctly.

2015-09-21  Murray Cumming  <murrayc@murrayc.com>

	2.46.0

2015-09-21  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Fix Last Revert on GLib::Weakref<>

	We still need to copy the GLib::Weakref<> headers..., as my last commit
	accidently removed.

2015-09-21  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Revert "MSVC Projects: Add Newly-added Sources"

	This is a follow commit for commit 6259a46, which the Gio::ListModel is
	not ready yet.

	This reverts commit 6bb6387237ec8d5d36cdbd44fbadfe3c37392616.

2015-09-21  Murray Cumming  <murrayc@murrayc.com>

	DBus::Connection::signal_subscribe(): Pass nullptr instead of "".

	Because that's what the C documentation requires, and the implementation
	doesn't accept "" to mean the same thing, though that would be
	convenient:
	https://developer.gnome.org/gio/stable/GDBusConnection.html#g-dbus-connection-signal-subscribe

	Noticed by Christof Meerwald on gtkmm-list.

2015-09-20  Murray Cumming  <murrayc@murrayc.com>

	Application: Remove bind/unbind_busy_property().

	Leaving it commented out with a TODO, because I'm not sure if we
	want to pass the ObjectBase by RefPtr, or not, or both. Let's leave this
	until we have some use for it.

2015-09-20  Murray Cumming  <murrayc@murrayc.com>

	Revert "Added Gio::ListModel"

	Because it is not ready yet.
	This reverts commit dd19e282d249dc6009834dad9c2af99039675348.

2015-09-20  Murray Cumming  <murrayc@murrayc.com>

	gio_methods.defs: Add g_list_store_new().

	For some reason this wasn't generated.

2015-09-20  Murray Cumming  <murrayc@murrayc.com>

	Add ListStore to extra objects .defs.

2015-09-20  Murray Cumming  <murrayc@murrayc.com>

	Add GListStore .defs

2015-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Projects: Add Newly-added Sources

	There were some more sources that were added along the way that needs to
	be built and "installed" for glibmm and giomm, so don't miss out on them.

2015-09-16  Murray Cumming  <murrayc@murrayc.com>

	Added Gio::ListModel

2015-09-16  Murray Cumming  <murrayc@murrayc.com>

	Generate signal/property defs for GListModel.

2015-09-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::RefPtr: Enable disallowance with certain classes

	* glib/glibmm/refptr.h: Make it possible to stop use of RefPtr with
	certain classes. Bug #755048.

2015-09-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update .gitignore

2015-09-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::WeakRef: Add noexcept

	* glib/glibmm/weakref.h: Add noexcept.
	* glib/glibmm.h: Add weakref.h.
	* tests/glibmm_weakref/main.cc: Remove #include <glibmm/weakref.h>.
	Bug #583399.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	2.45.80

2015-09-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::WeakRef<>

	* glib/glibmm/filelist.am: Add weakref.h.
	* glib/glibmm/weakref.h: New file.
	* glib/glibmm.h: Add weakref.h. (Not yet. I'll do it before I push weakref.h.)
	* tests/Makefile.am: Add test case glibmm_weakref.
	* tests/glibmm_weakref/main.cc: New test case. Bug #583399.
	Thanks to worknesday, who attached a first version of WeakRef to
	the bug report. Bug #583399

2015-09-14  Murray Cumming  <murrayc@murrayc.com>

	TlsClientConnection: Add copy_session_state().

2015-09-14  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Add bind/unbind_busy_property() and set_state_hint().

2015-09-14  Murray Cumming  <murrayc@murrayc.com>

	Application: Ignore g_application_add_main_option().

2015-09-11  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Fix "Installation" and giomm Builds

	Some newly-added sources were missed from the giomm projects, so make up
	for them.  Also, "install" the headers that were added during the last 2
	development cycles.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Improve Build Speed and Debugging Experience

	Use multiprocessor compilation, which can cut down build times by quite a
	bit, and use the /d2Zi+ to put more useful info into the .pdb's in release
	builds.

2015-09-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the build after modification of timer.cc

	If glib.h is included, it must be included after glibmm.h, to give thread.h a
	chance to include glib.h with G_DISABLE_DEPRECATED undefined. Bug #753271.

2015-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update Visual Studio Info in README.win32

	The information in there regarding Visual Studio builds needs to be
	up-to-date, especially as we dropped support for Visual Studio 2012 and
	earlier, so update the info.  It is no longer necessary, nor is it
	recommended, to use the /vd2 option with later Visual Studio versions, as
	it causes the code to be built incorrectly and causes crashes.

2015-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Move MSVC_Net2010 to MSVC_Net2013

	This moves all the project files that were in MSVC_Net2010/ to
	MSVC_Net2013/, as we can't build glibmm with anything before Visual Studio
	2013.  Note that the project files themselves have already been updated
	to be Visual Studio 2013-compatible.

	Also drop the MSVC_Net2005 and MSVC_Net2008 directories as the projects
	there are simply not enough to build glibmm at all.

2015-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

	glibmm: More Fixes on Building on Visual Studio 2013

	timer.cc and random.cc will need to include more of glibmm's headers so
	that they will be able to use _NOEXCEPT during the build of glibmm.

	https://bugzilla.gnome.org/show_bug.cgi?id=753271

2015-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

	glib/glibmmconfig.h: Allow Build on Visual Studio 2013

	Visual Studio 2013 supports enough of C++-11 to support the build of
	glibmm, except that it does not support noexcept (which is something
	that Visual Studio 2015 supports).  Define noexcept as _NOEXCEPT on
	Visual Studio 2013, so that one can build glibmm on it.

	Note that since later Visual Studio versions do not allow one to
	define known keywords like noexcet as macros, we need to define
	_ALLOW_KEYWORD_MACROS to workaround this limitation.

	https://bugzilla.gnome.org/show_bug.cgi?id=753271

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

	2.45.70

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

	Require the latest libsigc++

	So we can use the trackable move operations.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	Revert "Deprecate Regex now that we have std::regex."

	I didn't mean to push this yet. Maybe we will never deprecate this
	if it offers better UTF-8 support than std::regex.
	This reverts commit a1f0b1a06095d81b6a5b8255b818b1c35c92df29.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	ObjectBase: move operations: Call the sigc::trackable base.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	IOChannel: move operations: Call the base sigc::trackable.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	Markup: Add move operations

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	resolver example: Use std:stoul instead of stdstrtoul

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	resolver example: Use std::strtoul instead of strtoul.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Regex now that we have std::regex.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	RefPtr: Make everything else noexcept too.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	RefPtr: Make destructor, move operations and swap() noexcept.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	Interface: Make move operations noexcept.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Make all move operations noexcept.

	This is useful for standard containers, for instance.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	Make destructors explicitly noexcept.

	Destructors are already noexcept, but this makes that even clearer.
	This might be foolish.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Make destructors explicitly noexcept.

2015-08-26  Daniel Elstner  <daniel.kitta@gmail.com>

	docs: Exclude bogus documentation symbols

	* docs/reference/Doxyfile.in (EXCLUDE_SYMBOLS): Add bogus symbols
	which appeared in the generated documentation but shouldn't.

2015-08-26  Daniel Elstner  <daniel.kitta@gmail.com>

	Update list of files git should ignore

2015-08-26  Daniel Elstner  <daniel.kitta@gmail.com>

	docs: Update configuration for Doxygen 1.8.9.1

	* docs/reference/Doxyfile.in: Regenerate with Doxygen 1.8.9.1.

2015-08-26  Daniel Elstner  <daniel.kitta@gmail.com>

	docs: Include unused headers in reference documentation

	* glib/glibmm/filelist.am (glibmm_files_all_h): New variable
	that holds all header files, even those which are not included
	in the build.
	* gio/giomm/filelist.am (giomm_files_all_h): ditto.
	* docs/Makefile.am (doc_input): Make Doxygen parse all public
	header files, including those which are unused in the current
	build configuration.  This ensures that the documentation covers
	all platforms.

2015-08-26  Daniel Elstner  <daniel.kitta@gmail.com>

	docs: Define G_OS_UNIX and G_OS_WIN32 unconditionally

	* docs/reference/Doxyfile.in (PREDEFINED): Always define both
	G_OS_UNIX and G_OS_WIN32, so that the generated documentation
	covers all platforms.

2015-08-23  Murray Cumming  <murrayc@murrayc.com>

	C++11: _CLASS_GENERIC classes: Add move operations.

	These don't have much in common with each other.
	Like most of our move operations, they are completely untested,
	though they could be.

2015-08-23  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use = delete instead of private copy operations.

	There were still some left in the .hg/.ccg files.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	2.45.52

	I never released 2.45.1. I had meant to rebase the version change
	to be the latest commit  but forgot to do that.
	I might not release this one just yet as a tarball either. I just
	need a version number for the other *mm projects to check for.
	Releasing a tarball might cause disruption if these latest changes
	cause problems.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	tests: Add glibmm_interface_move.

	This code got unpleasantly big because I wanted to test a C++
	class that wraps a GObject while also implementing a C++ Interface
	that wraps a GInterface that the GObject implements. But it seems
	to work.

	However, the code to test a raw TestInterface is commented out
	because the move constructor does not pass the test. I am not sure
	if this should even be expected to work:
	Interface interface = std::move(object);
	or:
	Base base = std::move(derived);

	Surely that would lose the data (and virtual method table) from the
	Derived class anyway?

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	Interface: Move constructor: Add comment about not calling initialize_move().

	I am not entirely sure that this is the right thing to do.
	See my comment in the next commit about the test.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	tests: Split glibmm_object_move into 2 files.

	To test ObjectBase separately.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	Object: Move constructor: Use initialize_move().

	Because the call to the ObjectBase move constructor will not
	actually happen. See the comment for the previous commit.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	ObjectBase: Add initialize_move().

	And _move_current_wrapper() for it to use.
	Object and Interface can use initialize_move() in their move
	constructors. They need to do this because their calls to the
	ObjectBase move constructors will not actually run, at least
	when in a derived class, because ObjectBase is a virtual base
	class (for use in virtual inheritance).
	We have initialize() for much the same reason, for the regular
	constructors.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	2.45.51

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_BOXEDTYPE_STATIC: Add copy operations.

	These were previously implicitly generated by the compiler,
	but are no longer generated because we now have explicit move
	operations.
	Being explicit seems like a better way to preserve ABI anyway.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_BOXEDTYPE: Make the static swap() noexcept.

	This is generally a good idea because it lets standard containers
	use the swap() while maintaining their own noexcept.

	This would not be an ABI break, hopefully, because this is an inline
	method in the header anyway.
	We have recently added the noexcept to the member swap() method,
	but hopefully that is not an ABI break either. Removing noexcept
	would be an ABI break, I think.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_OPAQUE_COPYABLE: Generate static swap().

	As in _CLASS_BOXEDTYPE().
	This can then be used by std::swap(), used by standard containers.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_BOXEDTYPE_STATIC(): Add move operations.

	Roughly as in _CLASS_BOXEDTYPE().

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_OPAQUE_COPYABLE(): Add move operations.

	The same as in _CLASS_BOXEDTYPE().

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: Mark all _CLASS_OPAQUE_REFCOUNTED classes as final.

	Because _CLASS_OPAQUE_REFCOUNTED already generates a comment
	telling us not to derive from them, presumably because they can
	only be instantiated by reinterpret_cast<>ing a base C struct.

	Ideally, _CLASS_OPAQUE_REFCOUNTED would add the final keyword,
	but the class line is is not generated, so that would be a little
	difficult.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_OPAQUE_REFCOUNTED: Use = delete for the default constructor.

	And move it (and the = deleted copy operations) to public.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	Add simple test for Object move.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	Gio::FileIcon: Remove unncessary IMPLEMENTS_INTERFACE

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_GOBJECT(): Move operations: Call interfaces' move operations.

	The (virtual base) ObjectBase's move operations will not be called
	multiple times, so this might be useless, but it seems more complete.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_INTERFACE(): Generate move operations.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_GOBJECT(): Generate move operations.

	Generate move constructor and move assignment operator.
	These might never be used, but it seems generally wise to have them.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	Glib::ObjectBase, Object, Interface: Add move operators.

	Add move constructors and move assignment operators so that derived
	classes can have these too.

2015-08-20  Murray Cumming  <murrayc@murrayc.com>

	2.45.50

2015-08-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerate _docs.xml files.

2015-08-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs files.

2015-08-15  Murray Cumming  <murrayc@murrayc.com>

	Boxed types: Declare move operations as noexcept.

	Because this can let standard containers more efficiently reallocate
	memory while still preserving their own noexcept guarantees.
	I found out about this in Scott Meyer's Effective Modern C++11:
	Item 14.
	Likewise make swap() noexcept because we use it in our noexcept
	move assignment operator.

2015-08-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files.

2015-08-12  Murray Cumming  <murrayc@murrayc.com>

	Gio::SocketService: Add active property.

2015-08-12  Murray Cumming  <murrayc@murrayc.com>

	Gio::NetworkMonitor: Add get_network_metered() and property.

2015-08-12  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs

2015-08-07  Marcin Kolny  <marcin.kolny@gmail.com>

	Glib::RefPtr: minor release() improvements.

	https://bugzilla.gnome.org/show_bug.cgi?id=752812

	* glib/glibmm/refptr.h: add warning in a comment, replace
	warn_unused_result attribute with corresponding GLib macro.

2015-08-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio Projects: Update to 2013

	The latest glibmm requires enough C++11 to be supported so that it can be
	built, which is Visual Studio 2013 for the Visual Studio compilers.  This
	updates the 2010 projects (and their settings) to 2013.  The folder in
	which the projects reside in need to be updated, and we would preferably
	need to make the projects compatible with Visual Studio 2015, from the 2013
	projects, which is not too different from the 2010 ones.

2015-08-01  Murray Cumming  <murrayc@murrayc.com>

	RefPtr: move assignment operator: Use swap().

	This is not actually less efficient - the code is inline anyway.
	Bug #752876

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove unnecessary _IGNORE()

	* gio/src/inputstream.hg:
	* gio/src/notification.hg:
	* gio/src/outputstream.hg:
	* gio/src/resolver.hg:
	* gio/src/socketconnection.hg: Remove _IGNORE() directives that have become
	unnecessary when the .defs files don't contain information from private.h
	files. gmmproc warns about unnecessary _IGNORE().

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gio_methods.defs, glib_functions.defs, gobject_functions.defs

	Regenerated without information from private.h files.

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools/gen_scripts: Don't read private.h files

	* tools/gen_scripts/gio_generate_enums.sh:
	* tools/gen_scripts/gio_generate_methods.sh:
	* tools/gen_scripts/glib_generate_enums.sh:
	* tools/gen_scripts/glib_generate_methods.sh: Don't collect information
	from header files with names ending in private.h.

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove gio/src/gio_unix_functions.defs

	* gio/src/gio.defs:
	* gio/src/filelist.am: Remove gio_unix_functions.defs.
	* gio/src/gio_unix_functions.defs: Remove the whole file.
	All data in this file is also included in gio_methods.defs.

2015-07-30  Marcin Kolny  <marcin.kolny@flytronic.pl>

	generate_wrap_init.pl: Allow to use nested namespaces for whole module.

	https://bugzilla.gnome.org/show_bug.cgi?id=753013

	* tools/generate_wrap_init.pl.in: add support for nested namespaces in
	--namespace parameter, i.e. --namespace=Gst::Bad. It requires to
	store all classes from module at least in Gst::Bad namespace, but
	allows to use this namespace in wrap_init.h class.

2015-07-28  Murray Cumming  <murrayc@murrayc.com>

	tests/glibmm_refptr: Add simpler tests for move constructor/operator=.

	The *with_parent* tests test much the same thing, but these ones
	are simpler, based on Marcin Kolny's simpler tests for the
	universal reference versions.

2015-07-28  Murray Cumming  <murrayc@murrayc.com>

	tests/glibmm_refptr: Slight improvement.

	test_refptr_universal_reference_move_constructor(): Make even
	more sure that its the copy constructor that the compiler uses.

2015-07-27  Marcin Kolny  <marcin.kolny@gmail.com>

	Glib::RefPtr: add missing constructor and assignment operator

	* glib/glibmm/refptr.h: add move constructor and move assignment
	operator which allow to set underlying object to castable type.
	* tests/glibmm_refptr/main.cc: add tests for move constructor and
	move assignment operator containing universal reference as an
	argument.

2015-07-27  Marcin Kolny  <marcin.kolny@gmail.com>

	Glib::RefPtr: add "release()" method

	https://bugzilla.gnome.org/show_bug.cgi?id=752812

	* glib/glibmm/refptr.h: "release" method gives an access to managed
	underlying object, releasing RefPtr's ownership. Method is useful
	e.g. in wrappers of functions containing transfer-full arguments.

2015-07-27  Murray Cumming  <murrayc@murrayc.com>

	tests/glibmm_refptr: Correct the move constructor test.

	The && was const, which was a silly typo. Thanks to Marcin Kolny
	for noticing.

2015-07-27  Murray Cumming  <murrayc@murrayc.com>

	Add tests/glibmm_refptr.

	To test refcounting, though I'm not sure that the test for the
	move constructor is quite right.

2015-07-27  Murray Cumming  <murrayc@murrayc.com>

	tls_client test: Use gnome.org instead of google.org

	Because I recently find that the connection often, but not always,
	times out. Maybe Google has changed something about its servers.
	I was seeing this output when running the test:

	$ ./giomm_tls_client/test
	Successfully resolved address of test host 'www.google.com'.
	First address of test host is 2a00:1450:4016:802::1011.
	Could not connect socket to 2a00:1450:4016:802::1011:443. Exception: Connection timed out

2015-07-27  Murray Cumming  <murrayc@murrayc.com>

	Correct a comment.

2015-07-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update glib_enums.defs.patch, add gio_enums.defs.patch

	* glib/src/glib_enums.defs.patch: G_IO_FLAG_IS_WRITEABLE is an enum constant
	since 2013-02-04. No patch needed for that any more.
	* gio/src/gio_enums.defs.patch: New file. Such a file has been useful for a
	long time. It should have been stored in git long ago.

2015-07-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update scripts that generate .defs files

	* tools/gen_scripts/gio_generate_enums.sh:
	* tools/gen_scripts/gio_generate_extra_defs.sh:
	* tools/gen_scripts/glib_generate_enums.sh:
	* tools/gen_scripts/glib_generate_methods.sh: These scripts patch the
	generated .defs files. Update them like gtkmm's gtk_generate_extra_defs.sh,
	i.e. more comments and an option to regenerate the patch file.

2015-07-24  Murray Cumming  <murrayc@murrayc.com>

	2.45.41

2015-07-24  Murray Cumming  <murrayc@murrayc.com>

	Revert "Glib::List_Iterator (and similar): Deprecate via ifdef."

	This reverts commit 05610cec2ccbc54f20fcc3e995e41649f21c5714.

	See the commit in the previous commit about gtkmm-2.24. This is a
	temporary act of kindness to Inkscape.

2015-07-24  Murray Cumming  <murrayc@murrayc.com>

	HelperList: Don't use ifndef GLIBMM_DISABLE_DEPRECATED around this.

	To avoid breaking the gtkmm-2.24 build with --enable-warnings=fatal,
	and the build of apps that do this too.
	However, those apps (Inkscape) need to stop using that ancient
	deprecated version of gtkmm.
	Bug #752797

2015-07-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	test_scripts/testheaders.sh: Add -std=c++11 in the g++ commands

2015-07-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Improve processing of documentation

	* tools/pm/Output.pm:
	* tools/pm/DocsParser.pm: When a C++ parameter name differs from the
	corresponding C parameter name, change the name in the documentation.
	The translation of argument names works for _WRAP_METHOD() and _WRAP_SIGNAL().
	Bug #752469

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

	2.45.40

	I named the previous version 2.45.31 instead of 2.45.3.1, so we have to
	use a number bigger than 31. Let's say that 40 is like 4 and we'll
	use 50 for the next one instead of 5. Sorry.

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

	2.45.4

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Add the shutdown signal.

	For some reason, gmmproc didn't warn about this unwrapped signal.
	Bug #752600 (Ben)

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

	C++11: Replace throw() with noexcept.

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

	Glib::RefPtr: Move assignment operator: Unref the previous object.

2015-07-18  Murray Cumming  <murrayc@murrayc.com>

	RefPtr: Add move constructor and move assignment operator.

2015-07-18  Murray Cumming  <murrayc@murrayc.com>

	RefPtr<>: Don't mention RefPtr<T_CppObject> when just RefPtr is allowed.

	This seems to be correct and allowed. It makes the code clearer.

2015-07-18  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use = delete instead of private to make classes noncopyable.

2015-07-17  Murray Cumming  <murrayc@murrayc.com>

	Glib::List_Iterator (and similar): Deprecate via ifdef.

	I don't think these have been used since before gtkmm 3.0.
	They were already hidden from the documentation.

2015-07-17  Murray Cumming  <murrayc@murrayc.com>

	IOChannel: Documentation: Mark vfuncs as deprecated.

	Though we cannot hide them via GIOMM_DISABLE_DEPRECATED.

2015-07-17  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of the override keyword.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use nullptr.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	2.45.31

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	2.45.31

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerated glib _docs.xml

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate glib_functions.defs.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gio _docs.xml

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	C++11: examples/tests: More use of auto.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	C++11: More use of auto.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	C++11: More uses of range-based for.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Examples: OptionGroup: Make the args public again to fix the build.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	examples: Avoid more shadowed variables.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	C++11: gmmproc: Use of auto in generated files.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	C++11: Some use of the auto keyword.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Avoid shadowed variables.

	Because this generally invites programming errors, though I am
	less concerned about shadowing of method names by parameter or
	variable names, which requires some tedious parameter renaming.

	In MatchInfo::set_gobject() the confusion between take_ownership and
	this.take_ownership does seem to have caused a programming error,
	hopefully now corrected.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Use -Wsuggest-override and -Wshadow with --enable-warnings=fatal.

	Although -Wsuggest-override isn't actually available yet in my version
	of g++ (4.9.2).

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use the override keyword.

2015-07-14  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11 from mm-common.

	Instead of AX_CXX_COMPILE_STDCXX_11().
	See bug #751432

2015-07-09  Murray Cumming  <murrayc@murrayc.com>

	C++11: examples: more use of auto.

2015-07-09  Murray Cumming  <murrayc@murrayc.com>

	C++11: examples: Use nullptr.

2015-07-09  Murray Cumming  <murrayc@murrayc.com>

	C++11: examples: No need for > > now.

2015-07-09  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use range-based for loops.

2015-07-09  Murray Cumming  <murrayc@murrayc.com>

	C++11: _CLASS_BOXEDTYPE: Generate move constructors and assignment operators.

	Bug #751432

2015-07-09  Murray Cumming  <murrayc@murrayc.com>

	Require C++11.

	configure.ac: Use AX_CXX_COMPILE_STDCXX_11 to check for compiler
	support for C++11 and use it (--std=c++11 for current versions of
	g++).

2015-07-09  Maks Naumov  <maksqwe1@ukr.net>

	Glib::HelperList: fix iterator check in operator[]

	Signed-off-by: Maks Naumov <maksqwe1@ukr.net> Bug #751530.

2015-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_SIGNAL: Accept apostrophes in a preceding comment

	* tools/pm/Output.pm: If a _WRAP_SIGNAL() is preceded by a Doxygen comment,
	add enough m4 quotes to the comment in the call to _SIGNAL_PROXY().
	If not, the generated code is wrong if the comment contains an apostrophe.
	This bug was probably introduced when I added support for detail_name.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	2.45.3

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

	SArray: Deprecate this and remove ifdef0-ed code.

	Nothing seems to use this anymore, so it seems safe to deprecate it.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

	ArrayHandle: Add a comment about removing this one day.

	We still use it in lots of glibmm API, because glibmm (unlike gtkmm)
	hasn't had an ABI break since 2004.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

	HelperList: Deprecate this.

	Because nothing uses it anymore. See the previous commit about GP_LIST.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

	tools/m4/list.m4: GP_LIST: Remove this because nothing uses it.

	I think this has not been used by any *mm projects since gtkmm-2.4

	We can add it back if I am wrong. And we doing new gtkmm-2.4 releases
	is hard enough anyway so there isn't much point in keeping stuff
	around just for that.

2015-06-21  Murray Cumming  <murrayc@murrayc.com>

	Add SettingsSchema, SettingsSchemaKey and SettingsSchemaSource.

	However, these are completely untested, and not all functions
	have been wrapped.

2015-06-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gio .defs.

2015-06-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerate glib docs.xml.

2015-06-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerate glib method .defs.

2015-06-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Don't disable more deprecation warnings than necessary

	* gio/src/application.hg:
	* gio/src/desktopappinfo.hg:
	* gio/src/file.hg:
	* gio/src/notification.hg:
	* gio/src/settings.[ccg|hg]:
	* gio/src/simpleactiongroup.hg:
	* gio/src/tlsconnection.hg:
	* gio/src/volumemonitor.hg:
	* glib/src/date.hg: Don't #undef G_DISABLE_DEPRECATED or #define
	GLIB_DISABLE_DEPRECATION_WARNINGS. This is unnecessary when deprecated code
	is surrounded by G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS. Bug #750379.

2015-06-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_METHOD: Use G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS

	* tools/m4/method.m4: Put G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS around
	deprecated code. In most cases it's then not necessary to undef
	[G|GDK|GTK]_DISABLE_DEPRECATED and define
	[GLIB|GDK]_DISABLE_DEPRECATION_WARNINGS. Bug #750379.

2015-06-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Thread: Don't disable more deprecation warnings than necessary

	* glib/src/thread.hg: Don't define GLIB_DISABLE_DEPRECATION_WARNINGS in
	the .h file, only in the .cc file. If it's defined in the .h file,
	it disables warnings in every file that includes glibmm/thread.h or glibmm.h.
	Don't include <glibmmconfig.h> in the .cc file. It became unnecessary when
	thread.hg was added to glibmm_files_deprecated_hg in glib/src/filelist.am.
	Bug #750379.

2015-06-08  Murray Cumming  <murrayc@murrayc.com>

	2.45.2

2015-06-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	docextract_to_xml.py: Minor fix in internal data

	* tools/defs_gen/docextract.py:
	* tools/defs_gen/docextract_to_xml.py: Keep 'SECTION:' in section names when
	data is stored in a dictionary (map, hash table). As before, don't write it
	to the 'section' elements in the generated xml file.

2015-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate docs.xml files, excluding some subdirectories

	* tools/gen_scripts/gio_generate_docs.sh:
	* tools/gen_scripts/glib_generate_docs.sh: Add the --no-recursion option
	to the call to docextract_to_xml.py.
	* gio/src/gio_docs.xml: Regenerate without traversing uninteresting
	subdirectories.

2015-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	docextract_to_xml.py: Add support for the --no-recursion option

	* tools/defs_gen/docextract.py:
	* tools/defs_gen/docextract_to_xml.py: Add support for the --no-recursion
	command-line option, meaning that only the specified directories shall be
	traversed, but not their subdirectories.

2015-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the version numbers in some @newin Doxygen commands

	* gio/src/appinfo.hg: Change @newin{3,2} to @newin{2,30}.
	* gio/src/application.hg:
	* gio/src/networkmonitor.hg:
	* gio/src/simpleiostream.hg:
	* gio/src/tcpwrapperconnection.hg:
	* glib/src/binding.hg: Add 'newin 2,n"' to some _WRAP_PROPERTY().

2015-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate docs.xml files, including property documentation

	* tools/gen_scripts/gio_generate_docs.sh:
	* tools/gen_scripts/glib_generate_docs.sh: Add the --with-properties option
	to the call to docextract_to_xml.py.
	* gio/src/gio_docs.xml:
	* gio/src/glib_docs.xml: Regenerate with property documentation.

2015-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Fetch property docs from the docs.xml file, if available there

	* tools/pm/DocsParser.pm: Read info from <property> tags.
	* tools/pm/Output.pm: output_wrap_any_property(): Handle 'newin' option.
	Read documentation from DocsParser, if available there, else (like before)
	from the Property object.
	* tools/pm/Property.pm: get_docs(): Handle 'newin' option.
	* tools/pm/WrapParser.pm: on_wrap_any_property(): Add support for the
	'newin "m,n"' option in _WRAP_PROPERTY and _WRAP_CHILD_PROPERTY.

2015-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	docextract_to_xml.py: Distinguish sections from properties

	* tools/defs_gen/docextract.py:
	* tools/defs_gen/docextract_to_xml.py: Don't treat sections as properties.
	Add the --with-sections command-line option. Generate <section> tags.

2015-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Settings: Don't use the deprecated "schema" property

	* gio/src/settings.[hg|ccg]: Replace the deprecated "schema" property by
	"schema_id" in constructors.

2015-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Settings: Replace connect_changed() by signal_changed(key)

	* gio/src/settings.[hg|ccg]: Add signal_changed(key). Remove connect_changed().
	* examples/settings/settings.cc: Test signal_changed(key). Bug #749034.

2015-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_SIGNAL: Add support for detail_name

	* tools/m4/signal.m4:
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Add support for optional 'detail_name $name' and
	'two_signal_methods' parameter in _WRAP_SIGNAL. Bug #749034.

2015-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::SignalProxyDetailed

	* glib/glibmm/signalproxy.cc:
	* glib/src/signalproxy.h.m4: Add SignalProxyDetailed and
	SignalProxyDetailed[0-6]. Bug #749034.

2015-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_SIGNAL: Fix the exception_handler parameter

	* tools/m4/signal.m4: Fix the exception_handler parameter. It was added as
	a result of bug #735132, but the code was enough changed after it was copied
	from vfunc.m4.

2015-05-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the version numbers in some @newin Doxygen commands

	* gio/src/application.hg:
	* gio/src/dbusintrospection.hg:
	* gio/src/memoryinputstream.hg:
	* gio/src/networkmonitor.hg:
	* gio/src/notification.hg:
	* gio/src/resource.hg:
	* gio/src/tcpwrapperconnection.hg:
	* glib/src/binding.hg:
	* glib/src/variant.hg: Correct the version numbers in some @newin commands
	by adding 'newin "2,n"' parameters to _WRAP_xxx macros. Bug #748856.

2015-05-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add support for 'newin "n,m"' in some _WRAP macros

	* tools/pm/DocsParser.pm:
	* tools/pm/Enum.pm:
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Add support for the optional 'newin "n,m"' parameter
	in _WRAP_METHOD, _WRAP_METHOD_DOCS_ONLY, _WRAP_SIGNAL, _WRAP_ENUM,
	_WRAP_ENUM_DOCS_ONLY and _WRAP_GERRROR. Bug #748856.

2015-05-06  Mikhail Titov  <mlt@gmx.us>

	Missing GLIBMM_API for Interface

	It is used by Gtk::CellLayout and Gtk::TreeViewColumn. Bug #748719.

2015-05-06  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Add connect_changed().

	This wraps the strange "somekeyname::changed" signal in GSettings,
	so we can get notification when a specific key has changed.
	I would welcome any suggestion to improve this API.

2015-05-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::ObjectBase: Don't use std::auto_ptr

	* glib/glibmm/objectbase.[h|cc]: Use a plain pointer instead of std::auto_ptr.
	auto_ptr is deprecated in C++11, and can cause compilation warnings.
	Bug #748630.

2015-04-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Threads::Thread: Don't use GThread, only GThread pointer

	* glib/src/threads.[hg|ccg]: Skip the member data GThread gobject_ in Thread.
	Use the same technique as in classes wrapped with _CLASS_OPAQUE_REFCOUNTED,
	i.e. let Glib::Threads::Thread be a class without member data and convert
	both ways between GThread* and Thread* with reinterpret_cast. Bug #746533.

2015-04-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Variant: Wrap handles, add get_data_as_bytes()

	* glib/src/variant.[hg|ccg]: VariantBase::is_castable_to(): Accept casts of
	handles to Variant<gint32>. Add VariantBase::get_data_as_bytes().
	Deprecate the non-const get_data() and add a const one.
	* glib/src/variant_basictypes.[h|cc].m4: Add Variant<gint32>::create_handle().

2015-04-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::InetAddress, MemoryOutputStream: Add some _IGNORE

	* gio/src/inetaddress.hg: Ignore g_inet_address_mask_new(). gmmproc does not
	understand that it belongs to GInetAddressMask.
	* gio/src/memoryoutputstream.hg: Ignore the destroy-function and
	realloc-function properties.

2015-04-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add _IGNORE_PROPERTY() and _IGNORE_CHILD_PROPERTY() macros

	tools/pm/WrapParser.pm: Add code for _IGNORE_PROPERTY() and
	_IGNORE_CHILD_PROPERTY(), similar to _IGNORE_SIGNAL().

2015-04-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::get_user_special_dir(UserDirectory)

	* glib/src/miscutils.[hg|ccg]: Add _WRAP_ENUM(UserDirectory,...) and
	Glib::get_user_special_dir(UserDirectory directory).
	Deprecate get_user_special_dir(GUserDirectory directory). Bug #747311.

2015-04-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::format_size()

	* .gitignore: Ignore glib/glibmm/miscutils.[h|cc].
	* glib/src/filelist.am: Add miscutils.hg.
	* glib/glibmm/filelist.am: Remove miscutils.[h|cc].
	* glib/glibmm/miscutils.[h|cc]: Move to glib/src and rename to
	miscutils.[hg|ccg].
	* glib/src/miscutils.[hg|ccg]: New files. Move from glib/glibmm and rename.
	Add _WRAP_ENUM(FormatSizeFlags,...). Add Glib::format_size(). Bug #747311.

2015-04-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Variant: Improve handling of object paths and signatures

	* glib/src/variant.[ccg|hg]: Add VariantBase::is_castable_to() and
	VariantContainerBase::get_iter(). Accept casts of complicated types
	containing object paths and DBus type signatures to Variant<> types
	containing Glib::ustring and std::string. Change some get(), get_child()
	and get_iter() methods similarly.
	* tests/glibmm_variant/main.cc: Add test_dynamic_cast_composite_types().
	Bug #747508.

2015-04-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_PROPERTY: Remove a line from the generated docs

	* tools/m4/property.m4: Remove the line "You rarely need to use properties..."
	It's becoming less true. Some new glib and gtk+ classes (GSimpleIOStream,
	GtkModelButton, GtkPopoverMenu) have no public set/get methods corresponding
	to their properties.

2015-04-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gio::SimpleIOStream

	* gio/giomm.h: Add simpleiostream.h.
	* gio/src/filelist.am: Add simpleiostream.hg.
	* gio/src/gio_signals.defs: Regenerated.
	* tools/extra_defs_gen/generate_defs_gio.cc: Add G_TYPE_SIMPLE_IO_STREAM.
	* gio/src/simpleiostream.[hg|ccg]: New files.

2015-03-25  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention API Additions since 2.42

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

	2.44.0

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs.xml files.

2015-03-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: No #ifdef GLIBMM_*_ENABLED in generated code

	* gio/src/asyncinitable.ccg: Remove #ifdef GLIBMM_EXCEPTIONS_ENABLED.
	* tools/m4/property.m4: No #ifdef GLIBMM_PROPERTIES_ENABLED in generated code.
	* tools/m4/signal.m4:
	* tools/m4/vfunc.m4: No #ifdef GLIBMM_EXCEPTIONS_ENABLED in generated code.
	These preprocessor macros are always defined.

2015-03-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::SignalSocket docs: Add an empty line after @newin

	* gio/giomm/socketsource.h: Add an empty line after @newin where it's needed
	in order to avoid bad side effects in the documentation. Doxygen assumes that
	@newin is followed by a paragraph that describes what is new.

2015-03-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve tests/glibmm_interface_implementation

	* tests/glibmm_interface_implementation/main.cc: Return EXIT_FAILURE if some
	test fails. Add more tests of virtual functions. Bug #705124.

2015-03-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Action, ActionGroup: Fix critical messages from vfuncs

	* glib/glibmm/wrap.h: Add unwrap_copy(const T& obj).
	* gio/src/action.hg:
	* gio/src/actiongroup.hg: Make vfuncs that return a GVariant* use the
	new Glib::unwrap_copy() overload by adding the _WRAP_VFUNC parameter
	refreturn_ctype. It avoids a critical message if Glib::VariantBase::
	gobj() == 0, which is not an error in these functions. Bug #705124.

2015-03-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Action etc: Add keep_return to some _WRAP_VFUNC()

	* gio/src/action.hg: Add keep_return to get_name_vfunc(),
	get_parameter_type_vfunc() and get_state_type_vfunc().
	* gio/src/actiongroup.hg: Add keep_return to get_action_parameter_type_vfunc()
	and get_action_state_type_vfunc().
	* gio/src/dbusobject.hg: Add keep_return to get_object_path_vfunc().
	* gio/src/tlspassword.hg: Add keep_return to get_default_warning_vfunc().
	The C code that calls these functions does not get its own copy of the
	returned object. The called function must store a copy. Bug #705124.

2015-03-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_VFUNC: Add the keep_return parameter

	* glib/glibmm/utility.h: Add template function destroy_notify_delete().
	* tools/pm/WrapParser.pm:
	* tools/pm/Output.pm:
	* tools/m4/vfunc.m4: Add optional parameter keep_return to _WRAP_VFUNC().
	Bug #705124.

2015-03-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerate _docs.xml files.

2015-03-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs.

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	2.43.91

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	Gio::OutputStream: write_async(), write_all_async(): Improve docs.

	Add the warning about the buffer needing to stay valid because it
	is not copied, adding to the C API here:
	https://git.gnome.org/browse/glib/commit/gio/goutputstream.c?id=0f800cd1a863bc0c3e51c03592e2fb1ffbda8982

2015-03-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::ThemedIcon: Change parameter name to use_default_fallbacks

	* gio/src/themedicon.[hg|ccg]: Change parameter name use_default_callbacks
	to use_default_fallbacks in constructor and create().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gio::OutputStream: Add write_all_async() and write_all_finish().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gio::MemoryInputStream: Add add_bytes().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	InputStream: Add read_all_async() and read_all_finish().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gio::File: Add replace_contents_bytes_aync().

	There is no g_file_replace_content_bytes_finish() because this
	uses the existing g_file_replace_contents_finish().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus::InterfaceInfo: Add cache_build() and cache_release().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	OptionContext: Add get/set_strict_posix().

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Add get/set/unset_resource_base_path() and property.

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Add get_is_busy() and property.

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files.

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs.

2015-02-26  Murray Cumming  <murrayc@murrayc.com>

	2.43.90

2015-02-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::OptionGroup: Fix memory leaks

	* glib/src/optiongroup.ccg: CppOptionEntry::set_c_arg_default(),
	convert_c_to_cpp(), release_c_arg(): Fix memory leaks for string-valued
	options. Bug #745173.

2015-02-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::OptionGroup: Fix enable/disable bool option pairs

	* glib/src/optiongroup.ccg: add_entry_with_wrapper(): Don't allocate a new
	C variable, if another entry has already been added for the same C++ variable.
	It makes GLib::OptionContext::parse() behave like g_option_context_parse()
	when two or more options refer to the same variable, typically
	an --enable-x / --disable-x pair. Bug #744854.

2015-02-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix error messages from gmmproc

	* gio/src/gio_extra_objects.defs: Add NetworkMonitor, Notification and
	Resource.
	* gio/src/file.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/notification.hg:
	* glib/src/iochannel.hg:
	* glib/src/nodetree.hg: Avoid "gtkmmproc error" messages in the generated
	files by not _IGNORE()ing non-existent functions. Unnecessary _IGNORE()s
	generate error messages after the fix in bug 737212 was implemented.

2015-02-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	h2def.py: Remove *_DEPRECATED_IN_*_*_FOR(*) prefixes with white space

	* tools/defs_gen/h2def.py: A *_DEPRECATED_IN_*_*_FOR(*) prefix before a
	function prototype may contain white space within the parenthesis.
	Remove such prefixes, otherwise the function prototype is not found.

2015-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Value: Deprecate Value<char>, add Value<signed char>

	* glib/src/value_basictypes.[cc|h].m4: Deprecate Value<char>.
	Add Value<signed char>. g_value_[get,set]_char() are deprecated in favour of
	g_value_[get,set]_schar(). G_TYPE_CHAR is a signed char even on platforms
	where a plain char is unsigned.

2015-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Notification: Add set_priority() and enum NotificationPriority

	* gio/src/notification.hg: Add enum NotificationPriority and set_priority().
	* tools/m4/convert_gio.m4: Add conversion of GNotificationPriority.

2015-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application, UnixSocketAddress: Deprecate some properties

	* gio/src/application.hg: Deprecate property_action_group().
	* gio/src/unixsocketaddress.hg: Deprecate property_abstract().

2015-02-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::OptionGroup: Don't use the deprecated g_option_group_free()

	* glib/src/optiongroup.ccg: Replace the deprecated g_option_group_free() by
	g_option_group_unref().
	* glib/src/optiongroup.hg: Add a TODO comment.

2015-02-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate methods .defs  and .defs.patch files

	* gio/src/gio_methods.defs:
	* glib/src/glib_functions.defs:
	* glib/src/glib_functions.defs.patch:
	* glib/src/gobject_functions.defs: Updated.

2015-02-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Delete obsolete .defs files

	* gio/src/filelist.am: Remove gio_others.defs.
	* gio/src/gio_methods.defs.patch: Deleted, not used.
	* gio/src/gio_others.defs: Deleted, not used.
	* glib/src/filelist.am: Remove glib_deprecated_enums.defs and gobject.defs.
	* glib/src/glib.defs: Remove glib_deprecated_functions.defs and
	glib_deprecated_enums.defs.
	* glib/src/glib_deprecated_enums.defs: Deleted, not needed.
	* glib/src/glib_deprecated_functions.defs: Deleted, not needed.
	* glib/src/gobject.defs: Deleted, not used.

2015-02-09  Murray Cumming  <murrayc@murrayc.com>

	Gio: TcpWrapperConnection: Add documentation.

	Based on the C documentation.

2015-02-09  Murray Cumming  <murrayc@murrayc.com>

	Gio: Add TcpWrapperConnection.

	* tools/extra_defs_gen/genererate_defs_gio.cc:
	Add G_TCP_WRAPPER_CONNECTION.
	* gio/src/gio_signals.defs: Regenerate this to add the signals
	for GTcpWrapperConnection.
	* gio/src/filelist.am:
	* gio/src/tcpwrapperconnection.[hg|ccg]:
	Add TcpWrapperConnection.

	Markus Kolb noticed that this was missing.
	* gio/giomm.h: Include tcpwrapperconnection.h

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate methods .defs files.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums .defs files.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate _docs.xml files.

2015-02-03  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Put DOXYGEN_SHOULD_SKIP_THIS around *_Class prototypes.

	These predeclarations, such as below, seem to confuse doxygen.
	See bug #743918 .

	namespace Gtk
	{ class Window_Class; } // namespace Gtk

2015-01-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Error::register_init(): Call Glib::wrap_register_init()

	* glib/glibmm/error.cc: Call wrap_register_init() before wrap_init().
	It was not necessary, when Error::register_init() was called from Glib::init(),
	but Error::register_init() can be called from other places (Glib::thread_init()
	and Glib::Error::throw_exception()).
	* glib/glibmm/init.cc: Not necessary to call Glib::wrap_register_init() before
	calling Glib::Error::register_init(). Bug #743466 (Mike Fleetwood).

2015-01-20  Murray Cumming  <murrayc@murrayc.com>

	2.43.3

2015-01-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated _docs.xml files.

2015-01-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Binding: Rename and change BindingTransformSlot

	* glib/src/binding.[hg|ccg]: Change "typedef sigc::slot<bool,
	const Glib::RefPtr<Binding>&, const GValue*, GValue*> BindingTransformSlot"
	to "typedef sigc::slot<bool, const GValue*, GValue*> SlotTransform".
	Bug #738663.

2015-01-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::SlotSpawnChildSetup

	* glib/src/spawn.[hg|ccg]: Add typedef SlotSpawnChildSetup, and say in
	the documentation that the child_setup parameters can be empty slots.
	That should make it clear how to avoid having a child_setup slot called.
	Bug #528285.

2015-01-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Resource docs: Suppress inappropriate doxygen links

	* gio/src/resource.hg: Insert '%' before 'Resource' where doxygen shall not
	generate a link to Gio::Resource.

2014-12-16  Murray Cumming  <murrayc@murrayc.com>

	2.43.2

2014-12-15  Murray Cumming  <murrayc@murrayc.com>

	Gio: Added NetworkMonitor.

2014-12-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .docs.xml

2014-12-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs.

2014-12-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::UnixFDList, UnixFDMessage: Fix array lengths in steal_fds()

	* gio/src/unixfdlist.[hg|ccg]: Hand-code both constructors that take a
	Glib::ArrayHandle<int>, and call g_unix_fd_list_new_from_array() in them.
	* gio/src/unixfdlist.ccg: Don't subtract 1 from the length returned by
	g_unix_fd_list_[peek|steal]_fds().
	* gio/src/unixfdmessage.hg: get_fd_list(): Add refreturn.
	* gio/src/unixfdmessage.ccg: Don't subtract 1 from the length returned by
	g_unix_fd_message_steal_fds(). Bug #741365.

2014-12-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Don't make one very long line for the enum documentation

	* tools/pm/DocsParser.pm: lookup_enum_documentation(): Don't replace newlines
	by spaces in the description of the enum constants.

2014-12-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add an empty line after @newin where it's missing

	* gio/src/action.hg:
	* gio/src/cancellable.hg:
	* gio/src/charsetconverter.hg:
	* gio/src/mount.hg:
	* gio/src/notification.hg:
	* gio/src/simpleaction.hg:
	* gio/src/socket.hg:
	* glib/src/datetime.hg:
	* glib/src/glib_docs_override.xml:
	* glib/src/keyfile.hg:
	* glib/src/variant.hg: Add an empty line after @newin where it's needed in
	order to avoid bad side effects in the documentation. Doxygen assumes that
	@newin is followed by a paragraph that describes what is new.

2014-12-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Improve the conversion of Since to @newin

	* tools/m4/enum.m4: Add a blank line in the enum documentation.
	* tools/pm/Output.pm: Don't always add a blank line in the enum documentation.
	* tools/pm/DocsParser.pm: Improve the rules for conversion of Since to @newin.

2014-12-04  Murray Cumming  <murrayc@murrayc.com>

	Tiny comment spelling fix.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	2.43.1

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	tests/giomm_tls_client: Put try/catch around Socket::connect().

	Because it's currently timing out for me.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .docs.xml files.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Regnerate glib .defs.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gio .defs.

2014-12-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Tidy up the generation of enum docs

	* tools/m4/gerror.m4: Add "/** " at the start of the documentation,
	like enum.m4 does.
	* tools/pm/DocsParser.pm: lookup_enum_documentation(): Don't add "/** "
	which is deleted by the caller. Add "\n * " with the right indentation.
	* tools/pm/Output.pm: output_wrap_enum(), output_wrap_enum_docs_only(),
	output_wrap_gerror(): Don't delete "/** ". Don't change indentation.

2014-12-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Change messages that MS Visual Studio can misunderstand

	* tools/gmmproc.in:
	* tools/pm/DocsParser.pm:
	* tools/pm/Output.pm: Change messages that MS Visual Studio can misunderstand.
	https://mail.gnome.org/archives/gtkmm-list/2014-November/msg00044.html

2014-11-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Checksum::ChecksumType: Remove erroneous documentation

	* glib/src/checksum.hg: Remove the erroneous '@class ChecksumType' comment.
	Should have been '@enum ChecksumType'. It's unnecessary now that gmmproc
	generates enum documentation.

2014-11-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_GERROR: Add documentation to the generated enum Code

	* tools/pm/Output.pm: output_wrap_gerror(): Get the enum documentation from
	the docs.xml file.
	* tools/m4/gerror.m4: Include the documentation before 'enum Code' in
	the generated code.

	_WRAP_GERROR was overlooked when José Alburquerque implemented the
	documentation of other enums (bug 544694).

2014-11-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Glib::Binding

	* .gitignore: Ignore binding.[h|cc].
	* glib/glibmm/objectbase.h: Add a comment.
	* glib/src/filelist.am: Add glib_signals.defs and binding.hg.
	* glib/src/glib.defs:  Add glib_signals.defs.
	* glib/glibmm.h: Add binding.h.
	* tools/extra_defs_gen/generate_defs_glib.cc: Add get_defs(G_TYPE_BINDING).
	* tools/m4/convert_glib.m4: Add conversion for BindingFlags.
	* tools/generate_wrap_init.pl.in: Define GLIBMM_INCLUDED_FROM_WRAP_INIT_CC.
	* glib/src/binding.[hg|ccg]: New files with enum BindingFlags and class Binding.
	* glib/src/glib_signals.defs: New file with info about GBinding's properties.
	Bug #738663.

2014-11-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Resource: Add get_file_exists_nothrow(). Rename some methods

	* gio/src/resource.[hg|ccg]: Add get_file_exists_nothrow() and
	get_file_exists_global_nothrow(). Rename the get_info() and get_info_global()
	methods that only check if a file exists. Use std::string for path names.
	Bug #739206.

2014-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Docs: Use doxygen-extra.css

	* configure.ac: Require mm-common 0.9.7.
	* .gitignore: Ignore doxygen-extra.css.
	* docs/reference/Doxyfile.in: Use doxygen-extra.css instead of doxygen.css.

2014-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gio::Resource

	* gio/src/resource.[hg|ccg]: Add class Resource, enum ResourceFlags and
	enum ResourceLookupFlags.
	* glib/src/bytes.hg: Mention Resource in a comment.
	* tools/m4/convert_gio.m4: Add conversions for GResource, GResourceFlags and
	GResourceLookupFlags. Bug #739206.

2014-10-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Property: Add some documentation

	* glib/glibmm/propertyproxy.h:
	* glib/glibmm/property.h: Move the documentation about registering
	properties from PropertyProxy to Property, which is the class that registers
	custom properties. Add a code snippet to the documentation. Bug #523043.

2014-09-30  Marcin Kolny  <marcin.kolny@gmail.com>

	gmmproc: added warning when ignored method or signal doesn't exists

	(bgo#737212)

	* tools/pm/WrapParser.pm: when method used in _IGNORE or signal used
	in _IGNORE_SIGNAL doesn't exists, there is a message posted on
	stderr and also proper comment in a generated header.

2014-09-22  Murray Cumming  <murrayc@murrayc.com>

	2.42.0

2014-09-22  Murray Cumming  <murrayc@murrayc.com>

	Notification: Deprecate set_urgent().

	Using the same uninformative deprecation message that the C API has.

2014-09-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files.

2014-09-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs files.

2014-09-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Fix MSVC 2010 "Installation"

	* MSVC_Net2010/glibmm-install.props: Fix Typo in creating path for
	the *mmconfig.h headers.

2014-09-20  Chun-wei Fan  <fanchunwei@src.gnome.org>

	ustring.h: Comment On Last Commit for Specialization

	Mention that the new specialization for Stringify for const char[N] is to
	avoid ambiguous constructor overloads for later versions of Visual C++.

	* glib/glibmm/ustring.h: Mention in the comments for the
	specialization on Stringify for const char[N] is for later
	versions of Visual C++, to avoid ambiguous contructor overloads.

	https://bugzilla.gnome.org/show_bug.cgi?id=736778

2014-09-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

	ustring.h: Add Specialization for Stringify<const char[N]>

	This adds a specialization for string literals in the form of const char[N]
	as some compilers would take such things to have ambiguous constructor
	overloads, such as Visual Studio, which take string literals in this form.

	* glib/glibmm/ustring.h: Add a specialization for Stringify for
	const char[N] so that ambiguous constructor overloads can be
	avoided for string literals in this form.

	https://bugzilla.gnome.org/show_bug.cgi?id=736778

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Make giomm tests Run Under Windows

	/etc/fstab is a *nix only file, which would not normally exist under
	Windows unless one is under Cygwin.  Use the path for the Wordpad
	application on Windows, which is a standard part of Windows; and use
	/etc/fstab otherwise.

	* tests/giomm_ioerror/main.cc:
	* tests/giomm_simple/main.cc: Test for c:/windows/write.exe
	(Wordpad application) on Windows, and use /etc/fstab otherwise.

	https://bugzilla.gnome.org/show_bug.cgi?id=736778

	https://bugzilla.gnome.org/show_bug.cgi?id=736778

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio 2008 Builds: Further Tweaks

	Don't generate .ilk files (incremental link files) for release builds.

	* MSVC_Net2008/glibmm.vcproj:
	* MSVC_Net2008/giomm.vcproj: Use optimize references for release
	builds so that we don't link incrementally for release builds.
	It is mainly a debug build option.

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Cleanup and Tweak Visual Studio 2010 Projects

	Remove the /vd2 compilation option, as it is no longer necessary[1], and
	generate debug info (.pdb files, with little to no performance deficit),
	to ease debugging release builds.

	* MSVC_Net2010/glibmm.vcxproj:
	* MSVC_Net2010/giomm.vcxproj: Remove /vd2 build option from the
	builds, and generate .pdb files for release builds as well.

	[1]: http://msdn.microsoft.com/en-us/library/7sf3txa8%28v=vs.100%29.aspx

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio 2008 Projects: More Cleanups and Tweaks

	Remove items from the projects that are no longer necessary to build
	glibmm[1], and generate debug info (.pdb files, with little to no
	performance defecit) for release builds as well.  These changes also fixes
	the builds of glibmm and gtkmm as the glibmm_interface_implementation test
	now runs successfully, and the gtkmm demo program now starts without
	crashing (although it still does crash when a window is being closed).

	* MSVC_Net2008/*.vproj: Remove the build of blank.cpp and the /vd2
	build options, as they are no longer needed.
	* MSVC_Net2008/giomm.vcproj:
	* MSVC_Net2008/glibmm.vcproj: Generate Debug Info for the Release
	builds as well.

2014-09-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Fix Missed Headers for "Install"

	There were some more m4-generated headers that need to be installed.  Make
	up for that.

	* MSVC_Net2008/glibmm-install.vsprops:
	* MSVC_Net2010/glibmm-install.props: "Install" the generated
	headers indicated by glibmm_files_h_m4.

2014-09-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio Builds: Add "install" project

	This adds an install project to the Visual Studio 2008 and 2010 projects,
	which is used to install the built .dll and .lib, along with the headers
	needed for glibmm and giomm, to make it easier to deploy amd use after
	compilation.

	* MSVC_Net2008/glibmm-install.vsprops:
	* MSVC_Net2010/glibmm-install.props: New property sheets to
	"install" built DLLs, LIBs and headers.
	* MSVC_Net2008/install.vcproj:
	* MSVC_Net2010/install.vcxproj: New projects to carry out the
	"installation" process.
	* MSVC_Net2008/glibmm.sln:
	* MSVC_Net2010/glibmm.sln: Build the new install project
	* MSVC_Net2008/filelist.am:
	* MSVC_Net2010/filelist.am: Add the newly-added files for
	distribution

2014-09-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Bug 736720: Fix ustring for Visual Studio Builds

	Update the property sheets so that SIZEOF_WCHAR_T is defined as 2 when
	the glibmm library is built.  This ensures that the correct code path in
	the ustring class is taken for Visual Studio builds, which avoids an
	unhandled GLib::ConvertError exception.

	* MSVC_Net2005/glibmm-build-defines.vsprops:
	* MSVC_Net2008/glibmm-build-defines.vsprops:
	* MSVC_Net2010/glibmm-build-defines.props: Define SIZEOF_WCHAR_T
	when building glibmm so that ustring will use the correct code
	path on Visual Studio builds.

2014-09-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Fix Previous Commit On Visual Studio 2010 Projects

	* MSVC_Net2010/filelist.am: Include the newly-added property
	sheets.

2014-09-16  Marcin Kolny  <marcin.kolny@gmail.com>

	h2def.py: fixed generator in case of inline functions (bgo#736427)

	* tools/gen_scripts/h2def.py: removing inline methods body, removing
	'static' and 'inline' keywords in function declaration, avoiding
	double entries of the same method in generated *.def file by storing
	method's names in a Set collection.

2014-09-15  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update and Overhaul Visual Studio 2005 Projects

	Give the Visual Studio 2005 projects, like the Visual Studio 2008 projects
	in the previous commits, a much-needed overhaul and cleanup, so to ease
	future maintenance, by consolidating commonly-used items into property
	sheets.

	* MSVC_Net2005/glibmm-build-defines.vsprops:
	* MSVC_Net2005/glibmm-version-paths.vsprops: New property sheets to
	consolidate commonly-used items, so that they can be referred to
	from the projects and changes to them will only have to be done
	here, which will greatly simplify maintenace of the projects.
	* MSVC_Net2005/glibmm/glibmm.vcproj:
	* MSVC_Net2005/giomm/giomm.vcproj:
	and clean up by making use of the newly-added property sheets.
	Update the paths accordingly.  Remove unwanted/unneeded items in
	them as well.
	* MSVC_Net2005/examples/*/*.vcproj:
	* MSVC_Net2005/tests/*/*.vcproj:
	MSVC_Net2005/, and adjust the file paths in them accordingly.
	Clean up by using the property sheets, and remove unwanted/
	unneeded items.  Remove the example_ and test_ prefixes from the
	project names, and correct the source file names for the
	socket-client and socket-server projects
	* MSVC_Net2005/glibmm.sln: Update project names and paths
	accordingly.
	* MSVC_Net2005/filelist.am: Update file names and paths accordingly

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	2.41.4

2014-09-13  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update and Overhaul Visual Studio 2010 Projects

	Give the Visual Studio 2010 projects, like the Visual Studio 2008 projects
	in the previous commits, a much-needed overhaul and cleanup, so to ease
	future maintenance, by consolidating commonly-used items into property
	sheets.

	* MSVC_Net2010/glibmm-build-defines.props:
	* MSVC_Net2010/glibmm-version-paths.props: New property sheets to
	consolidate commonly-used items, so that they can be referred to
	from the projects and changes to them will only have to be done
	here, which will greatly simplify maintenace of the projects.
	* MSVC_Net2010/glibmm/glibmm.vcxproj:
	* MSVC_Net2010/glibmm/glibmm.vcxproj.filters:
	* MSVC_Net2010/giomm/giomm.vcxproj:
	* MSVC_Net2010/giomm/giomm.vcxproj.filters: Move to MSVC_Net2010/,
	and clean up by making use of the newly-added property sheets.
	Update the paths accordingly.  Remove unwanted/unneeded items in
	them as well.
	* MSVC_Net2010/examples/*/*.vcxproj:
	* MSVC_Net2010/examples/*/*.vcxproj.filters:
	* MSVC_Net2010/tests/*/*.vcxproj
	* MSVC_Net2010/tests/*/*.vcxproj.filters: Move all the projects to
	MSVC_Net2010/, and adjust the file paths in them accordingly.
	Clean up by using the property sheets, and remove unwanted/
	unneeded items.  Remove the example_ and test_ prefixes from the
	project names, and correct the source file names for the
	socket-client and socket-server projects
	* MSVC_Net2010/glibmm.sln: Update project names and paths
	accordingly.
	* MSVC_Net2010/filelist.am: Update file names and paths accordingly

2014-09-13  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio 2008 Projects: Further Cleanups

	* MSVC_Net2008/glibmm-version-paths.vsprops:
	* MSVC_Net2008/glibmm-build-defines.vsprops: Remove unneeded items
	and move path-related item into glibmm-version-paths.vsprops

2014-09-13  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC_Net2008/filelist.am: Fix up Dist'ed Files

	* MSVC_Net2008/filelist.am: Change thread_pool.vcproj to
	threadpool.vcproj, as that project file has been renamed.

2014-09-12  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio 2008 Projects: Update and Overhaul

	Update the Visual Studio 2008 projects, and give them a cleanup, by moving
	many repeated parts into property sheets.  Similar changes to the Visual
	Studio 2005 and 2010 project files will follow in the next few days.

	* MSVC_Net2008/glibmm-version-paths.vsprops:
	* MSVC_Net2008/glibmm-build-defines.vsprops: Add property sheets to
	group together commonly-used items in the Visual Studio 2008
	projects, like what is done in GLib.
	* MSVC_Net2008/giomm/giomm.vcproj: Move to MSVC_Net2008, clean up
	by using the property sheets and adjust the paths accordingly.
	Also add the sources that are added to the giomm sources.
	Simplify project names a bit.
	* MSVC_Net2008/gendef/gendef.vcproj:
	* MSVC_Net2008/glibmm/glibmm.vcproj:
	* MSVC_Net2008/examples/compose/compose.vcproj:
	* MSVC_Net2008/examples/dispatcher/dispatcher.vcproj:
	* MSVC_Net2008/examples/dispatcher2/dispatcher2.vcproj:
	* MSVC_Net2008/examples/keyfile/keyfile.vcproj:
	* MSVC_Net2008/examples/markup/markup.vcproj:
	* MSVC_Net2008/examples/options/options.vcproj:
	* MSVC_Net2008/examples/properties/properties.vcproj:
	* MSVC_Net2008/examples/regex/regex.vcproj:
	* MSVC_Net2008/examples/resolver/resolver.vcproj:
	* MSVC_Net2008/examples/thread/thread.vcproj:
	* MSVC_Net2008/tests/glibmm_simple/glibmm_simple.vcproj:
	* MSVC_Net2008/tests/giomm_simple/giomm_simple.vcproj: Move to
	MSVC_Net2008/, and clean up by using the property sheets.  Update
	paths accordingly and simplify propject names a bit.
	* MSVC_Net2008/examples/socket-client/socket-client.vcproj:
	* MSVC_Net2008/examples/socket-server/socket-server.vcproj: Move to
	MSVC_Net2008/, clean up by using the property sheets, and correct
	the sources that are being built.  Update paths accordingly too,
	and simplify project names a bit.
	* MSVC_Net2008/examples:
	* MSVC_Net2008/tests: Remove directories as projects have been
	moved to MSVC_Net2008/.
	* MSVC_Net2008/filelist.am: Reflect on the movement of the project
	files and also the added property sheets.

2014-09-08  Marcin Kolny  <marcin.kolny@gmail.com>

	gmmproc: Added parameter exception_handler in _WRAP_VFUNC (bgo#735132)

	This change allows developer to use custom exception handler, instead of
	using Glib::exception_handlers_invoke() method. It might be useful, if
	developer can't get access to a thread, where exception might appear, or
	it is very difficult to register handler in this thread.

	* tools/m4/signal.m4:
	* tools/m4/vfunc.m4:
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: added additional parameter
	to a _WRAP_VFUNC and _WRAP_SIGNAL, allowing write custom
	exception handlers

2014-09-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Better error checks in some _WRAP_* macros

	* tools/pm/Output.pm: When reordering parameters (cpp_type cpp_name{c_name}),
	check that there really are C parameters with the given names.
	A missing check together with a mis-spelt C parameter name can cause an
	infinite loop in _WRAP_SIGNAL and _WRAP_VFUNC.

2014-08-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::DBus: Don't use parameter name 'interface'

	* gio/src/dbusmessage.hg:
	* gio/src/dbusobject.hg: Change parameter name 'interface' to 'iface',
	to avoid compilation errors with MinGW. Bug #735137.

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Updated NEWS

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	2.41.3

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerated *_docs.xml.

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerated *_signals.defs.

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_methods.defs.

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_enums.defs.

2014-08-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Network example: Use Glib::OptionEntry and friends

	* examples/network/socket-client.cc:
	* examples/network/socket-server.cc: Use Glib::OptionEntry, OptionGroup,
	OptionContext instead of the glib equivalents.

2014-08-06  Shashank  <shashank1.m@samsung.com>

	Network example: Add --use-ipv6 command line option

	* examples/network/socket-client.cc:
	* examples/network/socket-server.cc: Add --use-ipv6 command line option.
	Bug #734094.

2014-07-31  Andre Klapper  <a9016009@gmx.de>

	doap: add <programming-language>

2014-07-30  Olav Vitters  <olav@vitters.nl>

	doap category core

2014-07-28  Murray Cumming  <murrayc@murrayc.com>

	2.41.2

2014-07-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Menu: Allow detailed_action == null

	* gio/src/menu.hg: insert/prepend/append(): Make it possible to pass
	detailed_action == 0 to the glib/gio functions. Bug #733203.

2014-07-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Make custom interface properties instance data

	* glib/glibmm/class.cc: Copy the default values of the interface properties
	to the class's iface_properties_quark.
	* glib/glibmm/property.cc: custom_set_property_callback(): Copy the
	default values to object-specific data.
	custom_get_property_callback(): Get object-specific value if it exists, else
	class-specific default value. Bug #732746.

2014-07-19  Juan R. García Blanco  <juanrgar@gmail.com>

	Add Gio::SimplePermission

	* gio/giomm.h: Add giomm/simplepermission.h.
	* gio/src/simplepermission.[hg|ccg]: New files.
	* gio/src/filelist.am: Add simplepermission.hg.
	* tools/extra_defs_gen/generate_defs_gio.cc: Add
	G_TYPE_SIMPLE_PERMISSION (although SimplePermission has no
	signals nor properties).
	* See https://bugzilla.gnome.org/show_bug.cgi?id=732436

2014-07-19  Juan R. García Blanco  <juanrgar@gmail.com>

	Add Gio::Permission

	* gio/giomm.h: Add giomm/permission.h.
	* gio/src/filelist.am: Add permission.hg.
	* gio/src/gio_signals.defs: Add allowed, can-acquire, and
	can-acquire properties.
	* gio/src/gio_vfuncs.defs: Add vfuncs.
	* gio/src/permission.[hg|ccg]: New files.
	* tools/extra_defs_gen/generate_defs_gio.cc: Add
	G_TYPE_PERMISSION.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=732436

2014-07-07  Povilas Kanapickas  <povilas@radix.lt>

	PropertyBase: Use g_object_notify_by_pspec() instead of g_object_notify()

	This approach is faster and recommended by GLib. Bug #731484.

2014-07-07  Povilas Kanapickas  <povilas@radix.lt>

	Rename ambiguously named overridden property variable and type

	* glib/glibmm/class.[cc|h]:
	* glib/glibmm/interface.cc:
	* glib/glibmm/property.cc: Rename properties_quark and properties_type to
	iface_properties_quark and iface_properties_type.
	As custom_[set|get]_property_callback() in property.cc also sets and gets
	user-defined properties, this naming choice may be confusing.
	These names are intended for use by glibmm only. Renaming is not an
	ABI/API break. Bug #731484.

2014-07-05  Juan R. García Blanco  <juanrgar@gmail.com>

	Add support for GtkContainer child properties

2014-06-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_METHOD: Allow multi-word parameter types (unsigned int)

	* tools/pm/Function.pm: parse_param(): Allow multi-word parameter types,
	as in _WRAP_METHOD(void set_button(unsigned int button = 0),
	gtk_gesture_single_set_button).
	Affects _WRAP_METHOD, _WRAP_SIGNAL, _WRAP_CTOR, _WRAP_CREATE, _WRAP_VFUNC.

2014-06-26  Murray Cumming  <murrayc@murrayc.com>

	2.41.1

2014-06-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate API which is deprecated in glib

	* gio/src/application.hg: Deprecate set_action_group().
	* gio/src/desktopappinfo.hg: Deprecate set_desktop_env().
	* gio/src/settings.[hg|ccg]: Deprecate list_schemas(), range_check() and
	property_schema().
	* gio/src/simpleactiongroup.hg: Define GLIB_DISABLE_DEPRECATION_WARNINGS
	in the .cc file.
	* gio/src/tlsconnection.hg: Deprecate [set|get]_use_system_certdb()
	and property_use_system_certdb().
	* gio/src/volumemonitor.hg: Deprecate adopt_orphan_mount() also in
	the .cc file.
	* glib/glibmm/filelist.am: Build only the glibmm_files_used.
	* glib/src/filelist.am: Add glibmm_files_deprecated_hg. Move thread.hg
	and valuearray.hg to it.
	* glib/src/keyfile.hg: Deprecate one of the load_from_dirs() methods
	also in the .cc file.
	* glib/src/valuearray.hg: Deprecate the whole class Glib::ValueArray.
	* tests/glibmm_valuearray/main.cc: Undefine GLIBMM_DISABLE_DEPRECATED.

2014-06-10  José Alburquerque  <jaalburquerque@gmail.com>

	tests/glibmm_interface_implementation: Use the new base class order

	* tests/glibmm_interface_implementation/main.cc: Interface before
	Glib::Object in the list of base classes. Test a custom property and
	an interface with properties.
	This patch is almost identical to the attachment in bug 697229 comment 14.

2014-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add a blank line after @deprecated and @newin

	* tools/pm/DocsParser.pm: A blank line after @deprecated and @newin tells
	Doxygen where the accompanying text paragraph ends.

2014-05-29  Murray Cumming  <murrayc@murrayc.com>

	2.41.0

2014-05-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Don't interpret a comma as the end of a deprecation message

	* tools/pm/WrapParser.pm: extract_bracketed_text(): Warn if the text ends
	in a quoted string.
	string_split_commas(): Don't split at a comma in a quoted string.

2014-05-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	examples/network: Use SocketSource and SignalSocket.

	* examples/network/socket-client.cc: Use Gio::Socket::create_source().
	* examples/network/socket-server.cc: Use Gio::signal_socket().connect().
	Bug #725281.

2014-05-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gio:SocketSource, SignalSocket and Socket::create_source()

	* .gitignore: Add !gio/giomm/socketsource.[cc|h].
	* gio/giomm.h:
	* gio/giomm/filelist.am: Add socketsource.h.
	* gio/giomm/socketsource.[cc|h]: New files. SocketSource and SignalSocket.
	* gio/src/socket.[ccg|hg]: Add create_source().
	Remove many trailing blanks in socket.hg.
	* glib/glibmm/main.[cc|h]: Add functions required when a class derived from
	Source is defined in another file. Bug #725281.

2014-05-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application: Add some @newin{2,42}

2014-05-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application: Fix some typos

2014-05-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application: Add add_main_option_entry() taking a slot parameter

	* gio/src/application.[hg|ccg]: Add add_main_option_entry() and
	add_main_option_entry_filename() taking slot parameters.
	Add add_main_option_entry_private(). Bug #727822.

2014-05-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application: Add add_main_option_entry() and enum OptionType

	* gio/src/application.[hg|ccg]: Add add_main_option_entry() and
	enum Application::OptionType. Bug #727822.

2014-04-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove unnecessary parts of the docs_override.xml files

	* gio/src/gio_docs_override.xml:
	* glib/src/glib_docs_override.xml: Remove parts with no significant
	difference compared to the docs.xml files. Remove duplicates.

2014-04-14  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention API additions in 2.40

2014-04-13  Murray Cumming  <murrayc@murrayc.com>

	2.40.0

2014-04-09  Murray Cumming  <murrayc@murrayc.com>

	Application: Also comment out add_option_group() for now.

	* gio/src/application.hg: We can add it back when we are sure how
	it should look, and how it should be used.
	See bug #727822

2014-04-08  Murray Cumming  <murrayc@murrayc.com>

	VariantType: Fix typo in VARIANT_TYPE_BYTESTRING_ARRAY.

	* gio/src/varianttype.ccg: VARIANT_TYPE_BYTESTRING_ARRAY was set
	to G_VARIANT_TYPE_STRING_ARRAY instead of
	G_VARIANT_TYPE_BYTESTRING_ARRAY, causing VariantDict::lookup_value()
	to fail on an array of filenames when given a vector<std::string>.

2014-04-08  Murray Cumming  <murrayc@murrayc.com>

	Options example: For the remaining arg(s), remove description.

	The long description doesn't seem to be necessary for the
	G_OPTION_REMAINING entry.

2014-04-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools/extra_defs_gen/generate_extra_defs.cc: Update some comments

	* tools/extra_defs_gen/generate_extra_defs.cc: Change comments stating
	that get_properties() fails for GVolume. GVolume is an ordinary GInterface.
	If the first call is get_properties(G_TYPE_VOLUME), it fails if glib
	bug #465631 has not been fixed.

2014-04-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Small improvement of enum documentation

	* tools/pm/DocsParser.pm: Some small improvements of
	lookup_enum_documentation(). E.g. '\n' is replace by ' ' instead of removed,
	and G_NORMALIZE_DEFAULT is converted to NORMALIZE_DEFAULT instead of
	Normalize::DEFAULT. But still not perfect.

2014-04-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio Builds: Update glibmm Project

	Add the newly-added variantdict.[cc|h] sources into the build, so that the
	build of glibmm is complete.

2014-04-05  Murray Cumming  <murrayc@murrayc.com>

	2.39.93

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	TlsInteraction: Add certificate request methods.

	* gio/src/tlsinteraction.hg: Add invoke_request_certificate(),
	request_certificate(), request_certificate_async() and
	request_certificate_finish().

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	Socket: Add get/set_option().

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	Settings: Add get_user_value() and get_default_value().

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	Keyfile: Add save_to_file().

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	Application: Comment out an implementation too.

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	Application: Remove add_option_entries().

	Because it seems useless. We need a new function, I think.
	See glib bug:
	https://bugzilla.gnome.org/show_bug.cgi?id=727602

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	VariantDict::lookup_value(): Return soon enough on failure.

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	VarantDict::lookup_value(): Add a missing return.

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	Variant: Remove the now-unnecessary local g_variant_parse_error_quark().

	This is in glib itself now:
	https://git.gnome.org/browse/glib/commit/glib/gvariant.h?id=eeac91f866939fd033303f34c7eb9d2b57c769fb
	and was causing segfaults.

	Bug #727554 (Antoine Jacoutot)

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	Application, ApplcationCommandLine: #include variantbase.h

	This was a problem when building gtkmm and would probably have
	been shown by a test case in glibmm.

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerated *_docs.xml files.

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	Application, ApplicationCommandLine: Wrap API that uses VariantDict.

	* gio/src/application.hg: Add the handle-local-options signal.
	* gio/src/applicationcommandline: Add get_options_dict().
	* tools/m4/convert_glib.m4: Add necessary conversions.

	I really need to try using this API so we can be sure that it
	is correct before calling it stable, because this part of the awful
	GApplication documentation is particularly awful.

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO comment

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	Add Glib::VariantDict, needed for GApplication.

	* glib/src/filelist.am:
	* glib/src/variantdict.[hg|ccg]: Add it as a generic refcounted
	type, with templated lookup_value() and insert_value() methods,
	though these are completely untested so far.
	* glib/src/variant.hg: Ignore a g_variant_dict_* function that
	gmmproc thinks is part of Variant.
	* tools/m4/convert_gio.m4:
	* tools/m4/convert_glib.m4: Move all Variant* conversion to the
	glib conversions and add a necessary one.
	* glib/glibmm.h: Include variantdict.h.

2014-04-03  Murray Cumming  <murrayc@murrayc.com>

	genereate_defs_glib: Add some more glib GTypes.

	Though we don't actually use them or need to use them.
	Still, it would be nice to see when something changes about these
	types.

2014-04-02  Murray Cumming  <murrayc@murrayc.com>

	extra_defs: Add some new gio classes.

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* tools/extra_defs_gen/generate_defs_glib.cc:
	Mention some recently-added GTypes.
	* gio/src/gio/gio_signals.defs: Regenerate.

2014-04-02  Murray Cumming  <murrayc@murrayc.com>

	Add some TODOs about VariantDict.

	We should remove Application::add_main_option_entries() and
	add_option_group() if we cannot get the handle_local_entries signal
	and its VariantDict right.

2014-04-02  Murray Cumming  <murrayc@murrayc.com>

	Minor comments updates.

2014-03-28  Murray Cumming  <murrayc@murrayc.com>

	h2def.py: Handle *_DEPRECATED_IN_* and AVAILABLE_IN_* with 0 digits.

	* tools/defs_gen/h2def.py: clean_func(): Use 0-9 instead of just
	1-9. clutter's headers showed that this was a problem.

2014-03-28  Murray Cumming  <murrayc@murrayc.com>

	h2def.py: clean_func() also strip *_DEPRECATE_IN_*_FOR () without a space.

	* tools/defs_gen/h2def.py: Because clutter has lines such as this:
	CLUTTER_DEPRECATED_IN_1_6_FOR(clutter_actor_animate and ClutterActor:depth)
	without a space after the FOR.

2014-03-20  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio Projects: Update giomm Projects

	Add to the projects the sources for notification, so that giomm builds
	properly.

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	2.39.92

2014-03-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs XML files.

2014-03-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::ustring docs: Say more clearly that it must be only UTF-8

	* glib/glibmm/ustring.h: Mention in the documentation of ustring and
	ustring_Iterator that bad things can happen if the string does not contain
	only valid UTF-8 data. Bug #681560.

2014-03-05  Murray Cumming  <murrayc@murrayc.com>

	Application: Add add_main_option_entry() and add_option_group().

	* gio/src/application.hg: Wrap g_application_add_main_option_entries()
	and g_application_add_option_group().

2014-03-05  Murray Cumming  <murrayc@murrayc.com>

	Add ActionMap to gio_extra_objects.defs.

	This lets the documentation generator guess the appropriate C++ method
	name.

2014-03-05  Giuseppe Penone  <giuspen@gmail.com>

	win32: Surround content_type_get_symbolic_icon() with ifdefs.

	This matches a similar ifdeffing in the underlying C header,
	because ths function is apparently not useful on win32.

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	2.39.91

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs XML.

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	Fix tiny typo in commit

2014-02-26  Murray Cumming  <murrayc@murrayc.com>

	Regenerated docs XML

2014-02-26  Murray Cumming  <murrayc@murrayc.com>

	Regenerated signal/property .defs

2014-02-26  Murray Cumming  <murrayc@murrayc.com>

	Regenerated methods .defs

2014-02-26  Murray Cumming  <murrayc@murrayc.com>

	Gio::Socket::bind() docs: Use @a instead of <tt></tt> for a parameter.

	* gio/src/socket.hg: @a is the doxygen way to say that we are
	referring to a parameter in the method being documented.

2014-02-26  Murray Cumming  <murrayc@murrayc.com>

	Gio::Socket docs: Do not say that the Cancellable (reference) can be 0.

	* gio/src/socket.hg: That makes sense only in the C API, which uses
	a pointer. We instead have method overloads without that parameter.

2014-02-26  Tomasz Jankowski  <tomcioj@gmail.com>

	Improve Gio::Socket documentation.

	* gio/src/socket.hg: Added documentation for the bind(),
	listen() and accept() methods, based on original Glib
	API reference but mentioning our exceptions rather than
	GError or return values.
	Bug #725178

2014-02-17  Murray Cumming  <murrayc@murrayc.com>

	2.39.4

2014-02-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	MemoryInputStream test: Small improvements

	* tests/giomm_memoryinputstream/main.cc: Slightly better test of the
	deletion of the data. More output in case of failure.

2014-02-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gio::MemoryInputStream test

	* tests/giomm_memoryinputstream/main.cc: New file.
	* tests/Makefile.am: Add the MemoryInputStream test.
	Bug #609946

2014-02-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::MemoryInputStream: Add add_data() taking a sigc::slot

	* gio/src/memoryinputstream.[h|cc]: Add add_data(
	const void*, gssize, const SlotDestroyData&). Deprecate
	add_data(const std::string&) and add_data(const void*, gssize).
	Bug #609946

2014-01-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gio/src/fileattributeinfo.hg: Remove NO_GTYPE from _WRAP_ENUMs

	* gio/src/fileattributeinfo.hg: A comment said that NO_GTYPE was necessary
	because gmmproc generated the wrong name for the _get_type() functions.
	That was fixed in tools/m4/base.m4 on 2009-03-19 by commit
	https://git.gnome.org/browse/glibmm/commit/?id=2343e537edae800a2969d57ec49cb58585b3de22
	Probably many more NO_GTYPE can be removed in glibmm.

2014-01-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::MenuModel: Add signal_items_changed()

	* gio/src/menumodel.hg:  Wrap the "items-changed" signal.

2014-01-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix some doxygen warnings

	* gio/src/action.hg:
	* gio/src/actionmap.hg:
	* gio/src/dbusconnection.hg:
	* gio/src/dbusproxy.hg:
	* gio/src/file.hg:
	* gio/src/fileinfo.hg:
	* gio/src/menuitem.hg:
	* gio/src/mount.hg:
	* gio/src/settings.hg:
	* gio/src/simpleaction.hg:
	* gio/src/threadedsocketservice.hg:
	* glib/glibmm/base64.h:
	* glib/glibmm/refptr.h:
	* glib/src/variant.hg: Fix some warnings in doxygen.log.

2014-01-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gio_methods.defs

	* gio/src/gio_methods.defs: Some inconsistent parameter names have been fixed
	in glib/gio header files.

2014-01-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Don't change NULL to 0 in docs, when it's part of a longer name

	* tools/pm/DocsParser.pm: Don't change NULL to 0, TRUE to true,
	FALSE to false, when they are part of a longer name.

2014-01-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Action: Add parse_detailed_name() and parse_detailed_name_variant()

	* gio/src/action.hg: Add parse_detailed_name() and
	parse_detailed_name_variant().
	* tools/m4/initialize_glib.m4: Add _INITIALIZATION of Glib::ustring&
	from gchar*.

2014-01-29  Murray Cumming  <murrayc@murrayc.com>

	OptionContext: TODO comment discussing g_option_context_parse_strv() and win32.

2014-01-29  Murray Cumming  <murrayc@murrayc.com>

	OptionContext: Add API documentation based on the C docs.

	* glib/src/optioncontext.hg: Add class overview documentation
	based on the C documentation, but reworded to match our C++ API.
	This should now provide some clue about where to start other
	than with our (well hidden) example code.
	* glib/src/optiongroup.hg: Add documentation for the add_entry*()
	methods.

2014-01-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gio::Notification

	* gio/src/application.hg: Add send_notification(), withdraw_notification().
	* gio/src/notification.[hg|ccg]: New files.
	* gio/src/filelist.am: Add notification.hg.
	* gio/giomm.h: Add giomm/notification.h.
	* tools/m4/convert_gio.m4: Add conversions between GNotification and
	Gio::Notification. Bug #722896.

2014-01-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Action: Fix activate(const Glib::Variant<T_Value>& value)

	* gio/src/action.hg: Make activate(const Glib::Variant<T_Value>& value)
	call activate_variant(). Fix a typo in a comment. Bug #722896 comment 3.

2014-01-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add _IGNORE()s, remove obsolete comments

	* gio/src/cancellable.hg: Remove obsolete comment.
	* gio/src/dbusmessage.hg: Fix a typo. Remove obsolete comment. Add _IGNORE().
	* gio/src/application.hg:
	* gio/src/inputstream.hg:
	* gio/src/outputstream.hg:
	* gio/src/socketconnection.hg:
	* glib/src/bytes.hg:
	* glib/src/module.hg:
	* glib/src/variant.hg: Add _IGNORE().

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	2.39.3

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate C docs.

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate signal/property .defs

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate functions .defs.

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums defs.

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO comment for C++11.

2013-12-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::ustring: Delete an obsolete TODO comment

	* glib/glibmm/ustring.cc: The comment added 2007-08-12 by commit
	https://git.gnome.org/browse/glibmm/commit/?id=132b0ceb8c30ef82a6c11635eff8e7b41feba357
	is obsolete or a misunderstanding. A std::wostream requires a wchar_t string
	as input from the C++ code, but the character encoding of a written file is
	determined by the std::wostream's std::locale.

2013-12-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::ThemedIcon::get_names(): Use _WRAP_METHOD

	* gio/src/themedicon.[hg|ccg]: Use _WRAP_METHOD instead of hand-written
	code. gmmproc does not complain.

2013-12-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Mount::guess_content_type_finish(): Correct the documentation

	* gio/src/mount.hg: guess_content_type_finish(): Adapt the docs to C++
	instead of copying directly from glib.

2013-12-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::DBus::AuthObserver: Add example from the C API docs in class docs

	* gio/src/dbusauthobserver.hg: Add the example from the C API docs,
	translated to C++.

2013-12-08  Adam Sampson  <ats-gnomebugs@offog.org>

	This test assumes that the first DNS result it gets for www.google.com is an IPv4 address -- but it can equally well be an IPv6 address. Create the right kind of socket to match.

2013-11-18  Murray Cumming  <murrayc@murrayc.com>

	2.38.1

2013-11-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::content_type_*(): Improve documentation

	* gio/giomm/contenttype.h: Add @defgroup giommContentType. Useful as
	a link target from Gtk::AppChooser, similar to a link from
	GtkAppChooser:content-type to GContentType. See gtk+ bug #650012.
	Several minor fixes in content_type_*() docs.

2013-11-07  Murray Cumming  <murrayc@murrayc.com>

	Added a comment.

2013-10-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	giomm_tls_client test: Add some comments

	* tests/giomm_tls_client/main.cc: Add comments describing what to do if
	the test fails because glib does not find a TLS backend.

2013-10-14  Murray Cumming  <murrayc@murrayc.com>

	Gio::ActionGroup: Remove a nonsensical check.

	* gio/src/actiongroup.hg: get_action_state_hint():
	Remove a wrongly copy/pasted g_return_if_fail() line that
	causes a compiler error when the template is actually used.
	Ideally we would have tests for uses of templated methods.
	Bug #709963 (Johannes Meng, David Evans)

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	2.38.0

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Add create_action().

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	Gio::MenuItem: Add set_action(), unset_target() and unset_action_and_target().

	* gio/src/menuitem.[hg|ccg]: set_action() and unset_target()
	replace set_action_and_target(action), which is now deprecated.

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	Action/ActionGroup: Make some parameter parameters optional.

	* gio/src/action.[hg|ccg]: Add an activate() method that takes no
	parameter.
	* gio/src/actiongroup.hg: activate_action(): Add a method overload
	that takes no parameter parameter.

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	Action: print_detailed_name(): Remove the action_name parameter.

	* gio/src/action.hg: This is a non-static version of the method,
	so we can just use get_name(). We already use the instance to
	get the state type.

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	Docs: Add Action* and MenuItem docs.

2013-10-01  Murray Cumming  <murrayc@murrayc.com>

	Updated a comment

2013-10-01  Murray Cumming  <murrayc@murrayc.com>

	Updated a comment

2013-09-27  Murray Cumming  <murrayc@murrayc.com>

	Menu: Add a TODO

2013-09-27  Murray Cumming  <murrayc@murrayc.com>

	Gio::MenuItem: get/set_attribute(): Deprecated for *_value() methods.

	* gio/src/menuitem.hg: set_attribute(): Deprecate this in favour of
	set_attribute_value() though it was previously the other way around.
	Add get_attribute_value() and deprecate get_attribute() in favour
	of it.
	This lets us, one day, remove those set_attribute() and
	get_attribute() methods and replace them with more pleaseant
	templated set/get_attribute() methods that just call the
	*_value() methods, as in Gio::Action.

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Add a comment

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Gio::ActionMap: Fix a reference-counting problem.

	* gio/src/actionmap.hg: add_action_vfunc(): Add a custom _CONVERSION()
	that takes a reference, just for this vfunc. We would have
	seen the need for this before if it had used a const & instead
	of passing the RefPtr by value, which we probaby cannot change
	now without breaking ABI.

2013-09-23  Krzesimir Nowak  <qdlacz@gmail.com>

	.gitignore: Update.

	* .gitignore: Ignore the files generated by Automake testing
	infrastructure.

2013-09-23  Krzesimir Nowak  <qdlacz@gmail.com>

	ByteArray: Fix refcount problems.

	* glib/src/bytearray.hg: Add refreturn to methods returning self.

2013-09-23  Krzesimir Nowak  <qdlacz@gmail.com>

	ByteArray: Add some tests for methods returning self.

	* tests/Makefile.am:
	* tests/glibmm_bytearray/main.cc: New file with tests. These are
	failing now.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	2.37.93

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated methods .defs files

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	tools: h2def.py: Handle *_DEPRECATED_IN_*_FOR (*)

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Spawn: Use the new SPAWN_DEFAULT instead of 0.

	* glib/src/spawn.hg: The value is the same, however.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Gio::File: Add measure_disk_usage() and measure_disk_usage_async().

	* gio/src/file.[hg|ccg]: Wrap g_file_measure_disk_usage(),
	g_file_measure_disk_usage_async() and
	g_file_measure_disk_usage_finish(), based on the copy() and
	copy_async() methods, which also have 2 slots.
	* tools/m4/convert_glib.m4: Add a conversion for guint64&.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Add get/set_uint().

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated docs .xml files

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated extra .defs files

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated methods .defs files

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated enums .defs files

2013-09-17  Murray Cumming  <murrayc@murrayc.com>

	Fix the build after previous commit

2013-09-17  Murray Cumming  <murrayc@murrayc.com>

	Remove obsolete comment.

2013-09-17  Murray Cumming  <murrayc@murrayc.com>

	giomm: Add VariantParseError.

2013-09-16  Murray Cumming  <murrayc@murrayc.com>

	ActionMap: lookup_action(): Fix the reference counting.

	* gio/src/actionmap.hg: Use refreturn.

2013-09-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Port tools/defs_gen to Python 3.

	* .gitignore: Ignore /tools/defs_gen/__pycache__/.
	* tools/defs_gen/*.py: Port to Python 3. These Python sources now run with
	both Python 2 and Python 3. Tested with 2.7.3 and 3.2.3.
	Bug #690969.

2013-09-10  Murray Cumming  <murrayc@murrayc.com>

	2.37.7

2013-09-08  José Alburquerque  <jaalburquerque@gmail.com>

	gmmproc: Pass NULL to C function calls for optional empty strings.

	* tools/pm/Output.pm (convert_args_cpp_to_c): When generating
	conversions for the C++ arguments, if the argument is optional
	and it is a std::string or a Glib::ustring, prepend a check for
	the empty string to the standard conversion, passing NULL to the
	C function if the string is empty.

	Bug #686909.

2013-09-08  Murray Cumming  <murrayc@murrayc.com>

	Revert "gmmproc: Pass 0 (NULL) instead of  to C functions."

	This reverts commit 5acce15576a91aec89c04b8fe5f8532b192acb71.

2013-09-08  Murray Cumming  <murrayc@murrayc.com>

	Revert "Pass 0 (NULL) instead of  for C properties."

	This reverts commit db1668a39d9646882d5aa6b7386a3b7ea70f99af.

2013-09-08  Murray Cumming  <murrayc@murrayc.com>

	Revert "Fix the build"

	This reverts commit 5d4342dd14bb7ca79b63c1341fdfa420164b35e4.

2013-09-06  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update Visual Studio Projects

	* Purge some of the unecessary entries form the project files, notably the
	empty items in the Visual Studio 2005/2008 projects and linking to
	gthread-2.0.lib, as the gthread library is considered deprecated and it
	is no longer necessary to link to it since quite some time ago.
	* Clean up the formatting of the Project Files.
	* Fix the include paths on including the libsigc++ headers, notably
	sigc++config.h.
	* Update the glibmm and giomm projects as newer sources were added so that
	these libraries will build properly.

2013-09-03  Murray Cumming  <murrayc@murrayc.com>

	Gio: Menu: Add insert/append/prepend_section() with no label parameter.

	* gio/src/menu.hg: Because the label may be NULL in C,
	meaning that the sections will just be separated by spaces
	instead of having titles in the menu.
	Bug #702456 .

2013-09-03  Murray Cumming  <murrayc@murrayc.com>

	Fix the build

2013-09-03  Murray Cumming  <murrayc@murrayc.com>

	Pass 0 (NULL) instead of  for C properties.

	* glib/glibmm/objectbase.cc: set_property_value():
	* glib/glibmm/propertyproxy_base.cc: set_property():
	If the value is a G_TYPE_STRING (a gchar*), and is "",
	then pass 0 instead.
	Bug #686909

2013-09-03  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Pass 0 (NULL) instead of  to C functions.

	* tools/m4/convert_glib.m4: Avoid passing "" to C functions
	because some C developers insist on treating "" and NULL
	differently even when there is no meaningful distinction
	and when that means obviously unwanted behaviour in response
	to the "".
	Bug #686909
	And this should help with bug #702456 .

2013-09-03  Murray Cumming  <murrayc@murrayc.com>

	Link to a bug from a TODO comment

2013-08-31  Marcin Kolny  <marcin.kolny@gmail.com>

	gmmproc: Add parameter return_value in _WRAP_VFUNC.

	* tools/m4/vfunc.m4:
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Add parameter return_value in _WRAP_VFUNC.
	Bug #705699.

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	2.37.6

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Remove a comment about a fixed bug.

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Threads: Add a new doc line from the C docs.

2013-08-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Fix _WRAP_SIGNAL with 'ifdef' and 'deprecated'.

	* tools/pm/Output.pm: Since 2012-09-18 convert_args_cpp_to_c() returns an
	array. Use only the first array element ($conversions) when _SIGNAL_CC is
	written.
	* tools/pm/WrapParser.pm: _WRAP_SIGNAL: Fix the merge of a doxygen comment
	in a .hg file with a comment from the .defs file. Write #if[n]def directives
	before the merged comment. (Was in the middle of the comment.)

2013-08-09  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action: Add templated change_state() and activate().

	* gio/src/action.hg: Also adding change_state_variant() and
	activate_variant() for them to call, and deprecating the
	change_state() and activate() methods that take VariantBase.
	Also added change_state() and activate() templated methods
	that take Variant<T_Value> to preserve API for application
	code that previously called change_state(VariantBase) with
	a Variant<>.

2013-08-09  Murray Cumming  <murrayc@murrayc.com>

	Link to a bug report

2013-08-09  Murray Cumming  <murrayc@murrayc.com>

	Gio::SimpleAction: Make set_state() protected.

2013-08-09  Murray Cumming  <murrayc@murrayc.com>

	Gio::ActionGroup: Add templated getters.

	* gio/src/actiongroup.hg: Add templated get_action_state()
	and get_action_state_hint() methods, adding
	*_variant() methods that they call, and deprecating the
	existing methods that have no output parameters.
	Thanks to Kjell for the suggestion.

2013-08-09  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action:: get_state_hint(): Correct a check.

2013-08-07  Murray Cumming  <murrayc@murrayc.com>

	Gio::ActionMap: add_action_radio_*(): Use better Slot types.

	* gio/src/actionmap.[hg|ccg]: add_action_radio_string(): Take
	a Slot that provides a string, rather than a VariantBase.
	add_action_radio_int(): Take a Slot that provides an int, rather
	than a VariantBase.
	Hopefully passing a Slot via sigc::bind() is a good idea.
	The various slot types would be less confusing if we moved
	some of this to a derived class.

2013-08-07  Murray Cumming  <murrayc@murrayc.com>

	Gio::SimpleAction: add_action() now takes a slot with no parameter.

	* gio/src/actionmap.[hg|ccg]: Change ActionSlot to take no parameter,
	hiding it via sigc::hide(), because in most cases the parameter
	is useless and annoying.
	Add add_action_with_parameter() which takes a slot with the
	parameter. We cannot just have an add_action() method overload
	because the compiler considers that ambiguous.

2013-08-07  Murray Cumming  <murrayc@murrayc.com>

	Gio::SimpleActionGroup: Some API improvements.

	* gio/src/simpleactiongroup.hg: lookup(): Add a const version
	and use refreturn. Deprecate both lookup() methods,
	however, because they just call lookup_action() in the
	base ActionMap.
	Deprecate insert() and remove() because they just call
	add_action() and remove_action() in the base ActionMap,
	confusing the API.
	I filed bug #705600 about this API problem in the C API,
	hoping they can be deprecated there.

2013-08-06  Murray Cumming  <murrayc@murrayc.com>

	Gio::ActionGroup: Add more TODOs about methods that should be templated.

	Unforunately it is too late to correct this.

2013-08-06  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action: Add TODOs to templatize change_state() and activate().

	Sadly, we cannot do this until we can break ABI, I think.

2013-08-06  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action: print_detailed_name() Make this templated.

	Renaming the original method to print_detaild_name_variant().
	This method is new in this development cycle, so we may still
	change it.

2013-08-06  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action: Make get_state() templated.

	And do the same for get_state_hint(), renaming the originals to
	get_state_variant() and get_state_hint_variant(). We had already
	decided to break the ABI of these because the method signatures
	in the stable release were useless, so this is OK.
	We use the same technique elsewhere in glibmm and gtkmm for
	Glib::ValueBase.

2013-08-05  Murray Cumming  <murrayc@murrayc.com>

	2.37.5

2013-08-05  Murray Cumming  <murrayc@murrayc.com>

	Add some comments and point to relevant bugs.

2013-08-02  loganek  <marcin.kolny@gmail.com>

	enums.pl: fixed multi-argument defines as enum values

2013-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add interfaces to custom types before class_init.

	* glib/glibmm/class.[h|cc]: Add a clone_custom_type() overload that takes
	a vector of pointers to Interface_Class instances, so we can call their
	add_interface() functions on the GType just after registering it, but before
	instantiating the first GObject.
	custom_class_init_function(): Override properties of implemented interfaces
	that have not been overridden in a base class.
	* glib/glibmm/interface.cc:
	Interface::Interface(const Interface_Class& interface_class):
	If the GObject has not been instantiated yet, then add interface_class to
	the Class::custom_interface_classes vector.
	* glib/glibmm/objectbase.[h|cc]: Add extra_object_base_data and
	extra_object_base_data_mutex.
	* glib/glibmm/objectbase.cc: ~ObjectBase(): Erase 'this' from
	extra_object_base_data.
	* glib/glibmm/object.cc: Default constructor and
	Object::Object(const Glib::ConstructParams& construct_params): Pass the list
	of Interface_Class pointers to the new Class::clone_custom_type() method
	overload.  Bug #697229.

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	MenuItem: Reimplement the constructors.

	* gio/src/menuitem.[hg|ccg]: Because GMenuItem (and GMenu) do not
	have any properties and have actual code in their *_new() C
	convenience functions.
	Bug #705199 (Pete Woods)

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio: SimpleAction, ActionMap: Reorder some parameters

	Put the initial state at the end so we can have a default value
	where that would make sense.

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio::MenuItem: Add set/unset_icon().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Regex: Add get_max_lookbehind().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio::Menu: Add remove_all().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio::File: Wrap some new methods.

	* gio/src/file.[hg|ccg]: Add trash_async(), trash_finish(),
	make_directory_async() and make_directory_finish().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Add mark/unmark_busy().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio::DesktopAppInfo: Wrap some new methods.

	* gio/src/desktopappinfo.hg:
	Add list_actions(), launch_action() and get_action_name().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action: Wrap some new methods.

	* gio/src/action.hg: Add name_is_valid()
	and print_detailed_name().

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerate functions defs

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums defs

2013-07-30  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action::get_state_bool(): Correction.

	Use g_variant_type_equal() instead of comparing the pointers.

2013-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Action, ActionGroup: Fix memory problems.

	* gio/src/action.ccg: get_state_bool(): Unref GVariant.
	* tools/m4/convert_gio.m4: Take a copy when const GVariantType* is converted
	to Glib::VariantType. Affects Action and ActionGroup. Bug #690134.

2013-07-29  Murray Cumming  <murrayc@murrayc.com>

	ActionMap, SimpleAction: Add API for creating radio actions.

	* gio/src/simpleaction.[hg|ccg]:
	Add create_radio_string() and create_radio_integer().
	* gio/src/actionmap.[hg|ccg]:
	Add add_action_radio_string() and add_action_radio_integer().

	With GAction, radio items seem to be one action with multiple
	possible parameter/state values, with the parameter and state
	values always being equal. This C++ API assumes that string
	and integer will be the most commonly-used types for those values.
	These values are specified in the GtkBuilder <menu> as target
	values for <item>s each having the same action name.

	I am really not sure that this is the best API we can have.

2013-07-29  Andrew Potter  <agpotter@gmail.com>

	Gio::Action: Fix API for get_state() and get_state_hint().

	* glib/src/action.hg: get_state() and get_state_hint() now return
	a VariantBase instead of void. Bug #690134.

2013-07-27  Murray Cumming  <murrayc@murrayc.com>

	ActionMap: add_action(): Add more overloads

2013-07-27  Murray Cumming  <murrayc@murrayc.com>

	Gio::Action: Add convenience methods for bool-state (toggle) actions.

	* gio/src/simpleaction.[hg|ccg]: Add constructors and
	create_bool() methods that take a bool instead of a VariantBase
	for the state.
	* gio/src/action.[hg|ccg]: Add get_state_bool() and
	change_state(bool).

	It might be better to put these in a derived class, but I still
	hope that the developers of the C API decide not to make this
	common case so awkward:
	https://bugzilla.gnome.org/show_bug.cgi?id=704392#c4

2013-07-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Variant: Fix memory leaks.

	* glib/src/variant.[hg|ccg]: Call g_variant_builder_unref(). Don't take
	extra ref on objects returned from g_variant_get_child_value() or
	g_variant_get_variant(). Bug #704851.

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Avoid deprecated libsigc++ API.

2013-07-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::TypeTraits<>: Avoid warnings when compiling with -Wcast-qual.

	* glib/glibmm/containerhandle_shared.h: Move const_cast<CTypeNonConst>(ptr)
	from the TypeTraits< Glib::RefPtr<T> > specialization to the
	TypeTraits< Glib::RefPtr<const T> > specialization, thus avoiding warnings
	when compiling with -Wcast-qual. Bug #704640.

2013-07-23  Murray Cumming  <murrayc@murrayc.com>

	ActionMap: add_action(): Actually add the action.

	Thanks to Kjell.

2013-07-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools: Add docs to the default constructor of _CLASS_OPAQUE_COPYABLE.

	* tools/m4/class_opaque_copyable.m4: Add documentation to the generated
	default constructor, mentioning that the constructed object is invalid.
	Bug #704639.

2013-07-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::DateTime: Fix compare() and equal().

	* glib/src/datetime.hg: Fix the conversion from const DateTime& to
	gconstpointer. Bug #704639.

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	Gio::SimpleAction: set_enabled(): Add default parameter value.

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	ActionMap: Add add_action(name, slot).

	This is a convenience method similar to
	g_action_map_add_action_entries() in C.

2013-07-10  Murray Cumming  <murrayc@murrayc.com>

	2.37.4

2013-07-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use std::memset() instead of GLIBMM_INITIALIZE_STRUCT.

	* glib/glibmm/utility.h: Add a comment that GLIBMM_INITIALIZE_STRUCT is
	deprecated. It generates compiler warnings when __STRICT_ANSI__ is defined.
	* glib/glibmm/value.cc:
	* glib/src/optiongroup.ccg:
	* tools/m4/class_boxedtype_static.m4: Replace GLIBMM_INITIALIZE_STRUCT
	by std::memset().

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

	Move to a generated ChangeLog.

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

	Auto-generate the ChangeLog from the git log for 'make dist'.

	* Makefile.am: Include the dist-changelog.am file copied in build/
	from mm-common so that the ChangeLog is automatically generated from
	the git commit messages on 'make dist'.

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	docextract_to_xml.py: Add '&rArr;' to the list of escape sequences.

	* tools/defs_gen/docextract_to_xml.py: It represents a right arrow and
	some C API documentation uses it.

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	gmmproc: Add _WRAP_ENUM_DOCS_ONLY() and simplify enum docs process.

	* tools/pm/DocsParser.pm (lookup_enum_documentation): Renamed from
	lookup_enum_description().  This subroutine now produces the entire
	Doxygen enum documentation block.
	(lookup_enum_value_documentation): Removed this subroutine because
	it's been merged into the above one.
	(convert_tags_to_doxygen): Don't convert the Doxygen @enum and @var
	tags because they appear in the enum documentation obtained from the
	subroutine above.
	* tools/pm/Enum.pm (build_element_list): Remove the lines that insert
	the Doxygen documentation individually for each of the members of the
	enum because the enum member documentation is already included by the
	lookup_enum_documentation() subroutine above.
	* tools/pm/Output.pm (output_wrap_enum): Modified to use the above
	lookup_enum_documentation() subroutine.
	(output_wrap_enum_docs_only): Added this subroutine that outputs an
	enum's Doxygen documentation block if the enum's documentation exists.
	This is useful for complexly defined C enums (using C macros, for
	example) that can't presently be wrapped with _WRAP_ENUM() and must be
	handwritten but outputting their documentation is still desired.
	(output_wrap_failed): Also produce the source file which caused a
	_WRAP_* to fail so that it is clear where the error is.
	* tools/pm/WrapParser.pm (parse_and_build_output): Also check for a
	_WRAP_ENUM_DOCS_ONLY() so it can be processed.
	(on_wrap_enum_docs_only): Called by the parse_and_build_output()
	subroutine above when a _WRAP_ENUM_DOCS_ONLY() is found.

	Bug #703155.

2013-06-27  Murray Cumming  <murrayc@murrayc.com>

	Revert "C++11: Use auto in examples."

	This reverts commit 9b0554e2c9deca2399e654e7984c9dfe3b67e387.

	This was not meant to be in the master branch.

2013-06-27  Murray Cumming  <murrayc@murrayc.com>

	tls_client test: Catch an exception

	* giomm_tls_client/main.c: Catch an exception because that is what
	actually happens when there is no internet connection.
	It still fails in that case, however.

2013-06-26  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use auto in examples.

2013-06-10  José Alburquerque  <jaalburquerque@gmail.com>

	Gen Scripts: Minor clean up of the description of the scripts.

	* tools/gen_scripts/gio_generate_docs.sh:
	* tools/gen_scripts/gio_generate_enums.sh:
	* tools/gen_scripts/gio_generate_extra_defs.sh:
	* tools/gen_scripts/gio_generate_methods.sh:
	* tools/gen_scripts/glib_generate_docs.sh:
	* tools/gen_scripts/glib_generate_enums.sh:
	* tools/gen_scripts/glib_generate_extra_defs.sh:
	* tools/gen_scripts/glib_generate_methods.sh:

2013-06-09  José Alburquerque  <jaalburquerque@gmail.com>

	gmmproc: Use an environment variable for the return mismatches.

	* tools/gmmproc.in: Check for the GMMPROC_RETURN_MISMATCHES
	environment variable and use its value as the default for the internal
	boolean '$main::return_mismatches' variable which when true makes
	gmmproc report if the return type in a _WRAP_METHOD() does not match
	the C function return type.

2013-06-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Write glibmm version in generated files.

	* tools/gmmproc.in: Use autoconf's substitution variable @PACKAGE_VERSION@.
	* tools/m4/base.m4: _START() macro: Add argument glibmm_version.
	* tools/pm/Output.pm: output_temp_g1(): Add argument glibmm_version.

	The problems with gtkmm 2.24.3 (bug 697835 and bug 700495) show that it can
	be useful to easily see which version of gmmproc/glibmm has generated a file.

2013-06-06  José Alburquerque  <jaalburquerque@gmail.com>

	Gio::DBusInterfaceSkeleton: Constant corrections.

	* gio/src/dbusinterfaceskeleton.hg (get_info): Add a const get_info()
	method returning a constant InterfaceInfo and make the original one
	non-constant.
	(has_connection): Accept the Connection as constant because it should
	not be modified.
	* tools/m4/convert_gio.m4: Add a needed conversion.

2013-06-05  José Alburquerque  <jaalburquerque@gmail.com>

	giomm: Add the Gio::DBus::InterfaceSkeleton class.

	* gio/src/dbusinterfaceskeleton.{ccg,hg}:
	* gio/src/filelist.am: Add the sources wrapping the methods,
	properties and signals and list the sources in the list of files to be
	built.
	* gio/src/gio_signals.defs:
	* tools/extra_defs_gen/generate_defs_gio.cc: Add the
	GDBUSInterfaceSkeleton GType to the properties and signals defs
	generation tool and regenerate the .defs file.
	* tools/m4/convert_gio.m4: Add the conversions for the wrapped
	methods, properties and signals.

2013-06-05  Murray Cumming  <murrayc@murrayc.com>

	Add the configure.ac and NEWS changes from 3.6.2.

2013-06-05  José Alburquerque  <jaalburquerque@gmail.com>

	Add the configure.ac and NEWS changes from 3.6.1.

2013-06-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::MainContext: Fix a small error in the documentation of acquire().

	* glib/glibmm/main.h: Change "context is the owner" to "thread is the owner".

2013-06-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tests: Fix the glibmm_mainloop test.

	* tests/glibmm_mainloop/main.cc: Make it work as expected whichever thread
	executes first.

2013-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tests: Add the glibmm_mainloop test.

	* tests/glibmm_mainloop/main.cc: New file. Tests MainContext and MainLoop,
	including MainContext::invoke().
	* tests/Makefile.am: Add glibmm_mainloop/test. Bug #668184.

2013-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::MainContext: Add invoke().

	* glib/glibmm/main.[h|cc]: Add Glib::MainContext::invoke(). Bug #668184.

2013-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add missing includes in glibmm.h and bytearray.hg.

	* glib/glibmm.h:
	* glib/src/bytearray.hg: Add missing includes.

2013-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools: Improve the testheaders.sh script.

	* tools/test_scripts/testheaders.sh: Stop if pkg-config fails.

2013-05-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools: Add the testheaders.sh script.

	* tools/test_scripts/testheaders.sh: New file. Compiles each specified header
	file, one at a time. Bug #697835.

2013-05-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools: Add the testmmh.sh script.

	* tools/test_scripts/testmmh.sh: New file. Checks if all header files are
	included in a <name>mm.h file. Bug #699993.

2013-05-14  José Alburquerque  <jaalburquerque@gmail.com>

	Custom Interface Properties: Use base finalize function to free data.

	* glib/glibmm/class.cc (Class::clone_custom_type): Specify a custom
	base finalize function for the custom type which would free the
	properties data that might exist due to properties of implemented
	interfaces being overridden.  This is better than having an interface
	finalize function because the custom type could implement several
	interfaces which would mean that the interface finalize function would
	execute more than once as opposed to just once for the base finalize
	function.
	* glib/glibmm/class.h (Class::interface_finalize_function): Replace
	with Class::custom_class_base_finalize_function().

	* glib/glibmm/interface.cc (Interface_Class::add_interface): Do not
	specify a custom interface finalize function.

	(Interface::Interface(const Interface_Class&): Also initialize the
	property GValues using g_param_value_set_default() so that they are
	initialized with the default values of the properties and not just the
	default value of the GValue type.

	Bug #697229.

2013-05-07  José Alburquerque  <jaalburquerque@gmail.com>

	UnixSocketAddress: Add the "path-as-array" property.

	* gio/src/unixsocketaddress.hg:

2013-05-07  Michael Kruglos  <space3000@gmail.com>

	glibmm: Wrapped Base64 functionality from glib

	encoding and decoding are wrapped.
	step by step and in-place decoding are not wrapped.
	(they're too low level for C++, and they're available from the C library.)

	Bug #611589.

2013-04-29  José Alburquerque  <jaalburquerque@gmail.com>

	gmmproc: Output.pm: Use a better name for the c param mappings hash.

	* tools/pm/Output.pm (output_wrap_meth, convert_args_cpp_to_c,
	get_ctor_properties): Replace the 'cpp_param_mappings' variable name
	with 'c_param_name_mappings' which describes the function of the hash
	a little better.

2013-04-29  José Alburquerque  <jaalburquerque@gmail.com>

	DBusConnection: Correct a misplaced #endif G_OS_UNIX.

	* gio/src/dbusconnection.hg: Move the #endif from below the
	call_finish _WRAP_METHOD() to below the non-cancellable call method
	declaration.  It worked as it was because what was generated by
	gmmmproc was an #ifdef G_OS_UINX/#endif embedded in an outer #ifdef
	G_OS_UNIX/#endif but it's how it should be now.

2013-04-29  José Alburquerque  <jaalburquerque@gmail.com>

	Value: Remove unneeded whitespace in source files.

	* glib/glibmm/value.cc:
	* glib/glibmm/value.h:
	* glib/glibmm/value_custom.cc:
	* glib/glibmm/value_custom.h:
	* glib/src/value_basictypes.cc.m4:
	* glib/src/value_basictypes.h.m4:

2013-04-29  José Alburquerque  <jaalburquerque@gmail.com>

	tools: Remove blank lines in files.

2013-04-29  José Alburquerque  <jaalburquerque@gmail.com>

	Output.pm: convert_args_c_to_cpp(): Reverse mappings hash correctly.

	* tools/pm/Output.pm (convert_args_c_to_cpp): Reverse the hash that
	maps from parameter names to indexes to a hash that maps from
	indexes to parameter names correctly (by dereferencing the hash
	reference) so that parameter reordering for virtual functions works
	for all Perl versions.

	Bug #698989 (David Evans, John Ralls)

2013-04-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Fix _WRAP_SIGNAL(custom_c_callback) for void func().

	* tools/m4/signal.m4: If custom_c_callback is specified, and the signal
	handler takes no arguments and returns void, generate a SignalProxyInfo
	structure with pointers to local functions instead of
	&Glib::SignalProxyNormal::slot0_void_callback. Bug #605728.

2013-04-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Interface: Add a comment about overriding properties in constructor.

	* glib/glibmm/interface.cc (Interface(onst Interface_Class&)): Explain
	what is happening with the lines that override the properties of the
	implemented interface, if any, for a custom type.

2013-04-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Fix the ChangeLog file.

2013-04-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Settings: Wrap the properties.

	* gio/src/settings.hg:

2013-04-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	Custom Interfaces: Implement derived interface properties in present.

	* glib/glibmm/class.cc (Class::properties_quark): Initialize this
	GQuark which is used to store/get the data used for setting and
	getting the properties of the interfaces that a custom type overrides.
	(Class::interface_finalize_function): Add this function which
	once invoked frees the property data stored as gqata in the GType and
	allocated/appended to in the Glib::Interface constructor below.
	* glib/glibmm/class.h: Declare the interface_finalize_function above.
	Also declare the quark used to store/get the property data and the
	typedef data type of the property data.

	* glib/glibmm/interface.cc (Interface_Class::add_interface): Specify a
	custom interface finalize function when adding the interface so that
	the resources allocated for handling the derived interface properties
	can be freed if the type is a custom interface type.
	(Interface::Interface(const Interface_Class&)): Modify the constructor
	so that when dealing with a custom interface type, it gets a list of
	the properties of the interface to be added and overrides these by
	appending approperiate GValues to the data used to handle
	getting/setting properties that is stored as qdata in the GType.  The
	constructor uses g_param_spec_overrided() to override the properties
	of the implemented interface and g_object_install_property() to
	install the properties.

	* glib/glibmm/property.cc (PropertyBase::install_property): Rewrite
	this method so that the acquired generated id's of custom implemented
	properties does not collide with the id's of properties of implemented
	interfaces that have been overridden in a custom type.  This is done
	by offsetting the acquired generated id (by addition) with the number
	of already existing properties (the ones that have been overridden).
	(custom_get_property_callback): Rewrite this function (which gets
	properties for custom types) so that if the property id is less than
	or equal to the number of overridden interface properties (which would
	mean that an overridden interface property should be gotten) the
	correct overridden interface property is gotten.  Otherwise, a custom
	property should be retrieved, in which case the id is offset (by
	subtraction) when the PropertyBase is retrieved from the id which
	would ensure getting the correct PropertyBase.
	(custom_set_property_callback): Rewrite this function as the above
	custom_get_property_callback was rewritten.

2013-04-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Glib::Source: Fix the destruction and deletion.

	* glib/glibmm/main.cc: Keep the Glib::Source wrapper until the GSource
	instance has been destroyed and all RefPtr<Source> have been deleted.
	Keep a separate ref count in glibmm. Bug #561885.

2013-04-18  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Changes from 2.34 5o 2.36

2013-04-17  Murray Cumming  <murrayc@murrayc.com>

	Add NEWS and configure.ac changes from glibmm 3.6.0 release.

2013-04-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	ByteArray: get_data(): Add a const version.

	* glib/src/bytearray.{ccg,hg}: Make the already existing get_data()
	method non-constant and add a constant one returning a const array as
	is done in general in *mm modules.

2013-04-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	Tls Client Test: Update to test the TlsDatabase class.

	* tests/giomm_tls_client/main.cc: Slightly cleaned it up from the
	first commit.  Lookup the issuer's certificate in the database which
	is found when I run the test.

2013-04-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsDatabase: Make sure the cancellable param is optional in methods.

	* gio/src/tlsdatabase.hg: Use the {.?} gmmproc parameter option for
	the cancellable to ensure that it is optional (so that there are
	methods that don't require a cancellable for the methods that have
	one).

2013-04-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	ByteArray: Add size() and get_data() methods.

	* glib/src/bytearray.{ccg,hg}:  Add these methods so that accessing
	the underlying GByteArray's data and len members (which is how it is
	done in the C API) is just as easy with glibmm.  Also use _WRAP_METHOD
	to wrap the create() method.

2013-04-10  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Parse the argument list of methods correctly.

	* tools/pm/Function.pm (parse_param): When splitting the argument
	list split the parameter '{...}' options out and separately and deal
	with them in their own 'elsif' which is more clear and avoids code
	duplication.  Also, don't split the '<...>' matches greedily because
	that causes problems when a Glib::RefPtr<> parameter has a default
	value.

	This problem was discovered while trying to not use the optional
	parameter syntax for the Gio::TlsCertificate::verify() method by using
	a default value for the 'trusted_ca' parameter although upon
	investigation it became clear that keeping the syntax (and the method
	overloads) would be useful because a verify() with no parameters can
	be used to verify things about a certificate unrelated to the identity
	and the trusted_ca (see the TlsCertificateFlags enum that the method
	returns).

2013-04-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	Interface: Fix a small typo.

	* glib/glibmm/interface.cc:

2013-04-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::TlsServerConnection: Wrap it just like TlsClientConnection.

	* gio/src/tlsserverconnection.{ccg,hg}: Use a custom cast constructor
	just as in TlsClientConnection because this class too derives from
	Glib::Interface and Gio::TlsConnection though it only derives from
	GInterface in the C API.  It would have the same problems described in
	the commit fixing the TlsClientCOnnection class (the next to the last
	one).

2013-04-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Tests: Add a basic test for the Tls* API.

	* tests/giomm_tls_client/main.cc:  The test basically works though it
	would be good to test more thoroughly the TlsDatabase API.

2013-04-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::TlsClientConnection: Make the class work correctly.

	* tools/m4/class_interface.m4 (_CUSTOM_CTOR_CAST): Add a new macro so
	that classes wrapped by the _CLASS_INTERFACE() macro can implement a
	custom cast constructor.  This is so that classes like
	Tls[Client|Server]Connection, that derive from Glib::Interface but
	should also derive from a Glib::Object derived type, though they do
	not do so in the C API, don't produce warnings from an attempt to set
	the non-existent properties of the GObject derived type when an
	attempt to construct the C object is made in the default Glib::Object
	constructor.  Glib::wrap_auto_interface<>(), which is called by
	Glib::wrap() for interfaces, uses the cast constructor to create the
	wrapper which calls the cast constructor of Glib::Interface.  If the
	Glib::Object derived base class of the wrapper has a default
	constructor, that constructor is then called which leads to the
	Glib::Object default constructor being called, which tries to
	construct the C object and set its properties thus producing the
	property setting warnings.  A custom cast constructor can chain up to
	the cast constructor of the Glib::Object derived type thus avoiding
	the call to the Glib::Object default constructor and the non-existent
	property setting warnings.
	* glib/glibmm/interface.cc:
	* glib/glibmm/interface.h (Interface): Add a default constructor so
	that in the cases above (when the cast constructor of the
	Glib::Object's derived type is used), the compiler can find a
	Glib::Interface default constructor to use.  Using the Glib::Interface
	cast constructor as well as the cast constructor of the Glib::Object
	derived type would cause "ObjectBase::initialize() called twice
	for the same GObject" errors.

2013-04-06  Murray Cumming  <murrayc@murrayc.com>

	Add a test of implementing an interface.

	* tests/Makefile.am:
	* tests/glibmm_interface_implementation/main.cc: Add a very simple
	test that implements an interface, with a vfunc implementation and
	make sure that the vfunc is called when the caller method is called.

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	Add a comment

2013-04-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	ByteArray: Add a Glib::Value<> template specialization for it.

	* glib/src/bytearray.{ccg,hg}: Add the specialization for ByteArray so
	that getting/setting properties of that type work.  Also added a
	Glib::ByteArray::get_type() method required for the specialization to
	compile.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	ChangeLog: Correct a branch name

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	ChangeLog: Correct a branch name

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Revert "giomm: Temporarily remove the Tls* related API."

	This reverts commit 45511d8e0ffdda76d792174569535a8b7f326d93.

	We will now try to get this right for the glibmm 3.7/8 releases.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Mark the branch in the ChangeLog

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	2.36.0

2013-03-31  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsCertificate: Use std::string for data instead of char*.

	* gio/src/tlscertificate.{ccg,hg} (TlsCertificate): Use a std::string
	in the data constructor instead of a char* because it is more C++
	like.  Remove the default value for the length argument so there is no
	ambiguity with the file constructor (which also uses std::string for
	the filename).
	(create_from_pem): Renamed from create() so that there is no ambiguity
	with the other file create() methods (one with a filename argument and
	the other with a filename and key file arguments).  Handwrote the
	method in the .ccg file (_WRAP_CREATE does not allow a custom method
	name).
	(property_certificate_pem): Use a std::string instead of a char* for
	the property type in keeping with the use of std::string for pem data.

	These changes are for when the Tls* classes are re-added to the build.

2013-03-31  José Alburquerque  <jaalburqu@svn.gnome.org>

	Credentials: Add the get_unix_pid() method.

	* gio/src/credentials.hg: Add the new method wrapping the
	g_credentials_get_unix_pid() C function.

2013-03-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Temporarily remove the Tls* related API.

	Temporarily remove the API until after the coming stable release so
	the API can be better developed thus avoiding the risk of needing an
	API or ABI break later.

	* gio/src/filelist.am: Remove the tls*.hg files from the build.  This
	will keep the sources from being built and included in the upcoming
	tarball release.
	* gio/giomm.h: #if out the tls*.h includes.
	* gio/src/enums.hg: Comment out the TlsAuthenticationMode enum.
	* gio/src/error.hg: Comment out the TlsError GError.

2013-03-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::Tls*: Correct some referencing errors.

	* gio/src/tlscertificate.hg (get_issuer):
	* gio/src/tlsclientconnection.hg (get_server_identity):
	* gio/src/tlsconnection.hg (get*_certificate): Use refreturn in the
	wrapping of these because the C API does not reference the object when
	returning it.

2013-03-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Also remove the tlsfiledatabase.h include.

	* gio/giomm.h: Remove the include from here so that make check will
	not fail.

	* gio/src/error.hg (TlsError): A minor correction in the 'EOF'
	substitution regular expression.

2013-03-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsFileDatabase: Remove the class until its usage is more clear.

	* gio/src/filelist.am (tlsfiledatabase.hg): Remove from the build
	until it is more clear how the class should be used.

2013-03-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsError: Rename the EOF enum value.

	* gio/src/error.hg (EOF): Rename it to ENDOFFILE to avoid a clash with
	another definition of the identifier somewhere else which breaks the
	gtkmm build.

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	Corrected the ChangeLog

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	GTlsDatabase: Use std::string for filenames.

	* gio/src/tlsdatabase.hg: The anchor parameter
	and property are for a filename, so we should use
	std::string, because filenames are of unknown
	encoding.

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	Gio: Correct TlsDatabase/TlsFileDatbase derivation.

	* gio/src/tlsdatabase.hg:
	* gio/src/tlsfiledatabase.hg: TlsFileDatabase
	should derive from TlsDatabase, not the other
	way around. However, we do not use TlsFileDatabase,
	and it is odd (an interface that requires a
	non-interface other than GObject) so maybe we should
	not provide it yet anyway.

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	Minor whitespace change

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	Gio: Add some TODOs about changing the base classes.

	* gio/src/actionmap.hg
	* gio/src/pollableinputstream.hg
	* gio/src/pollableoutputstream.hg
	* gio/src/remoteactiongroup.hg:
	We should probably derive from their prerequisite
	(required) classes instead. These were added in
	glibmm 2.34.

2013-03-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Wrap the GTlsError GError.

	* gio/src/error.hg: Wrap the GTlsError GError in this file.

	* gio/src/tlsclientconnection.hg:
	* gio/src/tlsconnection.hg: Have default true values for boolean
	setter methods in these classes.

	* gio/src/tlsfiledatabase.hg: Clarify a TODO.
	* gio/src/dbuserror.hg: Whitespace.

2013-03-25  Murray Cumming  <murrayc@murrayc.com>

	Gio::SocketClient: Added some methods.

	* gio/src/desktopappinfo.hg: Added has_key(),
	get_string() and get_boolean().

2013-03-25  Murray Cumming  <murrayc@murrayc.com>

	Gio::SocketClient: Added some methods.

	* gio/src/socketclient.hg: Added get/set_tls(),
	get/set_tls_validation_flags(), get/set_proxy_resolver().
	Added timeout, tls, enable-proxy, tls-validation, and
	proxy-resolver properties.
	Added the event signal.
	* tools/m4/convert_gio.m4: Added necessary conversions.

2013-03-25  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio Projects: Fix and update.

	* Fix Visual C++ projects for glibmm and giomm as numerous
	sources have been added for the addition of APIs so that
	these libraries can be properly built

	* Also make the project files work better with the GLib Visual C++
	builds (which are currently supported in the GLib source
	distribution), so that the files from the GLib build can be picked
	up by the glibmm projects when the Glib sources and glibmm sources
	are extracted in the same root folder (for example,
	c:\foo\glib-2.35.9 and c:\foo\glibmm-2.35.9).  This is useful
	especially when we want to build glibmm unstable, which most
	probably needs the latest GLib unstable.

	* Fix the resolver project files for Visual C++ 2008/2010 for having
	the wrong executable output name

2013-03-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	Tls[Client|Server]Connection: Add the create() methods.

	* gio/src/tlsclientconnection.hg:
	* gio/src/tlsserverconnection.hg: Add the create() methods, wrapping
	the *_new() functions of these classes.  Since these classes are
	interfaces, it is not possible to use _WRAP_CTOR/WRAP_CREATE() to wrap
	the new functions.

	Also make these classes derive from TlsConnection which is their base
	class (see [1][2][3][4]).  Its odd because the base class is a GObject
	and the derived ones are GInterfaces, but that's how the C API has
	done it.  Hopefully it will not be a problem.

	[1] https://developer.gnome.org/gio/stable/GTlsConnection.html#GTlsConnection.description
	[2] https://developer.gnome.org/gio/stable/GTlsConnection.html#GTlsConnection.derived-interfaces
	[3] https://developer.gnome.org/gio/stable/GTlsClientConnection.html#GTlsClientConnection.description
	[4] https://developer.gnome.org/gio/stable/GTlsServerConnection.html#GTlsServerConnection.description

2013-03-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	gio/src/tls*.ccg: Remove empty namespaces.

	* gio/src/tlsconnection.ccg:
	* gio/src/tlsdatabase.ccg:
	* gio/src/tlsinteraction.ccg: Remove empty namespaces and unneeded
	includes.

	* gio/src/gio_extra_objects.defs: Add GTlsBackend to avoid a gmmproc
	documentation warning.

2013-03-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Verify that void methods should not return a value.

	* tools/gmmproc.in: ($main::return_mismatches): Add boolean to store
	whether method return mismatches should be checked.  Make it false by
	default.
	(parse_command_line_args): Add logic to parse a new
	--return-mismatches option to specify if gmmproc should verify that
	void methods should not return a value.
	(print_usage): Modify the usage message to describe the new option.

	For convenience, output the source for which there are unwrapped
	functions, properties and signals.

	* tools/pm/DocsParser.pm (remove_example_code): Also output the source
	being processed when the example code is removed (for convenience).
	* tools/pm/Output.pm (error): Once more, output the source being
	processed when an error occurs, for convenience.
	(convert_args_cpp_to_c): Add a check for when the C++ method for which
	the parameters are being converted returns void but the C function
	does not return void.  If the added option above is specified, output
	a warning.

	Bug #696364.

2013-03-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsPassword: Correct its constructor parameter order.

	* gio/src/tlspassword.hg (TlsPassword): Reorder its parameters so that
	the flag comes last with a default parameter.
	(create): Do the same for its create() method.

2013-03-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsDatabase: Const and optional parameter corrections.

	* gio/src/tlsdatabase.hg: The "interaction" parameters in the methods
	are all optional (see the C API docs).
	(verify_chain):
	(verify_chain_async):
	(verify_chain_vfunc):
	(verify_chain_async_vfunc): Make these methods const because the
	database should not be changed by verifying a certificate's chain.
	(create_certificate_handle_vfunc): Make the certificate constant
	because it should not change when creating a handle for it.

2013-03-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsConnection: Correct its base class derivation.

	* gio/src/tlsconnection.hg: The class should derive from
	Gio::IOStream, not Glib::Object as in the C API.  Also add the
	get_peer_certificate() methods.

2013-03-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsCertificate: Wrap its single virtual function.

	* gio/src/tlscertificate.hg: Wrap the "verify" virtual function.  Also
	add a default value to the length parameter of the constructor
	accepting a data character array.
	* gio/src/gio_vfuncs.defs: Add the virtual function definition so that
	it is recognized.

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Gio::FileInfo: Added get_deletion_date().

	* glib/src/fileenumerator.hg: Wrap the new
	g_file_info_get_deletion_date() function.
	* tools/m4/convert_glib.m4: Add a necessary conversion.

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Gio::FileEnumerator: Added get_child().

	* glib/src/fileenumerator.hg: Wrap the new
	g_file_enumerator_get_child() function.

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Glib::VariantBase: Added check_format_string().

	* glib/src/variant.hg:
	Wrap the new g_variant_check_format_string()
	function.

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Gio::AsyncResult: Added is_tagged().

	* gio/src/applicationcommandline.hg:
	Wrapped the new g_async_result_is_tagged()
	function.

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Gio::ApplicationCommandLine: Added some methods.

	* gio/src/applicationcommandline.hg:
	Added get_stdin() and create_file_for_arg(),
	wrapping new C functions.

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the -signals.defs files.

	* gio/src/gio_signals.defs: Regenerated using
	tools/gen_scripts/gio_generate_extra_defs.sh.

2013-03-19  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the -methods.defs files.

	* gio/src/gio_methods.xml:
	* glib/src/glib_functions.xml:
	* glib/src/gmodule_functions.xml:
	* glib/src/gobject_functions.xml: Regenerated using
	tools/gen_scripts/gio_generate_methods.sh and
	tools/gen_scripts/glib_generate_methods.sh,
	with a slight hand-edit to avoid the problem in
	gioschedule.h with h2def.py (see previous commit).

2013-03-19  Murray Cumming  <murrayc@murrayc.com>

	h2def.py: Handle GLIB_AVAILABLE_IN_ALL

	* tools/defs_gen/h2def.py: Do not just ignore
	functions prefixed with GLIB_AVAILABLE_IN_ALL.
	This handles the latest glib/gio/gactiongroup.h file.

	However, we still need to handle the new
	GLIB_DEPRECATED_IN_2_36_FOR(old_func) form
	now used in glib/gio/gioschedule.h.

2013-03-19  Murray Cumming  <murrayc@murrayc.com>

	Regenereated the -enums.defs files.

	* gio/src/gio_enums.xml:
	* glib/src/glib_enums.xml: Regenerated using
	tools/gen_scripts/gio_generate_enums.sh and
	tools/gen_scripts/glib_generate_enums.sh.

2013-03-19  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2013-03-19  Murray Cumming  <murrayc@murrayc.com>

	Regenereated teh -docs.xml files.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Regenerated using
	tools/defs_gen/docextract_to_xml.py

2013-03-19  Murray Cumming  <murrayc@murrayc.com>

	2.35.9

2013-03-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsFileDatabase: Use _WRAP_METHOD() to wrap the create() method.

	* gio/src/tlsfiledatabase.{ccg,hg}: It can't be properly wrapped using
	_WRAP_CTOR()/WRAP_CREATE() yet but it can be wrapped using
	_WRAP_METHOD().  (I don't know why I thought it had to be
	handwrapped.)

2013-03-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsFileDatabase: Add a TODO.

	* gio/src/tlsfiledatabase.hg:

2013-03-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsFileDatabase: Wrap the create() method.

	* gio/src/tlsfiledatabase.{ccg,hg}: Manually wrap it because
	presently the *_new() function does more than call g_initable_new().

2013-02-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Tls*: Add the rest of the (unwrapped) properties, methods and vfuncs.

	* gio/src/tlscertificate.{ccg,hg}: Wrap the "certificate" property.
	* gio/src/tlsclientconnection.hg: Add the get_accepted_cas() methods
	and the "accepted-cas" property.
	* gio/src/tlsdatabase.hg: Add the lookup_certificates_issued_by*()
	methods and virtual functions.  Correct a TlsCertificate conversion
	for the virtual functions so that the underlying GObject is properly
	copied from the C++ wrapper.
	* tools/m4/convert_gio.m4: Add a ByteArray conversion.

	* gio/src/tlspassword.hg: Clarify a TODO.

	* glib/glibmm.h: Add bytes.h and bytearray.h to the includes.

2013-02-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	glibmm: Add ByteArray.

	* glib/src/bytearray.{ccg,hg}:
	* glib/src/filelist.am: Add the new sources for the ByteArray class
	that wraps GByteArray and include the sources in the build.  Some of
	the GTls* API uses GByteArray so it is necessary to wrap it.
	* glib/src/glib_extra_objects.defs: Include an object definition for
	GByteArray to avoid a gmmproc documentation warning.
	* tools/m4/convert_glib.m4: Add a GByteArray conversion so the sources
	can be processed properly.

2013-02-25  Pavel Vasin  <rat4vier@gmail.com>

	AppInfo::get_all(): Fix ownership

	Bug #694505

2013-02-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsDatabase: Virtual function const correction.

	* gio/src/tlsdatabase.hg (create_certificate_handle_vfunc): Make it
	const because it does not modify the database.

2013-02-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Tls[Database|Interaction]: Add the virtual functions.

	* gio/src/tlsdatabase.hg:
	* gio/src/tlsinteraction.hg: Add the virtual functions.  It is
	necessary to wrap GByteArray to wrap the remaining three virtual
	functions of TlsDatabase.

2013-02-21  Murray Cumming  <murrayc@murrayc.com>

	2.35.8

2013-02-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the build  with --enable-warnings=fatal.

	* glib/src/threads.hg: The GThread definition is now deprecated,
	meaning it should only be used via a pointer.
	However, we depend on it, so this temporarily undefs the
	deprecation, so we can still use those checks elsewhere in the build.
	It looks like we will have to do a third version of Glib::Threads,
	after already replacing Glib::Thread.
	This fixes make distcheck.

2013-02-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Signal*::connect(): Make them less thread-unsafe.

	* glib/glibmm/main.cc: Make SignalTimeout::connect(), connect_seconds(),
	SignalIdle::connect() and SignalChildWatch::connect() less thread-unsafe
	by moving conn_node->install() to before g_source_attach().
	* glib/glibmm/main.h: Describe that the Signal*::connect*() methods that
	return a sigc::connection are not thread-safe. Bug #396958.

2013-02-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Signal[Timeout|Idle]::connect_once() docs: Warn about thread-unsafety.

	* glib/glibmm/main.cc: Fix an incomplete comment.
	* glib/glibmm/main.h: SignalTimeout::connect_once(), connect_seconds_once(),
	SignalIdle::connect_once(): Describe the caution necessary because
	sigc::trackable-derived objects are not thread-safe. Bug #396963.

2013-02-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ThreadPool::push() docs: Note that sigc::trackable is not thread-safe.

	* glib/glibmm/threadpool.h: push(): Describe how sigc::trackable-derived
	classes can be used in a thread-safe way.
	* glib/src/threads.hg: create(): Correct the description added in the
	previous commit. Bug #512348.

2013-02-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Threads::Thread::create(): Update the documentation.

	* examples/thread/thread.cc: Don't derive from sigc::trackable.
	* glib/src/threads.hg: create(): Describe how sigc::trackable-derived classes
	can be used in a thread-safe way. Bug #512348.

2013-01-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Predefine G_OS_UNIX or G_OS_WIN32 in Doxygen's configuration file.

	* docs/reference/Doxyfile.in: Predefine either G_OS_UNIX or G_OS_WIN32,
	depending on HOST_WINDOWS_NATIVE. Update to Doxygen 1.8.3 status.
	* glib/src/iochannel.hg: Remove the DOXYGEN_SHOULD_SKIP_THIS that was added
	just to get Windows-specific methods included in the documentation.

2013-01-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	DBus::[Connection|Proxy]: Change ifdef G_OS_LINUX to ifdef G_OS_UNIX.

	* gio/src/dbusconnection.[ccg|hg]:
	* gio/src/dbusproxy.[ccg|hg]: Change G_OS_LINUX to G_OS_UNIX. Glib does not
	define G_OS_LINUX. Correct function declarations for DBus::Proxy::call().

2013-01-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Improve the conversion of documentation to Doxygen format.

	* tools/defs_gen/docextract.py: Handle 'Since ' without a colon.
	* tools/m4/signal.m4:
	* tools/pm/Output.pm: When a function declaration is surrounded by
	ifdef/endif, put its documentation inside the ifdef/endif.
	* tools/pm/DocsParser.pm: Handle 'Since ' without a colon. Escape most
	backslashes, not just \r and \n. Convert more <tags> to something that
	Doxygen understands.

2013-01-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Documentation: Fix many warnings from Doxygen.

	* gio/src/gio_docs_override.xml:
	* glib/src/glib_docs_override.xml: Move "Since: n.m" from the <return> to the
	<description> entries. gmmproc adds a period at the end of the @return
	Doxygen command, and Doxygen warns for "@newin{n,m}.".
	* glib/glibmm/interface.h:
	* glib/glibmm/stringutils.h:
	* glib/glibmm/vectorutils.h:
	* gio/src/*.hg:
	* glib/src/*.hg: (Here "*" means "many", not "all") Examples of changes:
	Add missing @param. Change names of parameters, to make them equal in
	function declaration and @param command. Change "@name" to "@a name".
	Change "<ulink url=" to "<a href=".

2013-01-17  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsConnection: Wrap the virtual functions.

	* gio/src/tlsconnection.hg: Wrap the three virtual functions that were
	left as TODO's now that it's possible to wrap virtual functions with
	slots.
	* tools/m4/vfunc.m4: Use 'retval' instead of 'result' for variables
	that store the result of the C base virtual function invocation and
	the C++ virtual function invocation because 'result' conflicts with
	the AsyncResult 'result' parameter of the handshake_finish_vfunc().

2013-01-17  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_VFUNC: Support the wrapping of slots.

	* tools/pm/WrapParser.pm (on_wrap_vfunc): Add support for parsing the
	additional 'slot_name', 'slot_callback', and 'no_slot_copy' options
	that do the same thing as the corresponding _WRAP_METHOD options (ie.
	specify the name of the C++ slot parameter, the name of the callback
	function and whether to use the original slot or a copy of it,
	respectively.  Also pass the options along to:
	(output_wrap_vfunc): Store the options in the C++ virtual function
	object so they can be tested for when converting the parameters and
	composing the _VFUNC* m4 macro calls.
	* tools/pm/Output.pm (output_wrap_vfunc_cc):
	- Append the additional 'slot_type', 'slot_name' and 'no_slot_copy'
	parameters to the _VFUNC_CC m4 macro invocation so that it can include
	code for the vfunc to copy the slot parameter and pass it on to the C
	function.
	- Also append the additional 'slot_type' and 'c_data_param_name' to
	the _VFUNC_PCC m4 macro so that it knows the slot type and the C
	gpointer parameter name that contains the slot so that the macro can
	generate code to extract the slot from the data parameter and pass the
	slot on to the C++ virtual function.
	(convert_args_c_to_cpp):
	- Rewritten so that it loops through the C++ parameters so that it is
	possible to re-order the parameters using the existing mapping
	functionality that allows parameters to be re-ordered for the
	_WRAP_[CREATE|CTOR|METHOD] macros.  Also re-written so that it knows
	how to deal with slot parameters.
	* tools/m4/vfunc.m4 (_VFUNC_PCC): Modified to accept the additional
	'slot_type' and 'c_data_param_name' arguments and to insert code to
	extract the slot from the C gpointer data parameter to be passed on
	to the C++ virtual function.
	(_VFUNC_CC): Modified to accept the additional 'slot_type',
	'slot_name' and 'no_slot_copy' arguments and to insert code to either
	copy the slot in a 'slot_copy' variable or set the variable to the
	actual slot (if it's so been specified) which is then passed on to the
	C function.

2013-01-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_[CREATE|CTOR|METHOD]: Allow any order of {} options.

	* tools/pm/Function.pm: Make it possible to use any order desired of
	the options to specify whether parameters should be optional or should
	be re-ordered in the _WRAP_* directives.

2013-01-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::File: Remove refreturn to avoid memory leaks.

	* gio/src/file.hg: Remove the refreturn argument from _WRAP_METHOD for read()
	and 13 other methods. The glib functions add a ref.
	Change @newin2p24 to @newin{2,24}. Bug #691606.

2013-01-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Add the tls[client|server]connection.h headers.

	* gio/giomm.h: Add the two new headers.

2013-01-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the Tls[Client|Server]Connection classes.

	* gio/src/tlsclientconnection.{ccg,hg}: Add the new client sources
	wrapping the methods and properties.
	* gio/src/tlsserverconnection.{ccg,hg}: Add the new server sources
	wrapping its single property.
	* gio/src/filelist.am: Include the new sources in the list of files to
	be built.
	* gio/src/enums.hg: Add the TlsAuthenticationMode enum needed for the
	server class here because it is documented in the Tls Overview section
	of the C API's documentation and not as part of any other class.
	* tools/m4/convert_gio.m4: Add a necessary conversion.

	* gio/src/tlsdatabase.{ccg,hg}: Fix the includes so that the
	tlscertificate.h header file does not have to be included in the .h
	file but instead in the .c file.

2013-01-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Add the new tls*.h headers.

	* gio/giomm.h: Add the
	tls[connection|database|filedatabase|interaction].h headers.

2013-01-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Tls[Database|Interaction|Passowrd]: Const corrections.

	* gio/src/tlsdatabase.hg (verify_chain):
	(verify_chain_async): Accept the SocketConnectable as a const because
	it is used to check for certificates that have been pinned (marked as
	good) for a specific domain in a browser session and not modified.
	(lookup_certificate_issuer)
	(lookup_certificate_issuer_async): Accept the TlsCertificate for which
	to look for the issuer as const because it is not modified according
	to the docs.
	* gio/src/tlsinteraction.hg (ask_password):
	(ask_password_async)
	(invoke_ask_password): Accept the TlsPassword as non-const because the
	docs say that it is filled in by the methods, not used to compare a
	user entry with an existing password.
	* gio/src/tlspassword.hg (get_value_vfunc):
	(get_default_warning_vfunc): Make these const because they are getter
	functions.
	* tools/m4/convert_gio.m4: Adjust the conversions according to above
	changes.

2013-01-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: _WRAP_ENUM: Skip enum constants whose names are deleted.

	* tools/pm/Enum.pm, build_element_list(): If a custom substitution argument
	in _WRAP_ENUM() removes all of an enum constant's name, exclude that constant
	from the element list. Useful for GdkEventType. Bug #544694.

2013-01-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Improve the search for documentation of enums.

	* tools/pm/Enum.pm, build_element_list(): Search for value documentation
	before custom substitutions are applied to the element name. Bug #544694.

2013-01-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the TlsConnection class.

	* gio/src/filelist.am:
	* gio/src/tlsconnection.{ccg,hg}: Add the new sources wrapping the
	methods, properties and signals of the new class.  Also add the
	sources to the list of files to be built and add the virtual
	functions as a TODO.
	* gio/src/gio_vfuncs.defs: Add the definitions of the virtual
	functions of the class for when the virtual functions are wrapped.
	* tools/m4/convert_gio.m4: Add conversions relevant to wrapping the
	class.

2013-01-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsDatabase: Add a TODO to wrap virtual functions.

	* gio/src/tlsdatabase.hg: Add the virtual functions but as a TODO so
	that the parameters can be properly ordered according to the order in
	the methods.
	* gio/src/gio_vfuncs.defs: Add the virtual function definitions for
	when the vfuncs are wrapped.

	* gio/src/tlscertificate.hg: Do not wrap a write-only construct-only
	property.

2013-01-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	TlsDatabase: Reorder parameters so that flags can have defaults.

	* gio/src/tlsdatabase.hg (lookup_certificate_issuer):
	(lookup_certificate_issuer_async): Reorder the parameters in these
	methods as is done in the other methods so that the flag parameter can
	be last and have a default value.

2013-01-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the TlsDatabase class which implements TlsFileDatabase.

	* gio/src/filelist.am:
	* gio/src/tlsdatabase.{ccg,hg}: Add the sources wrapping the C
	functions and include the sources in the list of files to be built.
	* tools/m4/convert_gio.m4: Add the necessary conversions for the
	wrapped methods in the sources.

	* gio/src/tlsfiledatabase.hg: Add a TODO.

2013-01-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the TlsFileDatabase interface.

	* gio/src/filelist.am:
	* gio/src/tlsfiledatabase.{ccg,hg}: Add the new sources wrapping a
	single property and include them in the list of files to be built.
	* gio/src/tlsinteraction.hg: Correct a typo.

2013-01-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the TlsInteraction class.

	* gio/src/tlsinteraction.{ccg,hg}:
	* gio/src/filelist.am: Add the sources wrapping the C functions and
	include the sources in the build.
	* gio/src/gio_vfuncs.defs: Add the virtual functions of the class.
	The vfuncs are not wrapped yet so that gmmproc can be modified so that
	virtual functions with slot parameters can be wrapped as is already
	possible with methods.
	* tools/m4/convert_gio.m4: Add necessary conversions.

2012-12-28  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_METHOD: Ensure that slot parameters can be optional.

	* tools/pm/Output.pm (output_wrap_meth): Only pass the slot parameters
	to the m4 _*METHOD() macros if convert_args_cpp_to_c() signals that a
	possible slot parameter should be included.
	(convert_args_cpp_to_c): Add a boolean called 'include_slot' to the
	objCppfunc object that is by default false that is set when a slot
	parameter is encountered and should converted.

2012-12-28  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Allow containing complex types in arrays and in variants.

	* glib/src/variant.hg (Variant< Variant<T> >): Add a new class capable
	of containing any Variant<>.  The class is just like
	Variant<VariantBase> except that with it, it is now possible to store
	and handle complex variant types in a variant easily in a C++ way.
	The modified test below exemplifies.
	(Variant< std::vector<T> >::create): Create a Variant<> for each of
	the members in the vector and then use g_variant_builder_add_value()
	to add the underlying GVariant of the wrapped elements in the builder
	instead of using the variadic g_variant_builder_add() function which
	causes problems when dealing with types that are more complex than
	basic ones.
	(Variant< std::vector<T> >::get_child): Rewritten to get the child as
	a GVariant, wrap the GVariant in a Variant<> and then get its value
	instead of assuming that the array in the variant is a fixed array of
	basic types so that complex types are supported in arrays.
	(Variant< std::vector<T> >::get): Rewritten as get_child() above so
	that the elements in the array are gotten as a GVariant, wrapped in a
	Variant<> and then retrieved and placed in the resulting vector,
	again, to ensure that a vector of complex types can be stored in a
	variant.
	* tests/glibmm_variant/main.cc: Modify the test to ensure that any
	type other than basic ones are supported.

2012-12-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Action: Add more documentation of get_state_hint() and get_state().

	* gio/src/action.hg: get_state_hint() and get_state() returns void, which
	makes them useless. That can't be fixed until the next ABI break. Explain in
	the documentation what to do instead of calling these methods. Bug #690134.

2012-12-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	SignalProxy: Fix the documentation, especially of connect_notify().

	* glib/src/signalproxy.h.m4: Many small fixes of the documentation, and a
	more thorough rewrite of the doc of SignalProxy[0-6]::connect_notify().
	Bug #126213, comment 5.

2012-12-18  Andrew Potter  <agpotter@gmail.com>

	VariantBase: Add operator for BoolExpr (const void*).

	* glib/src/variant.{ccg,hg}: Adds operator BoolExpr.
	Also deletes relational operators to prevent unexpected conversion.
	Bug #690121.

2012-12-13  Andrew Potter  <agpotter@gmail.com>

	SimpleAction: Fix stateful action constructor typo, allowing use.

	* gio/src/simpleaction.hg: Fix 'sate' typo to 'state', allowing
	the constructor to be used. Bug #690122.

2012-12-12  Andrew Potter  <agpotter@gmail.com>

	Threads: Add create(slot, name).

	* glib/src/threads.{ccg,hg}: Add a method to create named threads.

	Bug #689863.

2012-11-20  Andrew Potter  <agpotter@gmail.com>

	VariantType: Add create_tuple().

	* glib/src/varianttype.{ccg,hg}: Add the method following the style of
	VariantContainerBase::create_tuple(), completing a TODO.

	Bug #688682.

2012-11-20  José Alburquerque  <jaalburqu@svn.gnome.org>

	VariantType: Correct the referencing in the create*() methods.

	* tools/m4/convert_glib.m4: Correct the 'GVarianType*' to VariantType
	conversion to not take an extra reference when wrapping the
	GVariantType in the VariantType.
	* glib/src/variant.hg:
	* glib/src/varianttype.hg: Also move the 'const GVariantType'
	conversion from the global glib convert file (above) to these local
	files because it takes an extra reference of the GVariantType.

	Bug #688440 (Andrew Potter).

2012-11-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Documentation: Adjust if the method has a slot param.

	* tools/pm/WrapParser.pm (on_wrap_method): Pass the objCppfunc object
	to the DocParser::lookup_documentation() subroutine so that it can
	decide if the final parameter of the C function should be excluded
	from the docs.  The final parameter (which would be a gpointer
	user_data parameter) would be omitted if the C++ method has a slot
	parameter.
	* tools/pm/DocsParser.pm (lookup_documentation): Pass the objCppfunc
	on to the append_parameter_docs() subroutine which does what's
	described above.
	(append_parameter_documentation): Decide whether to skip the final C
	parameter as described above.  Also rename 'callback' parameters to
	'slot' and use '@a slot' instead of '@a callback' in the main
	description.
	(substitute_identifiers): Replace C *Callback types to C++ Slot*
	types.

	Bug #688587.

2012-11-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_METHOD: Support wrapping methods with slots.

	* tools/pm/WrapParser.pm (on_wrap_method): Add code to parse the
	additional 'slot_name', 'slot_callback' and 'no_slot_copy' options.
	- The 'slot_name' options specifies the name of the slot parameter in
	the C++ method declaration.
	- The 'slot_callback' option specifies the name of the callback to
	pass to the C function.
	- The 'no_slot_copy' option specifies that the actual slot should be
	passed to the C function in the data parameter and not a copy.  By
	default, a copy is used.
	* tools/pm/Output.pm (output_wrap_meth): Pass the new slot options
	along to the *METHOD() m4 macros.
	(convert_args_cpp_to_c):
	- If there is a slot parameter, ignore the final user_data parameter
	in the C function when comparing the argument count in the C++
	method and the C function.
	- Convert a possible slot parameter to the address of the specified
	slot callback (with the 'slot_callback' option).  Report an error if
	no callback has been specified.
	- Pass a 'slot_copy' variable as the final user data parameter to the
	C function.  The variable is declared by the _*METHOD() m4 macros.
	* tools/m4/method.m4 (_METHOD):
	(_STATIC_METHOD):
	- Accept the new 'slot_type', 'slot_name' and 'no_slot_copy' options
	which specify the C++ slot type (without the const and the &), the
	C++ slot parameter name and whether to create a copy of the slot or
	not respectively.
	- Insert code to declare a 'slot_copy' variable that is either a copy
	of the slot or a pointer to the actual C++ slot based on the
	'no_slot_copy' option.

	Bug #688587.

2012-11-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Include the tlspassword.h header file.

	* gio/giomm.h:

2012-11-14  Debarshi Ray  <debarshir@src.gnome.org>

	ustring docs: The global locale should be set when using C++ streams.

	* glib/glibmm/ustring.h: Replace output.imbue(std::locale("")) by
	std::locale::global(std::locale("")) in the description of how to use
	std::ostringstream. Bug #661588.

2012-11-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the TlsPassword class.

	* gio/src/tlspassword.{ccg,hg}:
	* gio/src/filelist.am: Add the new sources containing the constructor,
	methods, properties and virtual functions and include the sources in
	the build.
	* gio/src/gio_vfuncs.defs: Add the GTlsPassword virtual functions so
	that they are recognized by gmmproc.
	* tools/m4/convert_gio.m4: Add an enum conversion.

2012-11-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the GTls* GTypes to the extra defs generation utility.

	* tools/extra_defs_gen/generate_defs_gio.cc: Add the GTypes.
	* gio/src/gio_signals.defs: And regenerate the signal and property
	defs file.

2012-11-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Re-add an accidentally removed include.

	* gio/giomm.h: Re-add 'simpleaction.h' which was accidentally removed.
	Also re-sort the includes by the base filename (without the .h) as
	they were before.

2012-11-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Include missing headers.

	* gio/giomm.h: Include all the headers generated from the .hg files.

2012-11-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the TlsCertificate class.

	* gio/src/filelist.am:
	* gio/src/tlscertificate.{ccg,hg}: Add the sources wrapping the
	constructors, methods and (most) properties and include the sources in
	the build.
	* gio/src/enums.hg: Add the TlsCertificateFlags enum (wrapping the C
	enum).
	* tools/extra_defs_gen/generate_defs_gio.cc: Add the GTlsCertificate
	GType to the list of types for which signal and property defs are to
	be generated.
	* gio/src/gio_signals.defs: Regenerate the signal and property defs
	file.
	* tools/m4/convert_gio.m4: Add necessary conversions.

	* gio/src/gio_extra_objects.defs: Add TlsClientConnection to avoid a
	gmmproc docs warning.

2012-11-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_CTOR: Handle *_new() functions with a final GError**.

	* tools/pm/WrapParser.pm (on_wrap_ctor): Add code to parse an
	additional "errthrow" optional option in a _WRAP_CTOR() macro.
	* tools/pm/Output.pm (output_wrap_ctor): Pass the "errorthrow" option
	along as a string to:
	(get_ctor_properties): Ignore the final GError** parameter of the C
	*_new() function because it does not form part of the property list
	that the constructor to has to set.

	Bug #687959.

2012-11-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	DesktopAppInfo: Add some new getter methods.

	* gio/src/desktopappinfo.hg: Add the get_keywords(),
	get_startup_wm_class(), get_generic_name(), get_show_in(),
	get_nodisplay() and get_categories() getter methods wrapping the
	corresponding C functions.

2012-11-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Don't refsink variants created using the custom cast ctor.

	* glib/src/variant.ccg:
	* glib/src/variant.hg:
	* glib/src/variant_basictypes.cc.m4: Remove the call to
	g_variant_ref_sink() in the create() methods of the variant types that
	use the custom cast constructor to wrap the newly created C object
	because the custom cast constructor already refsinks the object if
	necessary.

2012-11-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	Correct a typo in the ChangeLog.

2012-11-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	tools/pm: Remove whitespace on empty lines in recently edited perl files.

2012-11-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	MemoryOutputStream: Add the steal_as_bytes() method.

	* gio/src/memoryoutputstream.{ccg,hg}: Add the method that wraps the
	corresponding C function.

2012-11-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	AppInfo: Add create_duplicate().

	* gio/src/appinfo.{hg,ccg}: Add the new method (which creates a
	duplicate of the AppInfo).  Also, use gmmproc's optional parameter
	functionality to wrap the launch_default_for_uri() method without the
	optional AppLaunchContext parameter.

2012-11-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant< std::vector<std::string> >: Add create_from_object_paths().

	* glib/src/variant.hg: Add the new method that creates a variant of
	vector of strings out of object paths.  This is so the type of the
	variant is rightly set to G_VARIANT_TYPE_OBJECT_PATH_ARRAY and not
	G_VARIANT_TYPE_BYTESTRING in case some application needs to make a
	distinction.
	Also _IGNORE the g_variant_get_objv() and g_variant_dup_objv()
	functions because it's possible to get object paths from a variant of
	vector of strings if it contains them with the existing getter
	methods because object paths are merely strings.
	* glib/src/variantiter.hg: Add an _IGNORE.
	* glib/src/checksum.ccg:
	* glib/src/convert.ccg: Whitespace.

2012-11-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate the XML docs files for glibmm and giomm.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: These files now include enum XML
	documentation.
	* glib/src/glib_extra_objects.defs: Add IOChannel to avoid a gmmproc
	documentation warning.

2012-11-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Make enum documentation possible.

	* tools/defs_gen/docextract.py (enum_name_pattern): Add a new regular
	expression that recognizes gtk-doc enum comment blocks (though
	imperfectly because it also catches things such as structure comment
	blocks).
	(identifier_patterns): Append the new enum_name_pattern to the list of
	patterns used to test each gtk-doc block's identifier to see what type
	of block it is.
	(parse_file): Do not add a particular gtk-doc block if it has been
	marked as a block initially thought to be an enum comment block but
	later found not to be so.
	(skip_to_identifier): Mark the current comment block as an enum type
	if the enum_name_pattern matches the identifier.
	(process_params): Mark the current block as invalid if the block was
	recognized as an enum type but no parameters are found or if any of
	the parameter names are not all caps.
	(parse_dir): Include .h files for processing because gtk-doc enum
	comment blocks are included in those files.
	* tools/defs_gen/docextract_to_xml.py: Add an option to not print out
	enum docs.  Assume that enum docs should be printed out by default.
	* tools/pm/DocsParser.pm (parse_on_start):
	(parse_on_end): Add logic to correctly parse an <enum> tag (which is
	just like the already existing <function> and <signal> tags.  The only
	difference is in the name of the tags.  The function name syntax is
	the same as a C function name, the signal name has the form
	'CStructName::signal-name' while the enum name has the form
	'CEnumName')
	(lookup_enum_description): Add this subroutine that gets the
	the description of the specified enum.
	(lookup_enum_value_documentation): Add this subroutine that gets the
	description of an enum value as a Doxygen block.
	(lookup_documentation): Use the new remove_example_code subroutine
	described below.
	(remove_example_code): Add this subroutine that removes example code
	from the specified text so that it can be used in other places.
	* tools/pm/Enum.pm (c_prefix): Add a new field to the class storing
	the enum's C prefix.  This field is used when looking up an enum's
	value documentation.
	(parse_values): Modified to store the C prefix of the enum.
	(build_element_list): Modified to lookup the documentation of the
	values of the enum and insert the Doxygen block just before each
	value.  This allows Doxygen to document each value of the enum.
	* tools/pm/Output.pm (output_wrap_enum): Modified to lookup
	the description of the enum previously parsed by the DocParser and
	merge it with an already passed in comment for the enum which is then
	passed as before to the _ENUM macro.
	* tools/m4/enum.m4: Whitespace correction.

	Bug #544694.

2012-11-05  Murray Cumming  <murrayc@murrayc.com>

	Improve NEWS for the stable release.

2012-11-05  Murray Cumming  <murrayc@murrayc.com>

	MountOperation: Correct an ABI break.

	* gio/src/mountoperation.hg: Use the no_default_handler option with
	the new _WRAP_SIGNAL() to avoid a new on_*() vfunc increasing the size
	of the class. This got into the 2.34.0 release at the last moment
	but it seems better to correct it before people use it than to leave it.

2012-11-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	UnixConnection: Remove the const receive_credentials_finish() method.

	* gio/src/unixconnection.hg: It doesn't make sense and there are no
	other const *_finish() methods in giomm.  Further, it's not needed for
	getting a const Credentials.  That's already possible with the
	existing receive_credentials_finish() method.

2012-11-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	UnixConnection: Add [receive|send]_credentials_[async|finish]().

	* gio/src/unixconnection.{ccg,hg}: Add the new methods (adding
	non-cancellable versions for the async methods) wrapping the
	corresponding C functions.
	* gio/src/socketconnection.hg: Typo.

2012-11-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	ThemedIcon: Wrap the "names" property.

	* gio/src/themedicon.hg:

2012-11-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	SocketConnection: Add connect*() and is_connected() methods.

	* gio/src/socketconnection.{ccg,hg}: Add connect(), connect_async(),
	connect_finish() and is_connected() methods (wrapping the
	corresponding C functions).
	* gio/src/resolver.hg: Add an _IGNORE.

2012-11-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	docextract_to_xml.py: Replace &colon; with ':' in generated XML files.

	* tools/defs_gen/docextract_to_xml.py: Otherwise gmmproc reports
	errors if this entity is encountered when trying to parse the XML
	documentation.

2012-11-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Improve the documentation of properties.

	* tools/m4/property.m4: Change "the property of the value" to "the value of
	the property". Make the description of the return value different for
	PropertyProxy, PropertyProxy_ReadOnly and PropertyProxy_WriteOnly.

2012-10-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	Resolver: Add lookup_records() and lookup_records_finish().

	* glib/glibmm/containerhandle_shared.h: Add TypeTraits specializations
	for VariantBase (for the futre) and VariantContainerBase.
	* gio/src/resolver.hg:  Add the new methods (mentioned above) because
	the VariantContainerBase TypeTraits specialization allows the vector
	utilities to convert to/from GVariants in a GList correctly.

2012-10-29  José Alburquerque  <jaalburqu@svn.gnome.org>

	Resolver: Add the lookup_records_async() methods.

	* gio/src/resolver.{ccg,hg}: Add the methods (cancellable and
	non-cancellable versions) adding TODO's about wrapping the remaining
	related methods (lookup_records() and lookup_records_finish()).
	* tools/m4/convert_gio.m4: Add a necessary enum conversion.
	* glib/src/variant.hg: Typo discovered while adding above methods.

2012-10-29  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add some TODO's.

	* gio/src/menuitem.hg:
	* gio/src/menumodel.hg: Add TODO's about possibly adding methods to
	the classes in these files (these TODO's were added a few days ago and
	being commited now).  Also add a TODO about an unwrapped signal in
	MenuModel.
	* glib/src/glib_extra_objects.defs: Add GArray to the list of objects
	to avoid a gmmproc documentation warning.

2012-10-29  Mark Vender  <markv743@yahoo.co.uk>

	Strip trailing whitespace.

	* gio/giomm/*.[h|cc]:
	* gio/src/*.[hg|ccg]:
	* glib/glibmm/*.[h|cc]:
	* glib/src/*.[hg|ccg]: Strip trailing whitespace. Bug #681072.

2012-10-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	ContentType: Fix typo in the content_type_get_symbolic_icon() name.

	* gio/giomm/contenttype.cc: The name was misspelled because the 'o'
	and 'l' in 'symbolic' were interchanged.  The name is correctly
	spelled in the .h file so I guess it's safe to rename it in the .cc
	file for 2.34 and the master branch.

2012-10-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus::[Connection|Proxy]: Use ifdefs for the UnixFDList call*() methods.

	* gio/src/dbusconnection.hg:
	* gio/src/dbusproxy.hg: Place the call*() methods taking a UnixFDList
	parameter within '#ifdef G_OS_UNIX' ifdefs because the UnixFDList
	class exists only on the Unix platform.

2012-10-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	Remove the use of g_type_init() because it has been deprecated.

	* glib/glibmm/wrap.cc:
	* tools/extra_defs_gen/generate_defs_gio.cc:
	* tools/extra_defs_gen/generate_defs_glib.cc: The docs for the
	function says that the GType system is initialized automatically now
	as of 2.36.
	* tools/extra_defs_gen/generate_extra_defs.cc: Whitespace correction.

2012-10-21  Murray Cumming  <murrayc@murrayc.com>

	2.34.0

2012-10-21  Murray Cumming  <murrayc@murrayc.com>

	Add some documentation.

	* gio/src/dbusintrospection.hg:
	* gio/src/dbusserver.ccg:
	* gio/src/inputstream.hg:
	* gio/src/menu.hg:
	* gio/src/menuitem.hg:
	* gio/src/outputstream.hg:
	* glib/src/threads.hg: Deal with some TODOS, mostly
	adding documentation based on the C documentation.

2012-10-21  Murray Cumming  <murrayc@murrayc.com>

	Create only .tar.xz tarballs.

	* configure.ac: This is what ftp.gnome.org wants, so this avoids
	it doing any repackaging.

2012-10-14  Murray Cumming  <murrayc@murrayc.com>

	2.33.14

2012-10-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add 3-argument @newin.

	* tools/pm/DocsParser.pm: Convert "Since: 1.2.3" to "@newin{1,2,3}".
	Some C projects (goocanvas, grilo, gstreamer) use "Since: 1.2.3", instead of
	"Since: 1.2". The corresponding C++ projects need an ALIAS for this @newin
	in Doxyfile.in, like in mm-common/skeletonmm/doc/reference/Doxyfile.in.

2012-10-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	FileInfo: set_attribute_strings(): Const correction.

	* gio/src/fileinfo.hg: Pass the attr_value vector as a const
	std::vector<>& and not just a std::vecto<>&.  I must not have been
	paying attention to what I was doing when wrapping this.

2012-10-07  Murray Cumming  <murrayc@murrayc.com>

	Require the latest mm-common.

	* configure.ac: This should avoid us creating tarballs without
	the mm-common improvements.

2012-10-06  Murray Cumming  <murrayc@murrayc.com>

	MenuItem: get_attribute(): Remove const overload / make it const.

	* gio/src/menuitem.hg: It does not make sense to have a return
	by value that is const.
	* gio/src/menuattributeiter.hg:
	* gio/src/menumodel.hg: Add TODOs for a future ABI break, so we can
	fix the same problem here.

2012-10-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	MenuItem: Rename the get_attribute_value() methods to get_attribute().

	* gio/src/menuitem.hg: Rename the just added methods to just
	get_attribute() instead of get_attribute_value() to make the method
	name shorter.  Also deprecate the set_attribute_value() method and add
	a set_attribute() method to go with the newly renamed get_attribute()
	methods.

2012-10-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	MountOperation: Wrap the "show-unmount-progesss" signal.

	* gio/src/mountoperation.hg:

2012-10-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	MenuItem: Add the get_attribute_value() methods.

	* gio/src/menuitem.hg: Add the methods (const and non-const versions)
	and overloads without the VariantType parameter which can be null,
	wrapping the g_menu_item_get_attribute_value() function.
	(MenuItem): Add an overload for the "label" and "submenu" constructor
	without the label parameter which can be null.
	(create): Do the same for the create() method of the constructor
	above.
	* gio/src/menumodel.hg: Add an _IGNORE (completing a TODO).

2012-10-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	IOStream: Add the splice_async() and splice_finish() methods.

	* gio/src/iostream.{ccg,hg}: Add cancellable and non-cancellable
	versions of the splice_async() method wrapping the corresponding C
	function.  Add the splice_finish() method wrapping the corresponding C
	function.  Also add the class docs.

2012-10-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	FileInfo, FileAttributeMatcher: Wrap some unwrapped functions.

	* gio/src/fileinfo.hg (FileAttributeMatcher): Add the
	create_difference() and to_string() methods wrapping the
	g_file_attribute_matcher_subtract() and the
	g_file_attribute_matcher_to_string() functions.
	(FileInfo): Add the has_namespace(), [get|set]_attribute_status(),
	and [get|set]_attribute_strings() methods wrapping the
	g_file_info_has_namespace(), g_file_info_[get|set]_attribute_status(),
	and g_file_info_[get|set]_attribute_stringv() functions.
	* tools/m4/convert_gio.m4: Add an enum and FileAttributeMatcher
	conversions.

2012-10-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	VariantIter: Correct an _IGNORE.

	* glib/src/variantiter.hg:

2012-10-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	VariantIter: Add init() method.

	* glib/src/variantiter.hg: Wrap the g_variant_iter_init() function.
	* tools/m4/convert_glib.m4: Add a necessary conversion.
	* glib/src/varianttype.hg: Add an _IGNORE.

2012-10-01  Murray Cumming  <murrayc@murrayc.com>

	DBus::Proxy: Add call(), call_sync() and call_finish() for unix_fd_list.

	* gio/src/dbusproxy.[hg|ccg]: Add method overloads for the call methods
	that take a GUnixFDList. This is based on the similar methods in
	dbusconnection.[hg|ccg].

2012-10-01  Murray Cumming  <murrayc@murrayc.com>

	DBusConnection: Fix a typo in implementation.

	* gio/src/dbusconnection.ccg:
	g_dbus_connection_call_with_unix_fd_list() was mistyped. I wonder why
	the compiler did not complain.

2012-09-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	ActionGroup: Add the query_action() methods.

	* tools/m4/base.m4:
	* tools/m4/convert_base.m4:
	* tools/m4/filelist.am:
	* tools/m4/initialize.m4:
	* tools/m4/initialize_base.m4:
	* tools/m4/initialize_gio.m4:
	* tools/m4/initialize_glib.m4:
	* tools/m4/initialize_glibmm.m4: Move the _INITIALIZE macros into
	their own files as is done for the _CONVERT macros so that some basic
	types that are common (like initializing a bool& from a gboolean) can
	be defined once and used in other circumstances.

	* gio/src/dbusconnection.hg: Move an _INITIALIZATION macro to the
	general files above (the gio initialize file).

	* gio/src/actiongroup.hg: Add the query_action() methods (the needed
	_INITIALIZATION macros are in the glib initialize file).

	* tools/pm/Output.pm (convert_args_cpp_to_c): Correct the indentation
	of the declarations of the C output variables and the setting of the
	C++ output parameters from the C variables for methods that use the
	output parameter feature of gmmproc.

2012-09-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	RegEx: Add the get_has_cr_or_lf() method.

	* glib/src/regex.hg:

2012-09-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Make the output param feature work for single indirection.

	* tools/pm/Output.pm (convert_args_cpp_to_c): When inserting C object
	initializations for C objects that will be used to set output
	parameters, initialize the C object to a "default constructed" object
	of the same type if there is single indirection and not zero to ensure
	successful compilation in that case.
	* tools/m4/method.m4: Whitespace correction of the body of generated
	non-static methods.  This ensures each statement is on its own line
	and that there are no blank lines to make methods as compact as
	possible.

	Bug #662371.

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	2.33.13

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	gio_docs.xml: Replace &colon; with :.

	* gio/src/gio_docs.xml: This fixes the build.

2012-09-24  Murray Cumming  <murrayc@murrayc.com>

	Update the *_methods defs files.

	* gio/src/gio_methods.defs:
	* glib/src/glib_functions.defs:
	* glib/src/gobject_functions.defs: Updated with tools/gen_scripts/

2012-09-24  Murray Cumming  <murrayc@murrayc.com>

	Update the docs XML files.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Updated with tools/gen_scripts/

2012-09-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	Converter[Input|Output]Stream: Correct whitespace typos.

	* gio/src/converterinputstream.hg:
	* gio/src/converteroutputstream.hg:

2012-09-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the Converter[Input|Output]Stream classes.

	* gio/src/converterinputstream.{ccg,hg}:
	* gio/src/converteroutputstream.{ccg,hg}:
	* gio/src/filelist.am: Add the new sources adding the constructors,
	create methods, the methods and properties of the new classes.  Add
	the sources to the build.
	* gio/src/gio_signals.defs:
	* tools/extra_defs_gen/generate_defs_gio.cc: Add the two new GTypes to
	the extra defs generation utility and regenerate the signal and
	property defs file to get the properties of the new classes.
	* tools/m4/convert_gio.m4: Add the necessary Converter conversions.

2012-09-20  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the PollableOutputStream interface.

	* gio/src/pollableoutputstream.{ccg,hg}:
	* gio/src/filelist.am: Add the sources adding the new interface
	methods and virtual functions and include the sources in the build.
	* gio/src/gio_extra_objects.defs: Add the new object in this file to
	avoid a gmmproc documentation warning.
	* gio/src/gio_vfuncs.defs: Add the new interface virtual functions.

2012-09-20  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add the PollableInputStream interface.

	* gio/src/pollableinputstream.{ccg,hg}:
	* gio/src/filelist.am: Add the sources adding the new interface
	methods and virtual functions and include the sources in the build.
	* gio/src/gio_extra_objects.defs: Mention the new object in this file
	to avoid the gmmproc documentation warnings.
	* gio/src/gio_vfuncs.defs: Add the new interface virtual functions but
	alphabetize the existing entries by class name.

2012-09-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	_WRAP_VFUNC: Prepend @throws clause to vfuncs that throw errors.

	* tools/pm/Output.pm (output_wrap_vfunc_h): Prepend a Doxygen @throws
	clause to the declaration of virtual functions that throw Glib::Error.

2012-09-18  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBus::Connection: Add the call_[finish|sync]() with UnixFDLists.

	* gio/src/dbusconnection.{hg,ccg}: Add the methods using gmmproc's
	output parameter functionality.  Also add the cancellable and
	non-cancellable asynchronous call() methods that were #ifdef'ed out
	because of the missing call_finish() method.
	* tools/m4/convert_gio.m4: Add a necessary enum conversion.

	Bug #662371.

2012-09-18  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_METHOD: Allow setting parameters from C output params.

	* tools/m4/convert_base.m4 (_INITIALIZATION): Insert newlines between
	a possible series of statements that has been specified as an
	initialization.  For example, the declaration, assignment and the
	g_free() call would each be on a seperate line in the following (from
	datainputstream.hg):

	_INITIALIZATION(`std::string&',`return-char*',`char* tmp = $4; $3 = tmp; g_free(tmp)')

	* tools/pm/Function.pm (FLAG_PARAM_OPTIONAL):
	(FLAG_PARAM_OUTPUT): Added new constant flags representing if a
	parameter is optional or if it is an output parameter.
	(EXPORT_OK): Exported the above flags so they can be used in other
	modules.
	(param_optional): Renamed to param_flags.  Redesigned it to store a
	possible combination of both flags above and not just if a parameter
	is optional.
	(parse_param): Modified the subroutine to look for an '>>' in a
	possible '{.*}' following the current parameter name which would
	signal that the parameter is an output parameter.  The syntax for
	signaling if a parameter is optional, is an output parameter or should
	be mapped to a specific C parameter would be:

	cpp_param_name{c_param_name>>?}

	c_param_name means that the C++ parameter should be mapped to the C
	parameter no matter the parameter order of either.  The '>>' means
	that the parameter should be set from the C parameter because the C
	parameter is an output parameter.   Finally, the '?' means that the
	parameter is optional thus overloads should be generated without that
	paramter.  All three components within the {} are optional.  A '.' may
	be used instead of the c parameter name if the C++ parameter name is
	the same as the C parameter name.

	(possible_args_list): Modified to use the param_flags variable.

	* tools/pm/Output.pm (output_wrap_vfunc_h): Modified to receive the
	new return type from convert_args_cpp_to_c() (see below).
	(output_wrap_meth): Modified to receive the new return from
	convert_args_cpp_to_c (see below) and pass them to the _METHOD() and
	_STATIC_METHOD() macros.
	(convert_args_cpp_to_c): Modified to generate a
	list of C declarations for any possible C output parameters and to
	generate a list of _INITIALIZE() macros to initialize the C++
	parameters from the C output parameters.  The function returns an array
	of three strings (the convert macros, the possible C declarations and
	the _INITIALIZE() macros in that order).

	* tools/pm/WrapParser.pm (string_split_commas): Modified the
	subroutine to ignore '>>' if they are in '{}' (so that the '>>' can
	signal that a parameter should be set from a C output parameter.

	* tools/m4/method.m4 (_METHOD, _STATIC_METHOD): Rewrote to accept
	C declarations of possible C output parameters and _INITIALIZE macros
	which would initialize the appropriate C++ parameters from the output
	variables and insert them appropriately in the generated code.

	Bug #662371.

2012-09-18  José Alburquerque  <jaalburqu@svn.gnome.org>

	Revert 'Gio::DBus::Connection: Add'

2012-09-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the use of _IGNORE. Don't use gio_others.defs.

	* gio/src/applicationcommandline.hg: Change a _CONVERSION (due to the
	exclusion of gio_others.defs).
	* gio/src/dbusintrospection.hg:
	* gio/src/fileinfo.hg: Add _IGNORE.
	* gio/src/fileiostream.hg:
	* gio/src/fileoutputstream.hg: Correct an _IGNORE.
	* gio/src/gio.defs: Don't include gio_others.defs. One of its entries is
	wrong and all of them also exist (in correct form) in gio_methods.defs or
	gio_signals.defs.
	* glib/src/convert.hg:
	* glib/src/regex.hg: Add _IGNORE.
	* glib/src/date.hg:
	* glib/src/fileutils.hg:
	* glib/src/markup.hg:
	* glib/src/optionentry.hg:
	* glib/src/shell.hg:
	* glib/src/spawn.hg:
	* glib/src/thread.hg:
	* glib/src/threads.hg:
	* glib/src/unicode.hg:
	* glib/src/uriutils.hg: Remove _IGNORE(g_iconv).
	* glib/src/variantiter.hg: Add an _IGNORE. Remove _IGNORE(g_variant_iter_new).

2012-09-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Improve the search for unwrapped methods.

	* tools/pm/GtkDefs.pm: lookup_method_set_weak_mark(): New function.
	get_unwrapped(): Correct the search when methods from more than one class
	have been wrapped.
	GtkDefs::Function::new(): Take into account that a method (g_iconv) may be
	nameless. After this change the patch of g_iconv in glib_functions.defs.patch
	is probably unnecessary but harmless.
	* tools/pm/WrapParser.pm: on_wrap_method_docs_only(), on_wrap_ctor():
	Call GtkDefs::lookup_method_set_weak_mark().
	on_wrap_method(): Call GtkDefs::lookup_method_set_weak_mark() if the method
	is static.

2012-09-17  José Alburquerque  <jaalburqu@svn.gnome.org>

	_CLASS_GOBJECT: Allow classes to have custom wrap() functions.

	* tools/m4/class_gobject.m4 (_CUSTOM_WRAP_FUNCTION): Add this new
	macro which can be used in _CLASS_GOBJECT classes so that if they want
	they can write their own implementation of their Glib::wrap()
	function.  This is useful for modules such as gstreamermm that want to
	keep certain classes (like the plug-ins) from being registered on
	startup but then do a one time registration of the wrap_new() function
	in the Glib::wrap() function before calling Glib::wrap_auto() which
	can then find the wrap_new() function if necessary.

	Bug #684006.

2012-09-17  José Alburquerque  <jaalburqu@svn.gnome.org>

	generate_wrap_init.pl: Allow classes in files to not be registered.

	* tools/m4/class_shared.m4: Add a new _NO_WRAP_INIT_REGISTRATION macro
	used in the generate_wrap_init.pl script to recognize a file whose
	classes should not be registered by wrap_init().
	* tools/generate_wrap_init.pl.in (exclude_from_wrap_init): Include a
	hash map to determine if the classes in a file should not be
	registered with the wrapping system by the wrap_init() function.
	(main): Modified to see if the new _NO_WRAP_INIT_REGISTRATION macro is
	used in a file and store a true/false value in the hash map for the
	specified file.  Also, modified to not include the includes, the
	*_get_type() function declarations, the wrap_new() function
	declarations and the *::get_type() invocations of the classes in the
	file marked for no registration.

	Bug #684006.

2012-09-16  Murray Cumming  <murrayc@murrayc.com>

	File: Add remove_async() and remove_finish().

	* gio/src/file.[hg|ccg]: As for the sync version, we
	rename delete to remove, because the sync vesion would be
	delete(), which uses a C++ keyword.

2012-09-16  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus::Connection: Add

	* gio/src/dbusconnection.[hg|ccg]: Add call(), call_with_unix_fd_finish(),
	and call_finishcall_sync() method overloads that wrap
	g_dbus_connection_call_with_unix_fd_list(),
	g_dbus_connection_call_with_unix_fd_list_finish() and
	g_dbus_connection_call_with_unix_fd_list_sync()
	* tools/m4/convert_gio.m4: Add a necessary conversion.

2012-09-15  Murray Cumming  <murrayc@murrayc.com>

	Simplified lots of code by using the {?} _WRAP_METHOD() syntax.

	* gio/src/application.[hg|ccg]:
	* gio/src/bufferedinputstream.[hg|ccg]:
	* gio/src/datainputstream.[hg|ccg]:
	* gio/src/dataoutputstream.[hg|ccg]:
	* gio/src/dbusconnection.[hg|ccg]:
	* gio/src/fileenumerator.[hg|ccg]:
	* gio/src/initable.[hg|ccg]:
	* gio/src/inputstream.[hg|ccg]:
	* gio/src/iostream.[hg|ccg]:
	* gio/src/outputstream.[hg|ccg]:
	* gio/src/resolver.[hg|ccg]:
	* gio/src/seekable.[hg|ccg]:
	* gio/src/socket.[hg|ccg]:
	* gio/src/socketaddressenumerator.[hg|ccg]:
	* gio/src/socketclient.[hg|ccg]: This relatively new gmmproc syntax lets
	us avoid the manual implementations and declarations just to have
	overloads without the Cancellable parameters.
	* gio/src/unixconnection.hg: This had no method overloads without
	Cancellable parameters but now it does.

2012-09-15  Murray Cumming  <murrayc@murrayc.com>

	Gio::File: Correct the commit again

	* gio/src/file.[hg|ccg]: make_directory() was missing a {?}.

2012-09-15  Murray Cumming  <murrayc@murrayc.com>

	Gio::File: Correct the previous commit.

	* gio/src/file.[hg|ccg]: Do not use {?} with query_file_type()
	because it cannot cope with also having a default parameter value
	on an earlier parameter.

2012-09-15  Murray Cumming  <murrayc@murrayc.com>

	Gio::File: Simplify the code by using {?} in _WRAP_METHOD()

	* gio/src/file.[hg|ccg]: This relatively new gmmproc syntax lets
	us avoid the manual implementations and declarations just to have
	overloads without the Cancellable parameters.

2012-09-15  Murray Cumming  <murrayc@murrayc.com>

	AppLaunchContext: Add setenv(), unsetenv() and get_environment().

	* gio/src/applaunchcontext.hg: Wrap these C functions.

2012-09-15  Mark Vender  <markv743@yahoo.co.uk>

	Remove useless Subversion tags.

	*.[hg|ccg]: Remove uselless Subversion tags.

2012-09-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use std::time_t instead of ::time_t.

	* build/c_std.m4:
	* glib/src/date.[hg|ccg]: Use std::time_t instead of ::time_t. Only
	std::time_t is required to be declared in <ctime>, which is recommended
	instead of <time.h> in C++ programs.

2012-09-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use std::size_t and std::ptrdiff_t.

	* glib/glibmm/arrayhandle.h:
	* glib/glibmm/containers.h:
	* glib/glibmm/listhandle.h:
	* glib/glibmm/slisthandle.h:
	* glib/glibmm/vectorutils.h: Use std::size_t and std::ptrdiff_t instead
	of ::size_t and ::ptrdiff_t. Only the std versions are required to be
	declared in <cstddef>.
	* examples/network/resolver.cc:
	* glib/glibmm/containerhandle_shared.h:
	* glib/glibmm/helperlist.h:
	* glib/glibmm/main.h:
	* glib/glibmm/vectorutils.cc: Use std::size_t instead of ::size_t.
	* glib/src/convert.hg: Use std::size_t instead of ::size_t in a comment.
	* glib/glibmm/property.cc:
	* glib/glibmm/ustring.h: Use std::ptrdiff_t instead of ::ptrdiff_t.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	2.33.12

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Socket: Remove create_source() again.

	* gio/src/socket.hg:
	* tools/m4/convert_glib.m4: Comment out
	create_source() because Glib::Source (in main.h)
	does not have a Glib::wrap(). Maybe it should.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Socket. Add several methods.

	* gio/src/socket.hg: Added create_source(),
	get_available_bytes(), get_ttl(), set_ttl(),
	get_broadcast(), set_broadcast(),
	get_multicast_loopback(), set_multicast_loopback(),
	get_multicast_ttl(), set_multicast_ttl(),
	join_multicast_group(), leave_multicast_group(),
	and properties.
	* tools/m4/convert_glib.m4: Added a conversion for
	GIOSource.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Volume: Add get_sort_key().

	* gio/src/volume.hg: Wrap g_volume_get_sort_key().

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	ContentType: get_icon(): Fix a refcount error.

	* gio/giomm/contenttype.cc: get_icon(): Take a reference.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	MenuItem: Add get_link().

	* gio/src/menuitem.hg: Wrap g_menu_item_get_link().

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Gio: DBusAuthObserver: Add allow_mechanism().

	* gio/src/dbusauthobserver.hg: Add the allow_mechanism()
	method and signal.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Application: Add get_dbus_*() methods.

	* gio/src/application.hg: Add get_dbus_connection()
	and get_dbus_object_path().
	* tools/m4/convert_gio.m4: Added a necessary conversion.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Tell the documentation generator about GMenu.

	* gio/src/gio_extra_objects.defs: Add GMenu to avoid
	a warning from gmmproc.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Regenerated some glib .defs.

	* glib/src/glib_docs.xml:
	* glib/src/glib_enums.defs:
	* glib/src/glib_functions.defs:
	* glib/src/gobject_functions.defs:

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Regenerate other gio .defs.

	* gio/src/gio_docs.xml:
	* gio/src/gio_signals.defs: Regenerated.

2012-09-07  Murray Cumming  <murrayc@murrayc.com>

	Add get_symbolic_icon() methods.

	* gio/src/gio_methods.defs: Regenerated.
	* gio/giomm/contenttype.[h|cc]: Add get_symbolic_icon().
	* gio/src/drive.hg: Add get_symbolic_icon().
	* gio/src/fileinfo.hg: Add get_symbolic_icon().
	* gio/src/mount.hg: Add get_symbolic_icon().
	* gio/src/volume.hg: Add get_symbolic_icon().

2012-09-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	Converter: Correct the "convert" virtual function.

	* gio/src/converter.hg (convert_vfunc): Have the virtual function
	throw the final GError parameter of the C function instead of
	including it in the C++ parameter list.  This is done by using the
	recently added _WRAP_VFUNC functionality.

2012-09-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_VFUNC: Handle virtual functions that throw GErrors.

	* tools/pm/WrapParser.pm (on_wrap_vfunc): Modified so that _WRAP_VFUNC
	recognizes an optional "errthrow" parameter as is done in
	_WRAP_METHOD.
	(output_wrap_vfunc): Modified to tag the located virtual function
	definition as one that will be wrapped by a C++ method that throws the
	final C GError parameter.
	* tools/pm/Output.pm (output_wrap_vfunc_cc): Modified to pass an
	optional "errthrow" string to _VFUNC_CC and _VFUNC_PCC so that they
	can include the proper code for the getting and throwing of the
	GError.  Also modified to pass the "errthrow" string to the
	convert_args_cpp_to_c() so that it process the C++ method as one
	throwing a Glib::Error.
	(convert_args_c_to_cpp): Modified to ignore the final GError if the
	C function has been marked as one that will be wrapped by a C++ method
